#!"C:\perl\bin\perl.exe"

# !/usr/bin/perl
###############################################################################
# register_summary.cgi                                                        #
###############################################################################
# Register: Airshow Registration & Statistics Forms                           #
# Open-Source Community Software for General Aviation Airshows & Fly Ins      #
# Version:        Registry 1.0                                                #
# Released:       February 23, 2009                                           #
# Distributed by: http://www.reaa.ru                                          #
# =========================================================================== #
# Copyright (c) 2006-2009 REAA (www.reaa.ru) - All Rights Reserved.           #
# Software by: The REAA Development Team                                      #
#              with assistance from the REAA community.                       #
# Sponsored by:                                                               #
###############################################################################

$A_=chr(10);
$B_=chr(13);
$C_=chr(32);



if ($ENV{REQUEST_METHOD} eq 'POST') {
	if ($ENV{CONTENT_TYPE} =~ /multipart\/form-data/) {
		require CGI;
		use CGI::Carp "fatalsToBrowser";          # Output errors to browser
		use CGI qw(:standard);                    # Saves loads of work
		# A possible attack is for the remote user to force CGI.pm to accept
		# a huge file upload. CGI.pm will accept the upload and store it in
		# a temporary directory even if your script doesn't expect to receive
		# an uploaded file. CGI.pm will delete the file automatically when it
		# terminates, but in the meantime the remote user may have filled up
		# the server's disk space, causing problems for other programs.
		# The best way to avoid denial of service attacks is to limit the
		# amount of memory, CPU time and disk space that CGI scripts can use.
		# If $CGI::POST_MAX is set to a non-negative integer, this variable
		# puts a ceiling on the size of POSTings, in bytes. If CGI.pm detects
		# a POST that is greater than the ceiling, it will immediately exit
		# with an error message like this:
		# "413 Request entity too large"
		# This value will affect both ordinary POSTs and multipart POSTs,
		# meaning that it limits the maximum size of file uploads as well.
		$CGI::POST_MAX = 1000000;
		# * adds volume, if a upload limit is set, to not get error if the other
		# uploaded data is larger. Change this values if you get error messages.
		$CGI_query = new CGI; # $CGI_query must be a global variable
		my ($name, @value);
		foreach $name ($CGI_query->param()) {
#			next if $name =~ /^file(\d+|_avatar)$/; # files are directly called in Profile.pl, Post.pl and ModifyMessages.pl
			@value = $CGI_query->param($name);
			$FORM{$name} = join(', ', @value); # multiple values are joined
		}
	} else {

#     -.
		# Get the input
		read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

		# Split the name-value pairs
		@pairs = split(/&/, $buffer);

		foreach $pair (@pairs) {
		   ($name, $value) = split(/=/, $pair);

		   # Un-Webify plus signs and %-encoding
		   $value =~ tr/+/ /;
		   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

		   $FORM{$name} = $value;
		}



	}
}






#     

$command = "$ENV{'QUERY_STRING'}";


@fields = split(/;/,$command);

   foreach $pair (@fields) {
      ($name, $value) = split(/=/, $pair);

      # Un-Webify plus signs and %-encoding
      $value =~ tr/+/ /;
      $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

      $Command{$name} = $value;
   }


# $Command{'action'}   -  
# $Command{'year'}     -  
# $Command{'airfield'} - 


$SaveImageUrl=$Command{'airfield'}."-".$Command{'year'};


$SettingsFile=$Command{'airfield'}."-".$Command{'year'}.".pl";

require $SettingsFile; #   

$LanguageFile =$AirshowImgDir."/".$SaveImageUrl."/Language/Russian/Register.lng";
$LanguageFile1=$AirshowImgDir."/".$SaveImageUrl."/Language/Russian/Summary.lng";

require $LanguageFile;  #   
require $LanguageFile1; #    (  )


if ($ENV{REQUEST_METHOD} eq 'POST') {
	if ($ENV{CONTENT_TYPE} =~ /multipart\/form-data/) {
		$CGI::POST_MAX = int(1024 * $MaxUploadFotoLimit);
		$CGI_query = new CGI; # $CGI_query must be a global variable
	}
}









#$how= $FORM{'how'};
#$mailaddr= $FORM{'mailaddr'};
#$mailpassw= $FORM{'mailpassw'};
#$lstRegion= $FORM{'lstRegion'};
#$edtFName= $FORM{'edtFName'};
#$phone= $FORM{'phone'};
#$birdthday = $FORM{'birdthday'};
#$quantity = $FORM{'quantity'};


$xmemContent= $FORM{'memContent'};
$xedtFName= $FORM{'edtFName'};
$xmailaddr= $FORM{'mailaddr'};
$xUserID= $FORM{'UserID'};
$xstatform= $FORM{'statform'};
$xpass = $FORM{'pass'};
$UserQUEST = $FORM{'UserQUEST'};
$xCALLSign = $FORM{'CALLSign'};  # 
$SearchedCALLSign= $FORM{'SearchedCALLSign'};  #  

$aircraft_typeL= $FORM{'aircraft_typeL'};

#$FotoFileName = $FORM{'FotoFileName'};
#$aircraft_model = $FORM{'aircraft_model'};
#$aircraft_type = $FORM{'aircraft_type'};
#$aircraft_number = $FORM{'aircraft_number'};
#$aircraft_regtype = $FORM{'aircraft_regtype'};
#$aircraft_airwortness = $FORM{'aircraft_airwortness'};
#$aircraft_airwortness_dat = $FORM{'aircraft_airwortness_dat'};
#$aircraft_techcom = $FORM{'aircraft_techcom'};
#$aircraft_seats = $FORM{'aircraft_seats'};
#$aircraft_WingsWidth = $FORM{'aircraft_WingsWidth'};
#$aircraft_MaxWeight = $FORM{'aircraft_MaxWeight'};
#$aircraft_CruiseSpeed = $FORM{'aircraft_CruiseSpeed'};
#$aircraft_TakeoffLanding = $FORM{'aircraft_TakeoffLanding'};
#$aircraft_GPS = $FORM{'aircraft_GPS'};
#$aircraft_PPL = $FORM{'aircraft_PPL'};
#$aircraft_PPL_num = $FORM{'aircraft_PPL_num'};
#$aircraft_PPL_date = $FORM{'aircraft_PPL_date'};
#$aircraft_medical = $FORM{'aircraft_medical'};
#$aircraft_expirience = $FORM{'aircraft_expirience'};
#$aircraft_expirienceYear = $FORM{'aircraft_expirienceYear'};
#$aircraft_expirienceAll = $FORM{'aircraft_expirienceAll'};
#$aircraft_fuel_type = $FORM{'aircraft_fuel_type'};
#$aircraft_fuel = $FORM{'aircraft_fuel'};
#$aircraft_radio = $FORM{'aircraft_radio'};
#$aircraft_flights = $FORM{'aircraft_flights'};
#$aircraft_commanderPasspN = $FORM{'aircraft_commanderPasspN'};
#$aircraft_commanderPasspData = $FORM{'aircraft_commanderPasspData'};
#$aircraft_commanderFamilyPhone = $FORM{'aircraft_commanderFamilyPhone'};
#$aircraft_commanderFamilyName = $FORM{'aircraft_commanderFamilyName'};
#$aircraft_commanderAirportData = $FORM{'aircraft_commanderAirportData'};
#$memContent = $FORM{'memContent'};
#$volonter = $FORM{'volonter'};



#$aircraft_WingsWidth
#$aircraft_MaxWeight
#$aircraft_CruiseSpeed
#$aircraft_TakeoffLanding
#$aircraft_GPS
#$aircraft_expirienceYear
#$aircraft_expirienceAll
#$aircraft_commanderPasspN
#$aircraft_commanderPasspData
#$aircraft_commanderFamilyPhone
#$aircraft_commanderFamilyName
#$aircraft_commanderAirportData


#  ,        
#if ($quantity eq "") {$quantity="1";}
#if ($quantity eq "0") {$quantity="1";}
#if ($phone eq "") {$quantity="";}
#if ($aircraft_seats eq "") {$aircraft_seats="1";}
#if ($aircraft_number eq "") {$aircraft_number="/";}



##############################################################
#             @filesDB      #
##############################################################

$fullDBaddr="./".$AirshowImgDir."/".$SaveImageUrl;
$File=$AirshowImgDir."/".$SaveImageUrl;
my @filesDB; 
opendir (DIR, $fullDBaddr) || die "  ";
  @filesDB = grep { /\.db$/ } readdir(DIR);
close DIR; 



##############################################################
#             ( )                #
##############################################################



#if ($Command{'action'} eq "")     { &Form; exit; }
if ($Command{'action'} eq "Regions")             { &RegionsForm; exit; }
if ($Command{'action'} eq "Volunteer")           { &VolunteerForm; exit; }
if ($Command{'action'} eq "Airworthiness")       { &AirworthinessForm; exit; }
if ($Command{'action'} eq "Fuel_Order")          { &Fuel_OrderForm; exit; }
if ($Command{'action'} eq "Summary")             { &SummaryForm; exit; }
if ($Command{'action'} eq "Aircrafts")           { $Mycookie = $ENV{'HTTP_COOKIE'}; &PrintHeader; &AircraftsForm; exit; }
if ($Command{'action'} eq "SendMessageForm")     { &SendMessageForm; exit; }
if ($Command{'action'} eq "SendMessage")         { &SendMessage; exit; }

if ($Command{'action'} eq "SummaryPass")         { &SummaryPassword; exit; }
if ($Command{'action'} eq "StatPrint")           { &SummaryStatClosed; exit; }
if ($Command{'action'} eq "SendAnswerForm")      { &SendAnswerForm; exit; }
if ($Command{'action'} eq "SendAnswer")          { &SendAnswer; exit; }


if ($Command{'action'} eq "AssignCallSignForm")  { &AssignCallSignForm; exit; }
if ($Command{'action'} eq "AssignCallSignSend")  { &AssignCallSignSend; exit; }

if ($Command{'action'} eq "Dispatch")            { $Mycookie = $ENV{'HTTP_COOKIE'}; &AircraftsFormDisp; exit; }

if ($Command{'action'} eq "FullDataFormPrint")   { $Mycookie = $ENV{'HTTP_COOKIE'}; &FullDataFormPrint; exit; }
if ($Command{'action'} eq "AircraftsFuelType")   { $Mycookie = $ENV{'HTTP_COOKIE'}; &AircraftsFuelType; exit; }
if ($Command{'action'} eq "EditPersonalData")    { &FullDataFormRegList; exit; }



&NoAnyForm;

exit;

sub PrintHeader {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>  $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
OUT_HTML
}

sub GetSplitData {
 ($date,$time,$IP_Addr,$edtFName,$CompanY,$birdthday,$aircraft_commanderPasspN,$aircraft_commanderPasspData,$lstRegion,$phone,$mailaddr,$mailpassw,$quantity,$how,$aircraft_model,$aircraft_type,$aircraft_number,$aircraft_regtype,$aircraft_airwortness,$aircraft_airwortness_dat,$aircraft_techcom,$aircraft_seats,$aircraft_PPL,$aircraft_PPL_num,$aircraft_PPL_date,$aircraft_medical,$aircraft_expirience,$aircraft_expirienceYear,$aircraft_expirienceAll,$aircraft_fuel_type,$aircraft_fuel,$aircraft_radio,$aircraft_flights,$volonter,$memContent1,$aircraft_WingsWidth,$aircraft_MaxWeight,$aircraft_CruiseSpeed,$aircraft_TakeoffLanding,$aircraft_GPS,$FileSaved,$aircraft_commanderFamilyPhone,$aircraft_commanderFamilyName,$aircraft_commanderAirportData,$aircraft_HeadWind,$aircraft_TailWind,$aircraft_CrossWind,$aircraft_RunwaySurface,$aircraft_KPK,$aircraft_ENGType,$aircraft_ENGName,$aircraft_ENGQuant,$aircraft_ENGPower,$aircraft_manufactured,$aircraft_numberDATE,$RESERVE01,$RESERVE02,$RESERVE03,$RESERVE04,$RESERVE05,$RESERVE06,$RESERVE07,$RESERVE08,$RESERVE09,$RESERVE10,$RESERVE11,$RESERVE12,$CALLSign,$EMAIL_OK,$DELDATA_1,$CorrectString)=split(/\|/,$named);
}

##############################################################
#                   #
##############################################################

sub NoAnyForm {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
<FONT COLOR=#A00000>$SummForm_txt{'1'}</FONT>
<BR>
$NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
</table>
<BR><BR><A HREF="$ReturnUrl">$SummForm_txt{'2'} $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML
}

sub FullDataFormPrint {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- saved from url=http://www.reaa.ru -->
<HTML><HEAD><TITLE>$SummForm_txt{'3'} $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">

OUT_HTML

#($Command{'action'}) -   ($Command{'year'}) -   ($Command{'airfield'}) - 

# Split the name-value pairs
@pairs = split(/\; /, $Mycookie);

foreach $pair (@pairs) {
  ($name, $value) = split(/=/, $pair);
#   # Un-Webify plus signs and %-encoding
#   $value =~ tr/+/ /;
#   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  if ($name eq "REAA_accpassL") {$REAA_accpass=$value;}
  if ($name eq "REAA_accstatL") {$REAA_accstat=$value;}
}
&FullDataFormPrintTab;

}



sub FullDataFormPrintTab {

@AirShowStatTypeList = split(/\|/,$AirShowStatType);
@AirShowStatPassList = split(/\|/,$AirShowStatPass);
$i=0;
foreach $pair (@AirShowStatTypeList) {
 if ($i != 0) {
  if ($pair eq $REAA_accstat) { #   
    $StatNUMBER=$i;
    if ($REAA_accpass eq $AirShowStatPassList[$i]) {
     $StatPASS="Ok";
    } else {
     $StatPASS="No";
    }
  }
 }
 $i++;
}

if ((($StatNUMBER != 2) || ($StatPASS ne "Ok")) && ($OfflineNoPass != 1) ) { #  

 print "|".$REAA_accstat."|".$StatNUMBER."|".$StatPASS."|".$REAA_accpass."|" ; #!!#

 print "<CENTER>$SummForm_txt{'4'}<BR><BR></body></html>";
 exit;
}
  $FileNameDB=$Command{'UserID'}.".db";
  $FilePath=$File.'/'.$FileNameDB;
#  print $FilePath."\n";  #   

  open(PRICE,$FilePath) || &send_error_ReadFile;
  while($named=<PRICE>){
   &GetSplitData;
   #$CorrectString = `ENDofSTR` -    
  }
  close(PRICE);

&FullDataFormPrintTab1;

}


##############################################################
#                             #
##############################################################

sub SummaryStatClosed {

@AirShowStatTypeList = split(/\|/,$AirShowStatType);
@AirShowStatPassList = split(/\|/,$AirShowStatPass);
$i=0;
foreach $pair (@AirShowStatTypeList) {
 if ($i != 0) {
  if ($pair eq $xstatform) { #   
    $StatNUMBER=$i;
    if ($xpass eq $AirShowStatPassList[$i]) {
     $StatPASS="Ok";
    } else {
     $StatPASS="No";
    }
  }
 }
 $i++;
}

if ($StatNUMBER == 1) {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- saved from url=http://www.reaa.ru -->
<HTML><HEAD><TITLE>$SummForm_txt{'5'} $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META HTTP-EQUIV="Set-Cookie" CONTENT="REAA_accpassA=$xpass;">
<META HTTP-EQUIV="Set-Cookie" CONTENT="REAA_accstatA=$xstatform;">
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
OUT_HTML
&AircraftsForm;
 exit;
}

if ($StatNUMBER == 2) {
 &FullDataFormList;
 exit;
}

if ($StatNUMBER == 3) {
 &NoAircraftForm;
 exit;
}

if ($StatNUMBER == 4) {
 &QuestionForm;
 exit;
}

if ($StatNUMBER == 5) {
 $StatPASS="No";  #    
 $CallSign="Set"; #  
 &PrintHeader;
 &AircraftsForm;
 exit;
}


if ($StatNUMBER == 6) {
# $CallSign="Set"; #  
# $StatPASS="OK";  #    

$AccFirstTime=1;
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- saved from url=http://www.reaa.ru -->
<HTML><HEAD><TITLE>$SummForm_txt{'6'} $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META HTTP-EQUIV="Set-Cookie" CONTENT="REAA_accpass=$xpass;">
<META HTTP-EQUIV="Set-Cookie" CONTENT="REAA_accstat=$xstatform;">
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
OUT_HTML

 &AircraftsFormDisp1;
 exit;
}

if ($StatNUMBER == 7) {
#       
 if ($StatPASS eq "Ok") {
   &AircraftsFormFuel1;
   exit;
 }
}


&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4>
$SummForm_txt{'7'}
<BR>
$NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
</table>
<BR><BR><A HREF="$ReturnUrl">$SummForm_txt{'2'} $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML
}


##############################################################
#                     #
##############################################################

sub FullDataFormRegList {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>$SummForm_txt{'8'} $NameOfAirshow $SummForm_txt{'9'}</TITLE>
<META content=noindex,follow name=Robts>
<META HTTP-EQUIV="Set-Cookie" CONTENT="REAA_accpassL=$xpass;">
<META HTTP-EQUIV="Set-Cookie" CONTENT="REAA_accstatL=$xstatform;">
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>

<SCRIPT language=javascript>
function openwindow(addR) {
  wintyp="width=1000,height=800,scrollbars=1,resizable=1,toolbar=0,status=0,directories=0,menubar=1,location=0";
  LOC=addR;   // "http://www.windows.ru";
  helpWin=open(LOC,"ProfileWindow",wintyp);
  if (navigator.appName=="Netscape") helpWin.focus();
}
</SCRIPT>


<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

OUT_HTML

#     

&FullDataFormTableReg;

}


##############################################################
#                #
##############################################################

sub FullDataFormTableReg {
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowSummaryList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>

OUT_HTML


if ($OfflineNoPass != 1) {
print <<"OUT_HTML";
</table>
<BR><BR> $SummForm_txt{'4'}
<BR><BR><A HREF="$ReturnUrl">$SummForm_txt{'2'} $NameOfAirshow.</A>
<BR><BR></body></html>
OUT_HTML
exit;
}

$total_aircrafts=0;

foreach $FileNameDB (@filesDB) {
  $FilePath=$File.'/'.$FileNameDB;

#  print $FilePath."\n";  #   

  open(PRICE,$FilePath) || &send_error_ReadFile;
  while($named=<PRICE>){
   &GetSplitData;
   #$CorrectString = `ENDofSTR` -    
  }
  close(PRICE);

###        
 if ($DELDATA_1 ne "Yes" ) {
  push(@XRegion, $lstRegion);
  push(@XedtFName, $edtFName);
  push(@XAircraft_YN, $how);
  push(@XAircraftType, $aircraft_type);
  push(@XCALLSign, $CALLSign);
  push(@XAircraftModel, $aircraft_model);
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  push(@XUserID, $FileNameDB_X);

 } #   
}  #   


print '</table>';

print '<BR><table>';


###         

#print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

#!!#          
if ($AirShowRegion!=0) {
 @AirShowRegionList = split(/\|/,$AirShowRegionType);
}


   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
   print '<tr><td valign=top><B>'.$SummForm_txt{'50'}.'</B>';
   print '</td><td valign=top><B>'.$SummForm_txt{'51'}.'</B>';
   print '</td><td valign=top><B>'.$SummForm_txt{'52'}.'</B>';
   print '</td><td valign=top><B>'.$SummForm_txt{'53'}.'</B>';
   print '</td><td valign=top><B>'.$SummForm_txt{'54'}.'</B>';
   print '</td></tr>';
   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';

#######################################

$TotalPeoples=0;
$TotalRegAircrafts=0;
foreach $Xpair (@AirShowRegionList) {
 $iz=0;
 $Regprint=0;
 foreach $Xreg (@XRegion) {
  if (($Xpair eq $Xreg) && ($XAircraft_YN[$iz] eq "")) { #        #!!#   
#  if (($Xpair eq $Xreg) && ($XAircraft_YN[$iz] eq "") && ($XAircraftModel[$iz] ne "")) { #         #!!#   
# if (($Xpair eq $Xreg) && ($XAircraft_YN[$iz] eq "")) { #         #!!#   
   $total_aircrafts+=1; #    
   print '<tr><td valign=top>';
   if ($Regprint == 0) {
    print $Xpair;
    $TotalRegAircrafts++;
   } else {
    print "&nbsp;";
   }
   $Regprint=1;
   $strWWWAddr="$DomainNameCGI/$ScriptFileName?action=Update;year=$Command{'year'};airfield=$Command{'airfield'};UserID=$XUserID[$iz]";
   print '</td><td valign=top>'."<A HREF=# OnClick=\"openwindow('".$strWWWAddr."')\">".$XedtFName[$iz]."</A>";
   print '</td><td valign=top>'."<CENTER><FONT COLOR=#A00000>".$XCALLSign[$iz]."</FONT>";
   print '</td><td valign=top>'."<A HREF=# OnClick=\"openwindow('".$strWWWAddr."')\">".$XAircraftType[$iz]."</A>";
   print '</td><td valign=top>'."<A HREF=# OnClick=\"openwindow('".$strWWWAddr."')\">".$XAircraftModel[$iz]."</A>";
   print '</td></tr>';
   $TotalPeoples+=$XQuantity[$iz];
  }
  $iz++;
 }
   if ($Regprint != 0) {
   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
   }
}

#######################################
#$TotalRegPersons=0;
#foreach $Xpair (@AirShowRegionList) {
# $iz=0;
# $RegQuant=0;
# foreach $Xreg (@XRegion) {
#  if (($Xpair eq $Xreg) && ($XAircraft_YN[$iz] ne "")) { #       !!!
#   $RegQuant+=$XQuantity[$iz];
#  }
# $iz++;
# }
# if ($RegQuant != 0) {
#  print '<tr><td valign=top>'.$Xpair;
#  print '</td><td valign=top>'.$RegQuant;
#  print '</td><td valign=top>&nbsp;';
#  print '</td><td valign=top>&nbsp;';
#  print '</td></tr>';
#  print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
#  $TotalPeoples+=$RegQuant;
#  $TotalRegPersons++;
# }
# $RegQuant=0;
#}
#######################################


   print '<tr><td valign=top>'.$SummForm_txt{'55'}.' <B>'.$TotalRegAircrafts.'</B> '.$SummForm_txt{'56'}.'</td><td valign=top> </td><td valign=top>&nbsp;</td><td valign=top>&nbsp;</td><td valign=top>'.$SummForm_txt{'57'}.' <B>'.$total_aircrafts.'</B></td></tr>';

   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';

print <<"OUT_HTML";
</table>

<BR><BR><A HREF="$ReturnUrl">$SummForm_txt{'2'} $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML

}






##############################################################
#                     #
##############################################################

sub FullDataFormList {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>$SummForm_txt{'8'} $NameOfAirshow $SummForm_txt{'10'}</TITLE>
<META content=noindex,follow name=Robts>
<META HTTP-EQUIV="Set-Cookie" CONTENT="REAA_accpassL=$xpass;">
<META HTTP-EQUIV="Set-Cookie" CONTENT="REAA_accstatL=$xstatform;">
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>

<SCRIPT language=javascript>
function openwindow(addR) {
  wintyp="width=1000,height=800,scrollbars=1,resizable=1,toolbar=0,status=0,directories=0,menubar=1,location=0";
  LOC=addR;   // "http://www.windows.ru";
  helpWin=open(LOC,"ProfileWindow",wintyp);
  if (navigator.appName=="Netscape") helpWin.focus();
}
</SCRIPT>


<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

OUT_HTML

#     

&FullDataFormTable;

}


##############################################################
#              #
##############################################################

sub FullDataFormTable {
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowSummaryList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>


OUT_HTML

$total_aircrafts=0;

foreach $FileNameDB (@filesDB) {
  $FilePath=$File.'/'.$FileNameDB;

#  print $FilePath."\n";  #   

  open(PRICE,$FilePath) || &send_error_ReadFile;
  while($named=<PRICE>){
   &GetSplitData;
   #$CorrectString = `ENDofSTR` -    
  }
  close(PRICE);

###        
 if ($DELDATA_1 ne "Yes" ) {
  push(@XRegion, $lstRegion);
  push(@XedtFName, $edtFName);
  push(@XAircraft_YN, $how);
  push(@XAircraftType, $aircraft_type);
  push(@XCALLSign, $CALLSign);
  push(@XAircraftModel, $aircraft_model);
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  push(@XUserID, $FileNameDB_X);

 } #   
}  #   


print '</table>';

print '<BR><table>';


###         

#print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

#!!#          
if ($AirShowRegion!=0) {
 @AirShowRegionList = split(/\|/,$AirShowRegionType);
}


   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
   print '<tr><td valign=top><B>'.$SummForm_txt{'50'}.'</B>';
   print '</td><td valign=top><B>'.$SummForm_txt{'51'}.'</B>';
   print '</td><td valign=top><B>'.$SummForm_txt{'52'}.'</B>';
   print '</td><td valign=top><B>'.$SummForm_txt{'53'}.'</B>';
   print '</td><td valign=top><B>'.$SummForm_txt{'54'}.'</B>';
   print '</td></tr>';
   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';

#######################################

$TotalPeoples=0;
$TotalRegAircrafts=0;
foreach $Xpair (@AirShowRegionList) {
 $iz=0;
 $Regprint=0;
 foreach $Xreg (@XRegion) {
  if (($Xpair eq $Xreg) && ($XAircraft_YN[$iz] eq "")) { #      
   $total_aircrafts+=1; #    
   print '<tr><td valign=top>';
   if ($Regprint == 0) {
    print $Xpair;
    $TotalRegAircrafts++;
   } else {
    print "&nbsp;";
   }
   $Regprint=1;
   $strWWWAddr="$DomainNameCGI/$ScriptStatFileName?action=FullDataFormPrint;year=$Command{'year'};airfield=$Command{'airfield'};UserID=$XUserID[$iz]";
   print '</td><td valign=top>'."<A HREF=# OnClick=\"openwindow('".$strWWWAddr."')\">".$XedtFName[$iz]."</A>";
   print '</td><td valign=top>'."<CENTER><FONT COLOR=#A00000>".$XCALLSign[$iz]."</FONT>";
   print '</td><td valign=top>'."<A HREF=# OnClick=\"openwindow('".$strWWWAddr."')\">".$XAircraftType[$iz]."</A>";
   print '</td><td valign=top>'."<A HREF=# OnClick=\"openwindow('".$strWWWAddr."')\">".$XAircraftModel[$iz]."</A>";
   print '</td></tr>';
   $TotalPeoples+=$XQuantity[$iz];
  }
  $iz++;
 }
   if ($Regprint != 0) {
   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
   }
}

#######################################
#$TotalRegPersons=0;
#foreach $Xpair (@AirShowRegionList) {
# $iz=0;
# $RegQuant=0;
# foreach $Xreg (@XRegion) {
#  if (($Xpair eq $Xreg) && ($XAircraft_YN[$iz] ne "")) { #       !!!
#   $RegQuant+=$XQuantity[$iz];
#  }
# $iz++;
# }
# if ($RegQuant != 0) {
#  print '<tr><td valign=top>'.$Xpair;
#  print '</td><td valign=top>'.$RegQuant;
#  print '</td><td valign=top>&nbsp;';
#  print '</td><td valign=top>&nbsp;';
#  print '</td></tr>';
#  print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
#  $TotalPeoples+=$RegQuant;
#  $TotalRegPersons++;
# }
# $RegQuant=0;
#}
#######################################


   print '<tr><td valign=top>'.$SummForm_txt{'55'}.' <B>'.$TotalRegAircrafts.'</B> '.$SummForm_txt{'56'}.'</td><td valign=top> </td><td valign=top>&nbsp;</td><td valign=top>&nbsp;</td><td valign=top>'.$SummForm_txt{'57'}.' <B>'.$total_aircrafts.'</B></td></tr>';

   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';

print <<"OUT_HTML";
</table>

<BR><BR><A HREF="$ReturnUrl">$SummForm_txt{'2'} $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML

}

##############################################################
#                                       #
##############################################################

sub NoAircraftForm {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>$SummForm_txt{'11'} $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

OUT_HTML

#   ,  

&NoAircraftsFormTab;

print <<"OUT_HTML";
<BR><BR><A HREF="$ReturnUrl">$SummForm_txt{'2'} $NameOfAirshow.</A>
<BR><BR></body></html>
OUT_HTML
}

sub NoAircraftsFormTab {
print <<"OUT_HTML";
<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=SendMessageForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function SendEmail1(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=AssignCallSignForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
                if(aircraft_typeL.value == " ") {
//                  alert('  !');
		  return false;
                }

		var now = new Date();
		document.ask.submit();
	}
}


</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>
<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=Aircrafts;year=$Command{'year'};airfield=$Command{'airfield'}">

<table>


<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
    $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>

<tr><td>&nbsp;<br></td><td>&nbsp;</td></tr>

OUT_HTML


#'$REAA_accpass'$REAA_accstat'



print <<"OUT_HTML";


<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td><B>$SummForm_txt{'12'} </B>&nbsp;</td><td>&nbsp;</td></tr>
<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>


OUT_HTML

$total_aircrafts=0;
$imgResize_counter=0;

foreach $FileNameDB (@filesDB) {
  

$FilePath=$File.'/'.$FileNameDB;

#print $FilePath."\n";     

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

if ($how ne "") {
if ($DELDATA_1 ne "Yes" ) {



#$total_aircrafts+=1; #   

 print '<tr><td valign=top>';

print <<"OUT_HTML";
<table>

OUT_HTML

if ($StatPASS eq "Ok") {
 print "<tr><td valign=top><font size=-1>'.$SummForm_txt{'51'}.' </td><td valign=top><font size=-1>$edtFName</td></tr>";
 print "<tr><td valign=top><font size=-1>'.$SummForm_txt{'58'}.' </td><td valign=top><font size=-1>$phone</td></tr>";
 print "<tr><td valign=top><font size=-1>'.$SummForm_txt{'59'}.' </td><td valign=top><font size=-1>$mailaddr</td></tr>";
 print "<tr><td valign=top><font size=-1>'.$SummForm_txt{'60'}.' </td><td valign=top><font size=-1>$CompanY</td></tr>";
 print "<tr><td valign=top><font size=-1>'.$SummForm_txt{'50'}.' </td><td valign=top><font size=-1>$lstRegion</td></tr>";
}

if ($AirShowRegion!=0) {
}
print <<"OUT_HTML";
</table></center>

OUT_HTML

print '</td><td valign=top>';



print '</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

} #   
} #  

} #   



print <<"OUT_HTML";
</table>

<BR><BR>



OUT_HTML

}

##############################################################
#              ()                    #
##############################################################

sub AircraftsFormFuel1 {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>$SummForm_txt{'13'} $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

OUT_HTML

#   ,  

&AircraftsFormFuelTab;

print <<"OUT_HTML";
<BR><BR><A HREF="$ReturnUrl">$SummForm_txt{'2'} $NameOfAirshow.</A>
<BR><BR></body></html>
OUT_HTML
}

##############################################################
#                                               #
##############################################################

sub AircraftsFormDisp {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- saved from url=http://www.reaa.ru -->
<HTML><HEAD><TITLE>$SummForm_txt{'14'} $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
OUT_HTML

# Split the name-value pairs
@pairs = split(/\; /, $Mycookie);

foreach $pair (@pairs) {
  ($name, $value) = split(/=/, $pair);
#   # Un-Webify plus signs and %-encoding
#   $value =~ tr/+/ /;
#   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  if ($name eq "REAA_accpass") {$REAA_accpass=$value;}
  if ($name eq "REAA_accstat") {$REAA_accstat=$value;}
}
&AircraftsFormDisp1;

}

##############################################################

sub AircraftsFormDisp1 {
&image_resizeJS;
#'$REAA_accpass'$REAA_accstat'

@AirShowStatTypeList = split(/\|/,$AirShowStatType);
@AirShowStatPassList = split(/\|/,$AirShowStatPass);
$i=0;
foreach $pair (@AirShowStatTypeList) {
 if ($i != 0) {
  if ($pair eq $REAA_accstat) { #   
    $StatNUMBER=$i;
    if ($REAA_accpass eq $AirShowStatPassList[$i]) {
     $StatPASS_D="Ok";
    } else {
     $StatPASS_D="No";
    }
  }
 }
 $i++;
}

print <<"OUT_HTML";
<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=SendMessageForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function SendEmail1(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=AssignCallSignForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
		var now = new Date();
		document.ask.submit();
	}
}

OUT_HTML
if (($StatPASS_D eq "Ok") && ($REAA_accstat eq "")) { #      
print <<"OUT_HTML";
function SendExi(form) {
 document.cookie="REAA_accstat=c;";
 document.cookie="REAA_accpass=c;";
 alert(" !");
 var frm = document.forms['ask'];
 with ( frm )
 {
	var now = new Date();
	document.ask.submit();
 }
}
OUT_HTML
}
print <<"OUT_HTML";

</SCRIPT>
<!--
<br><br>
-->
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
OUT_HTML
if (($StatPASS_D eq "Ok") && ($REAA_accstat eq "")) { #      
 print '<BR><INPUT TYPE=BUTTON OnClick="SendExi(this);" VALUE=" ">';
}
print <<"OUT_HTML";
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
  $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
<BR><BR>
OUT_HTML
if ((($StatPASS_D eq "Ok") && ($REAA_accstat eq "")) || ($AccFirstTime==1)) { #      
 print $SummForm_txt{'15'};
} else {
 print $SummForm_txt{'16'};
}
print <<"OUT_HTML";

<FONT SIZE=-1>
<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=Dispatch;year=$Command{'year'};airfield=$Command{'airfield'}">
$SummForm_txt{'17'}  
<INPUT style="WIDTH: 50px" maxLength=4 type="text" name=SearchedCALLSign size="4" onKeyPress =" if (event.keyCode == 13) onSubm(this); if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;">
<INPUT type=submit value="" name=mailtoholder onClick="onSubm(this); return false;">
<script type="text/javascript">
 document.ask.SearchedCALLSign.focus();
</script>

</FONT>
</CENTER>
</td></tr>
<!--
<tr><td>&nbsp;<br></td><td>&nbsp;</td></tr>
-->
<tr bgcolor=#8080F0><td width=600>&nbsp;</td><td width=360>&nbsp;</td></tr>
OUT_HTML

print '<tr><td></td><td></td></tr>';


$FoundCallSign=0;
if (($StatPASS_D eq "Ok") && ($REAA_accstat eq "")) { #      
 $imgResize_counter=0;
 foreach $FileNameDB (@filesDB) {
  if ($FoundCallSign == 0) {
   $FilePath=$File.'/'.$FileNameDB;
   #print $FilePath."\n";  #    
   open(PRICE,$FilePath) || &send_error_ReadFile;
   while($named=<PRICE>){
    &GetSplitData;
    #$CorrectString = `ENDofSTR` -    
   }
   close(PRICE);
  }
  if ($how eq "") {
   if ($DELDATA_1 ne "Yes" ) {
    if (($FoundCallSign == 0) && ($CALLSign ne "")) {
     if($CALLSign eq $SearchedCALLSign)  {
      $FoundCallSign = 1;     #     
 #     $imgResize_counter++;
     }
    }
   } #   
  }  #  
 }   #    
} #  

#  $FoundCallSign = 1  

print '<tr><td valign=top>';

print <<"OUT_HTML";

OUT_HTML
if ($FoundCallSign == 1) {
print '<table>';
if ($StatPASS eq "Ok") {
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'51'} </td><td valign=top><font size=-1>$edtFName</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'61'} </td><td valign=top><font size=-1>$birdthday</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'62'} </td><td valign=top><font size=-1>$aircraft_commanderPasspN</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'63'} </td><td valign=top><font size=-1>$aircraft_commanderPasspData</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'64'} </td><td valign=top><font size=-1>$aircraft_commanderFamilyPhone</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'65'} </td><td valign=top><font size=-1>$aircraft_commanderFamilyName</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'58'} </td><td valign=top><font size=-1>$phone</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'59'} </td><td valign=top><font size=-1>$mailaddr</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'60'} </td><td valign=top><font size=-1>$CompanY</td></tr>";
 print "<tr><td valign=top><font size=-1>$SummForm_txt{'66'} </td><td valign=top><font size=-1>$aircraft_commanderAirportData</td></tr>";

 print "<tr><td valign=top><font size=-1>--------------</td><td valign=top><font size=-1>--------------</td></tr>";

}

if ($AirShowRegion!=0) {
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$lstRegion</td></tr>";
}
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>   () : </td><td valign=top><font size=-1>$aircraft_type - $aircraft_model</td></tr>
<tr><td valign=top><font size=-1>    : </td><td valign=top><font size=-1>$aircraft_seats</td></tr>
OUT_HTML
 if ($aircraft_MaxWeight !=0) { print "<tr><td valign=top><font size=-1>    (): </td><td valign=top><font size=-1>$aircraft_MaxWeight</td></tr>"; }
 if ($aircraft_TakeoffLanding !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuRunway: </td><td valign=top><font size=-1>$aircraft_TakeoffLanding</td></tr>"; }
 if ($aircraft_HeadWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuHeadWind: </td><td valign=top><font size=-1>$aircraft_HeadWind</td></tr>"; }
 if ($aircraft_TailWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuTailWind: </td><td valign=top><font size=-1>$aircraft_TailWind</td></tr>"; }
 if ($aircraft_CrossWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuCrossWind: </td><td valign=top><font size=-1>$aircraft_CrossWind</td></tr>"; }
 if ($aircraft_CruiseSpeed !=0) { print "<tr><td valign=top><font size=-1>   (.) (/): </td><td valign=top><font size=-1>$aircraft_CruiseSpeed</td></tr>"; }
  if ($AirShowENGINE!=0) {
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>$AirShowMenuENG_Type: </td><td valign=top><font size=-1>$aircraft_ENGType</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Name: </td><td valign=top><font size=-1>$aircraft_ENGName</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Quant: </td><td valign=top><font size=-1>$aircraft_ENGQuant</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Power: </td><td valign=top><font size=-1>$aircraft_ENGPower</td></tr>
OUT_HTML
  }
 if ($aircraft_WingsWidth !=0) { print "<tr><td valign=top><font size=-1>   (): </td><td valign=top><font size=-1>$aircraft_WingsWidth</td></tr>"; }
 if ($aircraft_GPS !=0) { print "<tr><td valign=top><font size=-1>    GPS : </td><td valign=top><font size=-1>$aircraft_GPS</td></tr>"; }
 if ($AirShowRegNum !=0) { print "<tr><td valign=top><font size=-1>   . : </td><td valign=top><font size=-1>".$aircraft_regtype." - ".$aircraft_number."</td></tr>"; }
 if ($SAirShowAirworthiness !=0) { print "<tr><td valign=top><font size=-1>       : </td><td valign=top><font size=-1>".$aircraft_airwortness." - ".$aircraft_airwortness_dat."</td></tr>"; }
print <<"OUT_HTML";
 <tr><td valign=top><font size=-1>   ( ): </td><td valign=top><font size=-1>$aircraft_radio</td></tr>
OUT_HTML
 if ($AirShowFuel!=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuFUELType: </td><td valign=top><font size=-1>".$aircraft_fuel_type."</td></tr>"; }
print <<"OUT_HTML";
</table></center>

OUT_HTML
} #   

 print '</td><td valign=top>';

if ($FoundCallSign == 1) {

  $aircraft_model1 = $aircraft_model;
#  $aircraft_model1 =~ s/\"/\\\"/g;
  $aircraft_model1 =~ s/\"/ /g;
  $aircraft_model1 =~ s/\'/ /g;

 if ($FileSaved ne "") { #   
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
 } else {
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$NoImageImg.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$NoImageImg.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
 }
 if ($CALLSign ne "") { print "<BR><BR> : \"<FONT COLOR=#A00000><B>$CALLSign</B></FONT>\" ";}
 print '</CENTER>';
} #   

print '</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';



print <<"OUT_HTML";
</table>

<!--
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>
-->

<BR><BR>


OUT_HTML

	my ($resize_js,$resize_num);


#<img src="http://www.reaa.ru/yabbfiles/Attachments/DSC08904_1.jpg" name="attach_img_resize_11" alt="DSC08904_1.jpg" title="DSC08904_1.jpg" border="0" style="display:none" />
#   

#attach_img_resize_'.$imgResize_counter

        if ($imgResize_counter > 0) {
	 for ($i1 = 1; $i1 <= $imgResize_counter; $i1++) {
           $resize_js .="'attach_img_resize_".$i1."'";
           if ($imgResize_counter != $i1) {$resize_js .=",";}
	 }
	}

#	var img_resize_names = new Array ('avatar_img_resize_1','attach_img_resize_2','attach_img_resize_3','avatar_img_resize_4','attach_img_resize_5','attach_img_resize_6','avatar_img_resize_7','attach_img_resize_8','attach_img_resize_9','avatar_img_resize_10','attach_img_resize_11','avatar_img_resize_12','avatar_img_resize_13','avatar_img_resize_14','avatar_img_resize_15','avatar_img_resize_16','signat_img_resize_17','avatar_img_resize_18','avatar_img_resize_19','avatar_img_resize_20','avatar_img_resize_21','avatar_img_resize_22','avatar_img_resize_23','avatar_img_resize_24','avatar_img_resize_25','avatar_img_resize_26','avatar_img_resize_27','avatar_img_resize_28','attach_img_resize_29','avatar_img_resize_30','avatar_img_resize_31','avatar_img_resize_32','attach_img_resize_33','attach_img_resize_34','avatar_img_resize_35','attach_img_resize_36','attach_img_resize_37','avatar_img_resize_38','attach_img_resize_39','attach_img_resize_40','avatar_img_resize_41','avatar_img_resize_42','avatar_img_resize_43');
#    

print <<"OUT_HTML";
<script language="JavaScript1.2" type="text/javascript">
<!--
	// resize image start
	var resize_time = 6;
	var img_resize_names = new Array ($resize_js);

	var attach_img_w    = $max_attach_img_width;
	var attach_img_h    = $max_attach_img_height;
	var fix_attach_size = $fix_attach_img_size;

	noimgdir   = 'http://www.reaa.ru';  //#!!#
	noimgtitle = ' ';

	resize_images();
	// resize image end
// -->
</script>
</body></html>
OUT_HTML
}

##############################################################
#                                         #
##############################################################

sub QuestionForm {
&PrintHeader;
print <<"OUT_HTML";
<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=SendAnswerForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}
</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowQuestionList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
<tr><td>&nbsp;<br></td><td>&nbsp;</td></tr>
<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>


OUT_HTML

$total_aircrafts=0;
$imgResize_counter=0;

foreach $FileNameDB (@filesDB) {
  

$FilePath=$File.'/'.$FileNameDB;

#print $FilePath."\n";  #   

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

if ($DELDATA_1 ne "Yes" ) {
if ($memContent1 ne "" ) {

$total_aircrafts+=1; #    

 print '<tr><td valign=top>';

print <<"OUT_HTML";
<table>

OUT_HTML

if ($AirShowRegion!=0) {
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$lstRegion</td></tr>";
}
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>  : </td><td valign=top><font size=-1>$edtFName</td></tr>
<tr><td valign=top><font size=-1> : </td><td valign=top><font size=-1>$birdthday</td></tr>
<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$phone</td></tr>
<tr><td valign=top><font size=-1>E-Mail: </td><td valign=top><font size=-1>$mailaddr</td></tr>
<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$CompanY</td></tr>
<!--
<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>
<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>
<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>
<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>
<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>
-->
</table></center>

OUT_HTML

 print '</td><td valign=top>';

  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print ":<BR>$memContent1<BR><CENTER>";
 # if ($EMAIL_OK == 1) {
   print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';
 # }
  print '</CENTER>';

print '</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

} #  
} #   
} #   



print <<"OUT_HTML";
</table>

<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR>
</body></html>
OUT_HTML
}

##############################################################
#                           #
##############################################################

sub SummaryPassword {

&PrintHeader;
print <<"OUT_HTML";

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>
<SCRIPT language=javascript>

aircraft="";

function checkDiv(value) {
        aircraft=value;
	var form = document.getElementById('ask');;
	var divs = form.getElementsByTagName('DIV');
	var pos = 0;
	for (i = 0; i < divs.length; i++)
	{
		if ( divs[i].id != value ) {divs[i].style.display = 'none';}
		else 
		{
			divs[i].style.display = 'block';
			pos = i;
		}
	}

	

//	if ( divs[1].id == value ) 
//	{
//		form.how_phone.value = form.phone.value;
////		for (i = 0; i < form.how_prefix.options.length; i++)
////		{
////			if (form.how_prefix.options[i].value == form.phone_prefix.value) form.how_prefix.options[i].selected = true;
////		}
//	}
}



function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
		var now = new Date();

                if(statform.value == " ") {
                  alert('  !');
		  return false;
                }

                if(pass.value == "") {
                  alert('  !');
		  return false;
                }


		document.ask.submit();
	}
}
</SCRIPT>

<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form) {
//alert("  !");
	var frm = document.forms['ask'];
         strAddr="$DomainNameCGI/$ScriptMailName?action=SendMessageForm;year=$Command{'year'};airfield=$Command{'airfield'}";

FormName="  ";
return GB_showFullScreen(FormName, strAddr);
}

</SCRIPT>

<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=StatPrint;year=$Command{'year'};airfield=$Command{'airfield'}">

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
 ""   .
<BR>
$NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>

<tr><td>
 :
</td><td>

OUT_HTML
@AirShowStatTypeList = split(/\|/,$AirShowStatType);
print '<SELECT style="WIDTH: 350px" name=statform>';
print '                <OPTION value="'.$AirShowStatTypeList[0].'" selected>'.$AirShowStatTypeList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowStatTypeList) {
    if ($i != 0) {
     print '                <OPTION value="'.$pair.'">'.$pair.'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
</td></tr>

<tr><td>
:
</td><td>
<INPUT style="WIDTH: 350px" maxLength=80 name=pass type=password format="pass:: ::opt::20">
</td></tr>

<tr><td>

</td><td>
<INPUT type=submit value= name=mailtoholder>
</td></tr>


<tr><td>
<BR> :
</td><td>
<BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.ask);" VALUE=" ">
</td></tr>

</table>
</FORM>

<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML
}

##############################################################
#                               #
##############################################################

sub AssignCallSignSend {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
   $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
</table>
<BR><BR>

OUT_HTML

$FilePath=$File.'/'.$xUserID.'.db';

#print $FilePath."\n";  #   

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

if ($DELDATA_1 ne "Yes" ) {

#####  - 

&SendAnswerSubSign;
if ($ErrSend != 1) { print "  !<BR><BR>"; }

$FilePathMSG=$File.'/'.$xUserID.'.ans';

#######    

$FilePath=$File.'/'.$xUserID.'.db';

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

$memNULL="";
 open(PRICE,">>$FilePath")|| &send_errorWR;
 print PRICE $date."|".$time."|".$IP_Addr."|".$edtFName."|".$CompanY."|".$birdthday."|".$aircraft_commanderPasspN."|".$aircraft_commanderPasspData."|".$lstRegion."|".$phone."|".$mailaddr."|".$mailpassw."|".$quantity."|".$how."|".$aircraft_model."|".$aircraft_type."|".$aircraft_number."|".$aircraft_regtype."|".$aircraft_airwortness."|".$aircraft_airwortness_dat."|".$aircraft_techcom."|".$aircraft_seats."|".$aircraft_PPL."|".$aircraft_PPL_num."|".$aircraft_PPL_date."|".$aircraft_medical."|".$aircraft_expirience."|".$aircraft_expirienceYear."|".$aircraft_expirienceAll."|".$aircraft_fuel_type."|".$aircraft_fuel."|".$aircraft_radio."|".$aircraft_flights."|".$volonter."|".$memContent1."|".$aircraft_WingsWidth."|".$aircraft_MaxWeight."|".$aircraft_CruiseSpeed."|".$aircraft_TakeoffLanding."|".$aircraft_GPS."|".$FileSaved."|".$aircraft_commanderFamilyPhone."|".$aircraft_commanderFamilyName."|".$aircraft_commanderAirportData."|".$aircraft_HeadWind."|".$aircraft_TailWind."|".$aircraft_CrossWind."|".$aircraft_RunwaySurface."|".$aircraft_KPK."|".$aircraft_ENGType."|".$aircraft_ENGName."|".$aircraft_ENGQuant."|".$aircraft_ENGPower."|".$aircraft_manufactured."|".$aircraft_numberDATE."|".$RESERVE01."|".$RESERVE02."|".$RESERVE03."|".$RESERVE04."|".$RESERVE05."|".$RESERVE06."|".$RESERVE07."|".$RESERVE08."|".$RESERVE09."|".$RESERVE10."|".$RESERVE11."|".$RESERVE12."|".$xCALLSign."|".$EMAIL_OK."|".$DELDATA_1."|ENDofSTR\n";
 close(PRICE);


} else { #  

}

print <<"OUT_HTML";

<!--
<FORM id=ask name=ask onsubmit="CloseWin(this); return false;" enctype="multipart/form-data" target=_self method="POST" action=#>
<INPUT TYPE=BUTTON OnClick="CloseWin(this.form);" VALUE=" ">
</FORM>
<A HREF=# onClick="document.close(form);"> </A>
-->

<BR><BR>
</body></html>
OUT_HTML
}

##############################################################


sub SendAnswerSubSign {
$IP_Addr = "$ENV{'REMOTE_ADDR'}";
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time);
$year=$year+1900;
$mon=$mon+1;
if ($mday < 10) {$mday="0".$mday;}
if ($mon < 10) {$mon="0".$mon;}
$time_stamp=$mday."/".$mon."/".$year." day/mon/year   ".$hour.":".$min.".".$sec." hour:min.sec";

#$mailaddr=~ s/\@/\\@/;
$mailaddrFinal = $mailaddr;

#$xmailaddr=~ s/\@/\\@/;
#$MailFrom1=$xmailaddr;


$AddrPr="\"$edtFName\" <$mailaddrFinal>";
#print $AddrPr ;


#print "\n".$MailFrom1."\n";
#print "\n".$MailFrom."\n";
#print $mailaddrFinal."\n";

open(MAIL, "| /usr/sbin/sendmail $mailaddrFinal") || &ErrSendEmail1; # die "   "; #-f \"$edtFName\"<$edtEMail> velocity_home\@mail.ru
print MAIL "To: $mailaddrFinal\n";
print MAIL "From: $MailFrom\n";
print MAIL "X-Mailer: REAA Website\n";
print MAIL 'Subject:    '.$NameOfAirshow."\n";
print MAIL "\n\n";
print MAIL "Content-Type: text/plain\; charset=windows-1251\n\n";

print MAIL $MAILTEXT1.$edtFName."!\n\n";

print MAIL "====================================\n";
print MAIL "    -\"".$xCALLSign."\"\n\n";

print MAIL "   () : ".$aircraft_type." - ".$aircraft_model."\n";
print MAIL "   . : ".$aircraft_regtype." - ".$aircraft_number."\n\n";

print MAIL "    !\n";
print MAIL "      !\n";
print MAIL "====================================\n";

print MAIL "\n ,  .\n\n";

print MAIL "  - $mday/$mon/$year  $hour:$min:$sec \n";

print MAIL "====================================\n";

close(MAIL);
}



##############################################################
#                              #
##############################################################

sub SendAnswer {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
    $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
</table>
<BR><BR>

OUT_HTML

$FilePath=$File.'/'.$xUserID.'.db';

#print $FilePath."\n";  #   

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

if ($DELDATA_1 ne "Yes" ) {

#####  - 

#!!#     

&SendAnswerSub;
if ($ErrSend != 1) { print "  !<BR><BR>"; }

$FilePathMSG=$File.'/'.$xUserID.'.ans';

open(PRICE,">>$FilePathMSG")|| &send_errorWR;
print PRICE $mday."/".$mon."/".$year."|".$hour.":".$min.":".$sec."|".$IP_Addr."||".$memContent1."|".$message."|ENDofSTR\n";
close(PRICE);

#######  ,   

$FilePath=$File.'/'.$xUserID.'.db';

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

$memNULL="";
 open(PRICE,">>$FilePath")|| &send_errorWR;
 print PRICE $date."|".$time."|".$IP_Addr."|".$edtFName."|".$CompanY."|".$birdthday."|".$aircraft_commanderPasspN."|".$aircraft_commanderPasspData."|".$lstRegion."|".$phone."|".$mailaddr."|".$mailpassw."|".$quantity."|".$how."|".$aircraft_model."|".$aircraft_type."|".$aircraft_number."|".$aircraft_regtype."|".$aircraft_airwortness."|".$aircraft_airwortness_dat."|".$aircraft_techcom."|".$aircraft_seats."|".$aircraft_PPL."|".$aircraft_PPL_num."|".$aircraft_PPL_date."|".$aircraft_medical."|".$aircraft_expirience."|".$aircraft_expirienceYear."|".$aircraft_expirienceAll."|".$aircraft_fuel_type."|".$aircraft_fuel."|".$aircraft_radio."|".$aircraft_flights."|".$volonter."|".$memNULL."|".$aircraft_WingsWidth."|".$aircraft_MaxWeight."|".$aircraft_CruiseSpeed."|".$aircraft_TakeoffLanding."|".$aircraft_GPS."|".$FileSaved."|".$aircraft_commanderFamilyPhone."|".$aircraft_commanderFamilyName."|".$aircraft_commanderAirportData."|".$aircraft_HeadWind."|".$aircraft_TailWind."|".$aircraft_CrossWind."|".$aircraft_RunwaySurface."|".$aircraft_KPK."|".$aircraft_ENGType."|".$aircraft_ENGName."|".$aircraft_ENGQuant."|".$aircraft_ENGPower."|".$aircraft_manufactured."|".$aircraft_numberDATE."|".$RESERVE01."|".$RESERVE02."|".$RESERVE03."|".$RESERVE04."|".$RESERVE05."|".$RESERVE06."|".$RESERVE07."|".$RESERVE08."|".$RESERVE09."|".$RESERVE10."|".$RESERVE11."|".$RESERVE12."|".$CALLSign."|".$EMAIL_OK."|".$DELDATA_1."|ENDofSTR\n";
 close(PRICE);


} else { #  

}

print <<"OUT_HTML";

<!--
<FORM id=ask name=ask onsubmit="CloseWin(this); return false;" enctype="multipart/form-data" target=_self method="POST" action=#>
<INPUT TYPE=BUTTON OnClick="CloseWin(this.form);" VALUE=" ">
</FORM>
<A HREF=# onClick="document.close(form);"> </A>
-->

<BR><BR>
</body></html>
OUT_HTML
}


##############################################################


sub SendAnswerSub {
$IP_Addr = "$ENV{'REMOTE_ADDR'}";
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time);
$year=$year+1900;
$mon=$mon+1;
if ($mday < 10) {$mday="0".$mday;}
if ($mon < 10) {$mon="0".$mon;}
$time_stamp=$mday."/".$mon."/".$year." day/mon/year   ".$hour.":".$min.".".$sec." hour:min.sec";

#$mailaddr=~ s/\@/\\@/;
$mailaddrFinal = $mailaddr;

#$xmailaddr=~ s/\@/\\@/;
#$MailFrom1=$xmailaddr;


$AddrPr="\"$edtFName\" <$mailaddrFinal>";
#print $AddrPr ;


#print "\n".$MailFrom1."\n";
#print $mailaddrFinal."\n";

open(MAIL, "| /usr/sbin/sendmail $mailaddrFinal") || &ErrSendEmail1; # die "   "; #-f \"$edtFName\"<$edtEMail> velocity_home\@mail.ru
print MAIL "To: $mailaddrFinal\n";
print MAIL "From: $MailFrom\n";
print MAIL "X-Mailer: REAA Website\n";
print MAIL 'Subject:      '.$NameOfAirshow."\n";
print MAIL "Content-Type: text/plain\; charset=windows-1251\n\n";
print MAIL "\n\n";

print MAIL $MAILTEXT1.$edtFName."!\n\n";

print MAIL "====================================\n";
print MAIL $MAILTEXT5."\n\n".$UserQUEST."\n";


print MAIL "====================================\n";
print MAIL "   :\n";
$message = $xmemContent;
$message =~ s/\r\n/\n/g;
print MAIL "$message\n";

print MAIL "====================================\n";
#print MAIL "IP   - ".$IP_Addr."\n";

print MAIL "\n ,  .\n\n";

print MAIL "  - $mday/$mon/$year  $hour:$min:$sec \n";

print MAIL "====================================\n";

close(MAIL);
}

##############################################################
#                            #
##############################################################

sub SendMessage {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
   $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
</table>
<BR><BR>

OUT_HTML

$FilePath=$File.'/'.$xUserID.'.db';

#print $FilePath."\n";  #   

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    


}
close(PRICE);

if ($how eq "") {
if ($DELDATA_1 ne "Yes" ) {
if ($EMAIL_OK == 1 ) {

#####  - 

&SendMessageSub;
if ($ErrSend != 1) { print "  !<BR><BR>"; }

$FilePathMSG=$File.'/'.$xUserID.'.msg';

open(PRICE,">>$FilePathMSG")|| &send_errorWR;
print PRICE $mday."/".$mon."/".$year."|".$hour.":".$min.":".$sec."|".$IP_Addr."|".$xedtFName."|".$xmailaddr."|".$message."|ENDofSTR\n";
close(PRICE);


} else { #     e-mail

}
} else { #  

}
}

print <<"OUT_HTML";

<!--
<FORM id=ask name=ask onsubmit="CloseWin(this); return false;" enctype="multipart/form-data" target=_self method="POST" action=#>
<INPUT TYPE=BUTTON OnClick="CloseWin(this.form);" VALUE=" ">
</FORM>
<A HREF=# onClick="document.close(form);"> </A>
-->

<BR><BR>
</body></html>
OUT_HTML
}
#'$xmemContent'$xedtFName'$xmailaddr'$xUserID




##############################################################


sub SendMessageSub {
$IP_Addr = "$ENV{'REMOTE_ADDR'}";
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time);
$year=$year+1900;
$mon=$mon+1;
if ($mday < 10) {$mday="0".$mday;}
if ($mon < 10) {$mon="0".$mon;}
$time_stamp=$mday."/".$mon."/".$year." day/mon/year   ".$hour.":".$min.".".$sec." hour:min.sec";

#$mailaddr=~ s/\@/\\@/;
$mailaddrFinal = $mailaddr;

#$xmailaddr=~ s/\@/\\@/;
$MailFrom1=$xmailaddr;


$AddrPr="\"$edtFName\" <$mailaddrFinal>";
#print $AddrPr ;


#print "\n".$MailFrom1."\n";
#print $mailaddrFinal."\n";

open(MAIL, "| /usr/sbin/sendmail $mailaddrFinal") || &ErrSendEmail1; # die "   "; #-f \"$edtFName\"<$edtEMail> velocity_home\@mail.ru
print MAIL "To: $mailaddrFinal\n";
print MAIL "From: $MailFrom1\n";
print MAIL "X-Mailer: REAA Website\n";
print MAIL 'Subject:    '.$NameOfAirshow."\n";
print MAIL "Content-Type: text/plain\; charset=windows-1251\n\n";
print MAIL "\n\n";

print MAIL $MAILTEXT1.$edtFName."!\n\n";
print MAIL $MAILTEXT2;
print MAIL $MAILTEXT3;
print MAIL "$DomainNameCGI/$ScriptFileName?action=Password;year=$Command{'year'};airfield=$Command{'airfield'}\n\n";
print MAIL $MAILTEXT4.$xedtFName."\n";
print MAIL "====================================\n";
print MAIL "   :\n";
$message = $xmemContent;
$message =~ s/\r\n/\n/g;
print MAIL "$message\n";

print MAIL "====================================\n";
print MAIL "IP   - ".$IP_Addr."\n";
print MAIL "  - $mday/$mon/$year  $hour:$min:$sec \n";

print MAIL "====================================\n";

close(MAIL);
}

##############################################################

sub ErrSendEmail1 { 
 print "  !!!<BR><BR>";
 $ErrSend=1;
}

##############################################################
#             -                 #
##############################################################


sub SendMessageForm {
&PrintHeader;
print <<"OUT_HTML";



<SCRIPT language=javascript>

function onSubm(form) {	
var frm = document.forms['ask'];
       with ( frm ) {
	var now = new Date();
         if(edtFName.value == "") {
          alert('  !');
	  return false;
         }

         if(mailaddr.value == "") {
          alert('  e-mail!');
	  return false;
         }

         if(memContent.value == "") {
          alert('  !');
	  return false;
         }

	 document.ask.submit();
	}
}
</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=SendMessage;year=$Command{'year'};airfield=$Command{'airfield'}">
<INPUT type=hidden name=UserID value="$Command{'UserID'}">

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
<BR>
    $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>

<!--

-->

<tr><td valign=top>
<IMG height=13 src="$MandatoryImg" width=16>
 E-Mail
<BR>
<INPUT style="WIDTH: 350px" maxLength=60 name=mailaddr format="mailaddr::  ::opt::40">
<BR>
<IMG height=13 src="$MandatoryImg" width=16> 
   <BR>
<INPUT style="WIDTH: 350px" maxLength=100 name=edtFName format="any:: ::100"> 
<BR>
<INPUT type=submit value= name=mailtoholder>

</td><td valign=top>
<IMG height=13 src="$MandatoryImg" width=16>
   
<BR>
<TEXTAREA style="WIDTH: 350px; HEIGHT: 110px" name=memContent format="any:: ::1000" maxlength="1000"></TEXTAREA>
<BR><BR>
<FONT SIZE=-1>
  <IMG height=13 src="$MandatoryImg" width=16>    .
<BR><BR>

</td></tr>

<tr><td>

</td><td>
</td></tr>

<tr><td>
</td><td>
</td></tr>

</table>

</FORM>
<BR><BR></body></html>
OUT_HTML
}



##############################################################
#                                    #
##############################################################


sub AssignCallSignForm {
&PrintHeader;

$FilePath=$File.'/'.$Command{'UserID'}.'.db';

#print $FilePath."\n";     

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
}
close(PRICE);

print <<"OUT_HTML";
<SCRIPT language=javascript>

function onSubm(form) {	
var frm = document.forms['ask'];
       with ( frm ) {
	var now = new Date();

         if(memContent.value == "") {
          alert('  !');
	  return false;
         }

	 document.ask.submit();
	}
}
</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=AssignCallSignSend;year=$Command{'year'};airfield=$Command{'airfield'}">
<INPUT type=hidden name=UserID value="$Command{'UserID'}">


<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
<BR>
     $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
<tr><td valign=top>

<B>  :</B>
<BR>

<table>
OUT_HTML
if ($AirShowRegion!=0) {
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$lstRegion</td></tr>";
}
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>   () : </td><td valign=top><font size=-1>$aircraft_type - $aircraft_model</td></tr>
<tr><td valign=top><font size=-1>    : </td><td valign=top><font size=-1>$aircraft_seats</td></tr>
OUT_HTML
  if ($AirShowENGINE!=0) {
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>$AirShowMenuENG_Type: </td><td valign=top><font size=-1>$aircraft_ENGType</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Name: </td><td valign=top><font size=-1>$aircraft_ENGName</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Quant: </td><td valign=top><font size=-1>$aircraft_ENGQuant</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Power: </td><td valign=top><font size=-1>$aircraft_ENGPower</td></tr>
OUT_HTML
  }
 if ($aircraft_WingsWidth !=0) { print "<tr><td valign=top><font size=-1>   (): </td><td valign=top><font size=-1>$aircraft_WingsWidth</td></tr>"; }
 if ($aircraft_GPS !=0) { print "<tr><td valign=top><font size=-1>    GPS : </td><td valign=top><font size=-1>$aircraft_GPS</td></tr>"; }
 if ($AirShowRegNum !=0) { print "<tr><td valign=top><font size=-1>   . : </td><td valign=top><font size=-1>".$aircraft_regtype." - ".$aircraft_number."</td></tr>"; }
 if ($SAirShowAirworthiness !=0) { print "<tr><td valign=top><font size=-1>       : </td><td valign=top><font size=-1>".$aircraft_airwortness." - ".$aircraft_airwortness_dat."</td></tr>"; }
 print "<tr><td valign=top><font size=-1>   ( ): </td><td valign=top><font size=-1>$aircraft_radio</td></tr>";
 if ($AirShowFuel!=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuFUELType: </td><td valign=top><font size=-1>".$aircraft_fuel_type."</td></tr>"; }
print <<"OUT_HTML";
</table>

</td><td valign=top>

<table>
OUT_HTML
 if ($aircraft_MaxWeight !=0) { print "<tr><td valign=top><font size=-1>    (): </td><td valign=top><font size=-1>$aircraft_MaxWeight</td></tr>"; }
 if ($aircraft_TakeoffLanding !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuRunway: </td><td valign=top><font size=-1>$aircraft_TakeoffLanding</td></tr>"; }
 if ($aircraft_HeadWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuHeadWind: </td><td valign=top><font size=-1>$aircraft_HeadWind</td></tr>"; }
 if ($aircraft_TailWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuTailWind: </td><td valign=top><font size=-1>$aircraft_TailWind</td></tr>"; }
 if ($aircraft_CrossWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuCrossWind: </td><td valign=top><font size=-1>$aircraft_CrossWind</td></tr>"; }
 if ($aircraft_CruiseSpeed !=0) { print "<tr><td valign=top><font size=-1>   (.) (/): </td><td valign=top><font size=-1>$aircraft_CruiseSpeed</td></tr>"; }
print <<"OUT_HTML";
</table>
<BR><BR>
<IMG height=13 src="$MandatoryImg" width=16> 
<BR>
<INPUT style="WIDTH: 350px" maxLength=5 name=CALLSign> 
<BR>
<FONT SIZE=-1>
  <IMG height=13 src="$MandatoryImg" width=16>    .
</FONT>
<CENTER>
<BR><BR>
<INPUT type=submit value= name=mailtoholder>
<BR><BR>
</td></tr>
</table>

</td></tr>
</table>

</FORM>
<BR><BR></body></html>
OUT_HTML
}


##############################################################
#               -      #
##############################################################


sub SendAnswerForm {
&PrintHeader;

$FilePath=$File.'/'.$Command{'UserID'}.'.db';

#print $FilePath."\n";     

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
}
close(PRICE);

print <<"OUT_HTML";
<SCRIPT language=javascript>

function onSubm(form) {	
var frm = document.forms['ask'];
       with ( frm ) {
	var now = new Date();

         if(memContent.value == "") {
          alert('  !');
	  return false;
         }

	 document.ask.submit();
	}
}
</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=SendAnswer;year=$Command{'year'};airfield=$Command{'airfield'}">
<INPUT type=hidden name=UserID value="$Command{'UserID'}">
<INPUT type=hidden name=UserQUEST value="$memContent1">

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
<BR>
     $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
<tr><td valign=top>

<B>:</B>
<BR>
<I>$memContent1</I>
<BR><BR>

</td><td valign=top>
<CENTER>
<table>
<tr><td>
<B>:</B>
<BR>
<CENTER>
<TEXTAREA style="WIDTH: 350px; HEIGHT: 110px" name=memContent format="any:: ::1000" maxlength="1000"></TEXTAREA>
<BR><BR>
<INPUT type=submit value= name=mailtoholder>
<BR><BR>
</td></tr>
</table>

</td></tr>
</table>

</FORM>
<BR><BR></body></html>
OUT_HTML
}


##############################################################
#                        #
##############################################################


sub AircraftsForm {
&image_resizeJS;

# Split the name-value pairs
@pairs = split(/\; /, $Mycookie);

foreach $pair (@pairs) {
  ($name, $value) = split(/=/, $pair);
#   # Un-Webify plus signs and %-encoding
#   $value =~ tr/+/ /;
#   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  if ($name eq "REAA_accpassA") {$REAA_accpass=$value;}
  if ($name eq "REAA_accstatA") {$REAA_accstat=$value;}
}

print <<"OUT_HTML";
<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=SendMessageForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function SendEmail1(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=AssignCallSignForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
                if(aircraft_typeL.value == " ") {
//                  alert('  !');
		  return false;
                }

		var now = new Date();
		document.ask.submit();
	}
}

function SendExi(form) {
document.cookie="REAA_accstatA=c;";
document.cookie="REAA_accpassA=c;";
 alert(" !");
}

</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>
<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=Aircrafts;year=$Command{'year'};airfield=$Command{'airfield'}">

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowAircraftList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
<tr><td>&nbsp;<br></td><td>&nbsp;</td></tr>

<tr><td>
OUT_HTML


#'$REAA_accpass'$REAA_accstat'


@AirShowStatTypeList = split(/\|/,$AirShowStatType);
@AirShowStatPassList = split(/\|/,$AirShowStatPass);
$i=0;
foreach $pair (@AirShowStatTypeList) {
 if ($i != 0) {
  if ($pair eq $REAA_accstat) { #   
    $StatNUMBER=$i;
    if ($REAA_accpass eq $AirShowStatPassList[$i]) {
     $StatPASS="Ok";
    } else {
     $StatPASS="No";
    }
  }
 }
 $i++;
}


if ($AirShowAircraft!=0) {
@AirShowAircraftList = split(/\|/,$AirShowAircraftType);
print <<"OUT_HTML";
                 
	      <SELECT style="WIDTH: 200px" name=aircraft_typeL onClick="onSubm(this); return false;">
OUT_HTML
   print '                <OPTION value="'.$AirShowAircraftList[0].'" selected>'.$AirShowAircraftList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowAircraftList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowAircraftList[$i].'">'.$AirShowAircraftList[$i].'</OPTION>'; 
     $AircraftTYPELst{$pair}=0; #     
    }
    $i++;
   }
print <<"OUT_HTML";
                <OPTION value=""></OPTION>; 
	      </SELECT>
OUT_HTML
}
print '</td><td>';
if ($StatPASS eq "Ok") {
 print '<INPUT TYPE=BUTTON OnClick="SendExi(this.ask);" VALUE=" ">';
}
print '</td></tr>';
print <<"OUT_HTML";






<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td> : <B>$aircraft_typeL </B>&nbsp;</td><td>&nbsp;</td></tr>
<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>


OUT_HTML

$total_aircrafts=0;
$imgResize_counter=0;

foreach $FileNameDB (@filesDB) {
  

$FilePath=$File.'/'.$FileNameDB;

#print $FilePath."\n";     

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

if ($how eq "") {
#if (($aircraft_airwortness ne "") || ($aircraft_airwortness_dat ne "")) { #!!# !!!!
if ($DELDATA_1 ne "Yes" ) {

$AircraftTYPELst{$aircraft_type}++; #  ,  ,   

if (($aircraft_typeL eq $aircraft_type) || ($aircraft_typeL eq "")) {

$total_aircrafts+=1; #    

 print '<tr><td valign=top>';

print <<"OUT_HTML";
<table>

OUT_HTML
if (($StatPASS eq "Ok") || ($OfflineNoPass == 1)) {
 print "<tr><td valign=top><font size=-1>  : </td><td valign=top><font size=-1>$edtFName</td></tr>";
 print "<tr><td valign=top><font size=-1> : </td><td valign=top><font size=-1>$birdthday</td></tr>";
 print "<tr><td valign=top><font size=-1> : </td><td valign=top><font size=-1>$aircraft_commanderPasspN</td></tr>";
 print "<tr><td valign=top><font size=-1>   : </td><td valign=top><font size=-1>$aircraft_commanderPasspData</td></tr>";
 print "<tr><td valign=top><font size=-1>   : </td><td valign=top><font size=-1>$aircraft_commanderFamilyPhone</td></tr>";
 print "<tr><td valign=top><font size=-1>   : </td><td valign=top><font size=-1>$aircraft_commanderFamilyName</td></tr>";
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$phone</td></tr>";
 print "<tr><td valign=top><font size=-1>E-Mail: </td><td valign=top><font size=-1>$mailaddr</td></tr>";
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$CompanY</td></tr>";
 print "<tr><td valign=top><font size=-1> : </td><td valign=top><font size=-1>$aircraft_commanderAirportData</td></tr>";

# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
 print "<tr><td valign=top><font size=-1>--------------</td><td valign=top><font size=-1>--------------</td></tr>";

}

if ($AirShowRegion!=0) {
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$lstRegion</td></tr>";
}
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>   () : </td><td valign=top><font size=-1>$aircraft_type - $aircraft_model</td></tr>
<tr><td valign=top><font size=-1>    : </td><td valign=top><font size=-1>$aircraft_seats</td></tr>
OUT_HTML
 if ($aircraft_MaxWeight !=0) { print "<tr><td valign=top><font size=-1>    (): </td><td valign=top><font size=-1>$aircraft_MaxWeight</td></tr>"; }
 if ($aircraft_TakeoffLanding !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuRunway: </td><td valign=top><font size=-1>$aircraft_TakeoffLanding</td></tr>"; }
 if ($aircraft_HeadWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuHeadWind: </td><td valign=top><font size=-1>$aircraft_HeadWind</td></tr>"; }
 if ($aircraft_TailWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuTailWind: </td><td valign=top><font size=-1>$aircraft_TailWind</td></tr>"; }
 if ($aircraft_CrossWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuCrossWind: </td><td valign=top><font size=-1>$aircraft_CrossWind</td></tr>"; }
 if ($aircraft_CruiseSpeed !=0) { print "<tr><td valign=top><font size=-1>   (.) (/): </td><td valign=top><font size=-1>$aircraft_CruiseSpeed</td></tr>"; }
  if ($AirShowENGINE!=0) {
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>$AirShowMenuENG_Type: </td><td valign=top><font size=-1>$aircraft_ENGType</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Name: </td><td valign=top><font size=-1>$aircraft_ENGName</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Quant: </td><td valign=top><font size=-1>$aircraft_ENGQuant</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Power: </td><td valign=top><font size=-1>$aircraft_ENGPower</td></tr>
OUT_HTML
  }
 if ($aircraft_WingsWidth !=0) { print "<tr><td valign=top><font size=-1>   (): </td><td valign=top><font size=-1>$aircraft_WingsWidth</td></tr>"; }
 if ($aircraft_GPS !=0) { print "<tr><td valign=top><font size=-1>    GPS : </td><td valign=top><font size=-1>$aircraft_GPS</td></tr>"; }
 if ($AirShowRegNum !=0) { print "<tr><td valign=top><font size=-1>   . : </td><td valign=top><font size=-1>".$aircraft_regtype." - ".$aircraft_number."</td></tr>"; }
 if ($SAirShowAirworthiness !=0) { print "<tr><td valign=top><font size=-1>       : </td><td valign=top><font size=-1>".$aircraft_airwortness." - ".$aircraft_airwortness_dat."</td></tr>"; }
print <<"OUT_HTML";
 <tr><td valign=top><font size=-1>   ( ): </td><td valign=top><font size=-1>$aircraft_radio</td></tr>
OUT_HTML
 if ($AirShowFuel!=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuFUELType: </td><td valign=top><font size=-1>".$aircraft_fuel_type."</td></tr>"; }
print <<"OUT_HTML";
</table></center>

OUT_HTML

 print '</td><td valign=top>';

  $aircraft_model1 = $aircraft_model;
#  $aircraft_model1 =~ s/\"/\\\"/g;
  $aircraft_model1 =~ s/\"/ /g;
  $aircraft_model1 =~ s/\'/ /g;

 if ($FileSaved ne "") { #   
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
  if ($EMAIL_OK == 1) {print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';}
 } else {
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$NoImageImg.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$NoImageImg.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
  if ($EMAIL_OK == 1) {print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';}
 }
 if ($CallSign eq "Set") {
   print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail1(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE=" ">';
   if ($CALLSign ne "") { print "<BR><BR> : \"<FONT COLOR=#A00000><B>$CALLSign</B></FONT>\" ";}
 }
 print '</CENTER>';


print '</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

} #    
} #   
#} #!!# !!!!
} #  

} #   

print '<tr><td><FONT SIZE=-1>    :<BR>';
   $i=0;
   foreach $pair (@AirShowAircraftList) {
    if ($i != 0) {
     print $pair.' - <B>'.$AircraftTYPELst{$pair}.'</B><BR>';   #     
    }
    $i++;
   }
print '</FONT></td><td>&nbsp;</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';


print <<"OUT_HTML";
</table>

<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR>


OUT_HTML

	my ($resize_js,$resize_num);


#<img src="http://www.reaa.ru/yabbfiles/Attachments/DSC08904_1.jpg" name="attach_img_resize_11" alt="DSC08904_1.jpg" title="DSC08904_1.jpg" border="0" style="display:none" />
#   

#attach_img_resize_'.$imgResize_counter

        if ($imgResize_counter > 0) {
	 for ($i1 = 1; $i1 <= $imgResize_counter; $i1++) {
           $resize_js .="'attach_img_resize_".$i1."'";
           if ($imgResize_counter != $i1) {$resize_js .=",";}
	 }
	}

#	var img_resize_names = new Array ('avatar_img_resize_1','attach_img_resize_2','attach_img_resize_3','avatar_img_resize_4','attach_img_resize_5','attach_img_resize_6','avatar_img_resize_7','attach_img_resize_8','attach_img_resize_9','avatar_img_resize_10','attach_img_resize_11','avatar_img_resize_12','avatar_img_resize_13','avatar_img_resize_14','avatar_img_resize_15','avatar_img_resize_16','signat_img_resize_17','avatar_img_resize_18','avatar_img_resize_19','avatar_img_resize_20','avatar_img_resize_21','avatar_img_resize_22','avatar_img_resize_23','avatar_img_resize_24','avatar_img_resize_25','avatar_img_resize_26','avatar_img_resize_27','avatar_img_resize_28','attach_img_resize_29','avatar_img_resize_30','avatar_img_resize_31','avatar_img_resize_32','attach_img_resize_33','attach_img_resize_34','avatar_img_resize_35','attach_img_resize_36','attach_img_resize_37','avatar_img_resize_38','attach_img_resize_39','attach_img_resize_40','avatar_img_resize_41','avatar_img_resize_42','avatar_img_resize_43');
#    

print <<"OUT_HTML";
<script language="JavaScript1.2" type="text/javascript">
<!--
	// resize image start
	var resize_time = 6;
	var img_resize_names = new Array ($resize_js);

	var attach_img_w    = $max_attach_img_width;
	var attach_img_h    = $max_attach_img_height;
	var fix_attach_size = $fix_attach_img_size;

	noimgdir   = 'http://www.reaa.ru';  //#!!#
	noimgtitle = ' ';

	resize_images();
	// resize image end
// -->
</script>


</body></html>
OUT_HTML

}


sub send_error_ReadFile {
 print "<br>     : $FileNameDB<br>";

}







sub AircraftsFuelType {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>   $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

OUT_HTML

#   ,  

&AircraftsFormFuelTab;

print <<"OUT_HTML";
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>
<BR><BR></body></html>
OUT_HTML


}



##############################################################
#                  #
##############################################################


sub AircraftsFormFuelTab {
&image_resizeJS;

# Split the name-value pairs
@pairs = split(/\; /, $Mycookie);

foreach $pair (@pairs) {
  ($name, $value) = split(/=/, $pair);
#   # Un-Webify plus signs and %-encoding
#   $value =~ tr/+/ /;
#   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  if ($name eq "REAA_accpassA") {$REAA_accpass=$value;}
  if ($name eq "REAA_accstatA") {$REAA_accstat=$value;}
}

print <<"OUT_HTML";
<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=SendMessageForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function SendEmail1(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=AssignCallSignForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
                if(aircraft_typeL.value == " ") {
//                  alert('  !');
		  return false;
                }

		var now = new Date();
		document.ask.submit();
	}
}


</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>
<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=AircraftsFuelType;year=$Command{'year'};airfield=$Command{'airfield'}">

<table>


<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
    $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>

<tr><td>&nbsp;<br></td><td>&nbsp;</td></tr>

OUT_HTML


#'$REAA_accpass'$REAA_accstat'



print <<"OUT_HTML";


<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td>
<!--
 : <B>$aircraft_typeL </B>&nbsp;
-->

OUT_HTML
if ($AirShowAircraft!=0) {
@AirShowAircraftFuelTypeX = split(/\|/,$AirShowFuelType);
print <<"OUT_HTML";
   
	      <SELECT style="WIDTH: 200px" name=aircraft_typeL onClick="onSubm(this); return false;">
OUT_HTML
   print '                <OPTION value="'.$AirShowAircraftFuelTypeX[0].'" selected>'.$AirShowAircraftFuelTypeX[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowAircraftFuelTypeX) {
    if (($i != 0) && ($i != 1)) {
     print '                <OPTION value="'.$AirShowAircraftFuelTypeX[$i].'">'.$AirShowAircraftFuelTypeX[$i].'</OPTION>'; 
     $AircraftTYPELst{$pair}=0; #     
    }
    $i++;
   }
print <<"OUT_HTML";
                <OPTION value=""></OPTION>; 
	      </SELECT>
OUT_HTML
}
print <<"OUT_HTML";


</td><td>&nbsp;</td></tr>
<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>


OUT_HTML

$total_aircrafts=0;
$imgResize_counter=0;

foreach $FileNameDB (@filesDB) {
  

$FilePath=$File.'/'.$FileNameDB;

#print $FilePath."\n";     

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

if ($how eq "") {
if ($DELDATA_1 ne "Yes" ) {
$AircraftTYPELst{$aircraft_type}++; #  ,  ,   

if ($aircraft_fuel != 0) {

if ($aircraft_typeL eq $aircraft_fuel_type ) {

$total_aircrafts+=1; #    

 print '<tr><td valign=top>';

print <<"OUT_HTML";
<table>

OUT_HTML
if (($StatPASS eq "Ok") || ($OfflineNoPass==1)) {
 print "<tr><td valign=top><font size=-1>  : </td><td valign=top><font size=-1>$edtFName</td></tr>";
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$phone</td></tr>";
 print "<tr><td valign=top><font size=-1>E-Mail: </td><td valign=top><font size=-1>$mailaddr</td></tr>";
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$CompanY</td></tr>";
 print "<tr><td valign=top><font size=-1> : </td><td valign=top><font size=-1>$aircraft_commanderAirportData</td></tr>";

# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
 print "<tr><td valign=top><font size=-1>--------------</td><td valign=top><font size=-1>--------------</td></tr>";

}

if ($AirShowRegion!=0) {
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$lstRegion</td></tr>";
}
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>   () : </td><td valign=top><font size=-1>$aircraft_type - $aircraft_model</td></tr>
<tr><td valign=top><font size=-1>    : </td><td valign=top><font size=-1>$aircraft_seats</td></tr>
OUT_HTML
 if ($aircraft_MaxWeight !=0) { print "<tr><td valign=top><font size=-1>    (): </td><td valign=top><font size=-1>$aircraft_MaxWeight</td></tr>"; }
  if ($AirShowENGINE!=0) {
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>$AirShowMenuENG_Type: </td><td valign=top><font size=-1>$aircraft_ENGType</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Name: </td><td valign=top><font size=-1>$aircraft_ENGName</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Quant: </td><td valign=top><font size=-1>$aircraft_ENGQuant</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Power: </td><td valign=top><font size=-1>$aircraft_ENGPower</td></tr>
OUT_HTML
  }
 if ($aircraft_WingsWidth !=0) { print "<tr><td valign=top><font size=-1>   (): </td><td valign=top><font size=-1>$aircraft_WingsWidth</td></tr>"; }
 if ($AirShowRegNum !=0) { print "<tr><td valign=top><font size=-1>   . : </td><td valign=top><font size=-1>".$aircraft_regtype." - ".$aircraft_number."</td></tr>"; }
 if ($SAirShowAirworthiness !=0) { print "<tr><td valign=top><font size=-1>       : </td><td valign=top><font size=-1>".$aircraft_airwortness." - ".$aircraft_airwortness_dat."</td></tr>"; }
print <<"OUT_HTML";
 <tr><td valign=top><font size=-1>   ( ): </td><td valign=top><font size=-1>$aircraft_radio</td></tr>
OUT_HTML
 if ($AirShowFuel!=0) { 
   print "<tr><td valign=top><font size=-1><B>$AirShowMenuFUELType: </td><td valign=top><font color=#A00000><B>".$aircraft_fuel_type."</td></tr>"; 
   print "<tr><td valign=top><font size=-1><B>$RegForm_txt{'51'}: </td><td valign=top><font color=#A00000><B>".$aircraft_fuel."</td></tr>";
   $total_aircraftsFUEL+=$aircraft_fuel;
 }
print <<"OUT_HTML";
</table></center>

OUT_HTML

 print '</td><td valign=top>';

  $aircraft_model1 = $aircraft_model;
#  $aircraft_model1 =~ s/\"/\\\"/g;
  $aircraft_model1 =~ s/\"/ /g;
  $aircraft_model1 =~ s/\'/ /g;

 if ($FileSaved ne "") { #   
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
  if ($EMAIL_OK == 1) {print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';}
 } else {
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$NoImageImg.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$NoImageImg.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
  if ($EMAIL_OK == 1) {print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';}
 }
 if ($CallSign eq "Set") {
   print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail1(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE=" ">';
   if ($CALLSign ne "") { print "<BR><BR> : \"<FONT COLOR=#A00000><B>$CALLSign</B></FONT>\" ";}
 }
 print '</CENTER>';


print '</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

} #    
} #    
} #   
} #  

} #   



print '<tr><td><B>   : <FONT COLOR=#A00000>'.$total_aircraftsFUEL.'</FONT>';
print '</td><td><B>  : <FONT COLOR=#A00000>'.$total_aircrafts.'</B></td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';


#print '<tr><td><FONT SIZE=-1>    :<BR>';
#   $i=0;
#   foreach $pair (@AirShowAircraftList) {
#    if ($i != 0) {
#     print $pair.' - <B>'.$AircraftTYPELst{$pair}.'</B><BR>';   #     
#    }
#    $i++;
#   }
#print '</FONT></td><td>&nbsp;</td></tr>';
#print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';


print <<"OUT_HTML";
</table>

<BR><BR>


OUT_HTML

	my ($resize_js,$resize_num);


#<img src="http://www.reaa.ru/yabbfiles/Attachments/DSC08904_1.jpg" name="attach_img_resize_11" alt="DSC08904_1.jpg" title="DSC08904_1.jpg" border="0" style="display:none" />
#   

#attach_img_resize_'.$imgResize_counter

        if ($imgResize_counter > 0) {
	 for ($i1 = 1; $i1 <= $imgResize_counter; $i1++) {
           $resize_js .="'attach_img_resize_".$i1."'";
           if ($imgResize_counter != $i1) {$resize_js .=",";}
	 }
	}

#	var img_resize_names = new Array ('avatar_img_resize_1','attach_img_resize_2','attach_img_resize_3','avatar_img_resize_4','attach_img_resize_5','attach_img_resize_6','avatar_img_resize_7','attach_img_resize_8','attach_img_resize_9','avatar_img_resize_10','attach_img_resize_11','avatar_img_resize_12','avatar_img_resize_13','avatar_img_resize_14','avatar_img_resize_15','avatar_img_resize_16','signat_img_resize_17','avatar_img_resize_18','avatar_img_resize_19','avatar_img_resize_20','avatar_img_resize_21','avatar_img_resize_22','avatar_img_resize_23','avatar_img_resize_24','avatar_img_resize_25','avatar_img_resize_26','avatar_img_resize_27','avatar_img_resize_28','attach_img_resize_29','avatar_img_resize_30','avatar_img_resize_31','avatar_img_resize_32','attach_img_resize_33','attach_img_resize_34','avatar_img_resize_35','attach_img_resize_36','attach_img_resize_37','avatar_img_resize_38','attach_img_resize_39','attach_img_resize_40','avatar_img_resize_41','avatar_img_resize_42','avatar_img_resize_43');
#    

print <<"OUT_HTML";
<script language="JavaScript1.2" type="text/javascript">
<!--
	// resize image start
	var resize_time = 6;
	var img_resize_names = new Array ($resize_js);

	var attach_img_w    = $max_attach_img_width;
	var attach_img_h    = $max_attach_img_height;
	var fix_attach_size = $fix_attach_img_size;

	noimgdir   = 'http://www.reaa.ru';  //#!!#
	noimgtitle = ' ';

	resize_images();
	// resize image end
// -->
</script>


OUT_HTML

}








##############################################################
#                                       #
##############################################################

sub RegionsForm {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowRegionsList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>


OUT_HTML

$total_aircrafts=0;

foreach $FileNameDB (@filesDB) {
  $FilePath=$File.'/'.$FileNameDB;

#  print $FilePath."\n";  #   

  open(PRICE,$FilePath) || &send_error_ReadFile;
  while($named=<PRICE>){
   &GetSplitData;
   #$CorrectString = `ENDofSTR` -    
  }
  close(PRICE);

###        


}

###         

  if ($how eq "") {
   $total_aircrafts+=1; #    
   print '<tr><td valign=top>';


   print '</td><td valign=top>';


   print '</td></tr>';
  }


print <<"OUT_HTML";
</table>

<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML
}


##############################################################
#                                                   #
##############################################################

sub VolunteerForm {

my @LST_Region;
my @LST_Quantity;
my @LST_Volonter;

&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowVolunteerList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>


OUT_HTML

$total_person=0;

foreach $FileNameDB (@filesDB) {
  $FilePath=$File.'/'.$FileNameDB;

#  print $FilePath."\n";  #   

  open(PRICE,$FilePath) || &send_error_ReadFile;
  while($named=<PRICE>){
   &GetSplitData;
   #$CorrectString = `ENDofSTR` -    
  }
  close(PRICE);

###        
if ($DELDATA_1 ne "Yes" ) {
 if (($volonter ne " ") && ($volonter ne "")) {
   $total_person=$total_person+$quantity;
   push(@LST_Region, $lstRegion);
   push(@LST_Quantity, $quantity);
   push(@LST_Volonter, $volonter);
 }
}
###    

}

print <<"OUT_HTML";
</table>

<table border=0>

<BR>

OUT_HTML
###         
print <<"OUT_HTML";

<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>

<tr><td>
<B>&nbsp;&nbsp;&nbsp;&nbsp;</B>
</td><td>
<B>&nbsp;&nbsp;- &nbsp;&nbsp;</B>
</td><td>
<B>&nbsp;&nbsp;  &nbsp;&nbsp;</B>
</td></tr>
<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>

OUT_HTML

#!!#          
if ($AirShowRegion!=0) {
 @AirShowRegionList = split(/\|/,$AirShowRegionType);
}

$total_person=0;
foreach $Xpair (@AirShowRegionList) {
 $iz=0;

 my $i;
 $i=0;
 foreach $LST_REGION (@LST_Region) {
  if ($LST_REGION eq $Xpair) {
    print '<tr><td valign=top>'.$LST_REGION.'</td><td valign=top>'.$LST_Quantity[$i].'</td><td valign=top>'.$LST_Volonter[$i].'</td></tr>';
    $total_person+=$LST_Quantity[$i];
  }
  $i+=1;
 }

}



print <<"OUT_HTML";

<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td><B> </B></td><td><B>$total_person</B>&nbsp;</td><td>&nbsp;</td></tr>
<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>

</table>



<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML
}


##############################################################
#                                              #
##############################################################

sub AirworthinessForm {
&PrintHeader;
&image_resizeJS;
print <<"OUT_HTML";
<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=SendMessageForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}
</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowAirworthinessList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>

<tr><td>&nbsp;<br></td><td>&nbsp;</td></tr>
<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>


OUT_HTML

$total_aircrafts=0;
$imgResize_counter=0;

foreach $FileNameDB (@filesDB) {
  

$FilePath=$File.'/'.$FileNameDB;

#print $FilePath."\n";     

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
&GetSplitData;
#$CorrectString = `ENDofSTR` -    


}
close(PRICE);

if ($how eq "") {
if ($DELDATA_1 ne "Yes" ) {
if (($aircraft_techcom ne " ") && ($aircraft_techcom ne "")) {    #  
$total_aircrafts+=1; #    

 print '<tr><td valign=top>';

print <<"OUT_HTML";
 <center><table>
OUT_HTML
if ($AirShowRegion!=0) {
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$lstRegion</td></tr>
OUT_HTML
}
print <<"OUT_HTML";
 <tr><td valign=top><font size=-1>   () : </td><td valign=top><font size=-1>$aircraft_type - $aircraft_model</td></tr>
 <tr><td valign=top><font size=-1>    : </td><td valign=top><font size=-1>$aircraft_seats</td></tr>

OUT_HTML
 if ($aircraft_MaxWeight !=0) { print "<tr><td valign=top><font size=-1>    (): </td><td valign=top><font size=-1>$aircraft_MaxWeight</td></tr>"; }
 if ($aircraft_TakeoffLanding !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuRunway: </td><td valign=top><font size=-1>$aircraft_TakeoffLanding</td></tr>"; }
 if ($aircraft_HeadWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuHeadWind: </td><td valign=top><font size=-1>$aircraft_HeadWind</td></tr>"; }
 if ($aircraft_TailWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuTailWind: </td><td valign=top><font size=-1>$aircraft_TailWind</td></tr>"; }
 if ($aircraft_CrossWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuCrossWind: </td><td valign=top><font size=-1>$aircraft_CrossWind</td></tr>"; }
 if ($aircraft_CruiseSpeed !=0) { print "<tr><td valign=top><font size=-1>   (.) (/): </td><td valign=top><font size=-1>$aircraft_CruiseSpeed</td></tr>"; }
  if ($AirShowENGINE!=0) {
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>$AirShowMenuENG_Type: </td><td valign=top><font size=-1>$aircraft_ENGType</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Name: </td><td valign=top><font size=-1>$aircraft_ENGName</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Quant: </td><td valign=top><font size=-1>$aircraft_ENGQuant</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Power: </td><td valign=top><font size=-1>$aircraft_ENGPower</td></tr>
OUT_HTML
  }
 if ($aircraft_WingsWidth !=0) { print "<tr><td valign=top><font size=-1>   (): </td><td valign=top><font size=-1>$aircraft_WingsWidth</td></tr>"; }
 if ($aircraft_GPS !=0) { print "<tr><td valign=top><font size=-1>    GPS : </td><td valign=top><font size=-1>$aircraft_GPS</td></tr>"; }
 if ($AirShowRegNum !=0) { print "<tr><td valign=top><font size=-1>   . : </td><td valign=top><font size=-1>".$aircraft_regtype." - ".$aircraft_number."</td></tr>"; }
 if ($SAirShowAirworthiness !=0) { print "<tr><td valign=top><font size=-1>       : </td><td valign=top><font size=-1>".$aircraft_airwortness." - ".$aircraft_airwortness_dat."</td></tr>"; }
print <<"OUT_HTML";
 <tr><td valign=top><font size=-1>   ( ): </td><td valign=top><font size=-1>$aircraft_radio</td></tr>
OUT_HTML
 if ($AirShowFuel!=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuFUELType: </td><td valign=top><font size=-1>".$aircraft_fuel_type."</td></tr>"; }
print <<"OUT_HTML";
 </table></center>
OUT_HTML

 print '</td><td valign=top>';

  $aircraft_model1 = $aircraft_model;
#  $aircraft_model1 =~ s/\"/\\\"/g;
  $aircraft_model1 =~ s/\"/ /g;
  $aircraft_model1 =~ s/\'/ /g;

 if ($FileSaved ne "") { #   
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A><br>'.$AirShowMenuTechcom.' - '.$aircraft_techcom;
  if ($EMAIL_OK == 1) {print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';}
 } else {
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$NoImageImg.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$NoImageImg.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
  if ($EMAIL_OK == 1) {print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';}
 }
 print '</CENTER>';

print '</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

} #   
} #   
} #  

} #   



print <<"OUT_HTML";
</table>

<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR>


OUT_HTML

	my ($resize_js,$resize_num);


#<img src="http://www.reaa.ru/yabbfiles/Attachments/DSC08904_1.jpg" name="attach_img_resize_11" alt="DSC08904_1.jpg" title="DSC08904_1.jpg" border="0" style="display:none" />
#   

#attach_img_resize_'.$imgResize_counter

        if ($imgResize_counter > 0) {
	 for ($i1 = 1; $i1 <= $imgResize_counter; $i1++) {
           $resize_js .="'attach_img_resize_".$i1."'";
           if ($imgResize_counter != $i1) {$resize_js .=",";}
	 }
	}

#	var img_resize_names = new Array ('avatar_img_resize_1','attach_img_resize_2','attach_img_resize_3','avatar_img_resize_4','attach_img_resize_5','attach_img_resize_6','avatar_img_resize_7','attach_img_resize_8','attach_img_resize_9','avatar_img_resize_10','attach_img_resize_11','avatar_img_resize_12','avatar_img_resize_13','avatar_img_resize_14','avatar_img_resize_15','avatar_img_resize_16','signat_img_resize_17','avatar_img_resize_18','avatar_img_resize_19','avatar_img_resize_20','avatar_img_resize_21','avatar_img_resize_22','avatar_img_resize_23','avatar_img_resize_24','avatar_img_resize_25','avatar_img_resize_26','avatar_img_resize_27','avatar_img_resize_28','attach_img_resize_29','avatar_img_resize_30','avatar_img_resize_31','avatar_img_resize_32','attach_img_resize_33','attach_img_resize_34','avatar_img_resize_35','attach_img_resize_36','attach_img_resize_37','avatar_img_resize_38','attach_img_resize_39','attach_img_resize_40','avatar_img_resize_41','avatar_img_resize_42','avatar_img_resize_43');
#    

print <<"OUT_HTML";
<script language="JavaScript1.2" type="text/javascript">
<!--
	// resize image start
	var resize_time = 6;
	var img_resize_names = new Array ($resize_js);

	var attach_img_w    = $max_attach_img_width;
	var attach_img_h    = $max_attach_img_height;
	var fix_attach_size = $fix_attach_img_size;

	noimgdir   = 'http://www.reaa.ru';  //#!!#
	noimgtitle = ' ';

	resize_images();
	// resize image end
// -->
</script>


</body></html>
OUT_HTML
}


##############################################################
#            ()                      #
##############################################################

sub Fuel_OrderForm {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowFuel_OrderList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>


<tr><td>&nbsp;<br></td><td>&nbsp;</td></tr>
<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>


OUT_HTML

$total_aircrafts=0;
$imgResize_counter=0;

foreach $FileNameDB (@filesDB) {
  

$FilePath=$File.'/'.$FileNameDB;

#print $FilePath."\n";     

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
 &GetSplitData;
 #$CorrectString = `ENDofSTR` -    
}
close(PRICE);

if ($how eq "") {
 if ($DELDATA_1 ne "Yes" ) {
  if (($aircraft_fuel_type ne "") && ($aircraft_fuel_type ne " ") && ($aircraft_fuel !=0)) {    #  
   $total_aircrafts+=1; #    
   $FUEL_ORDER{$aircraft_fuel_type} += $aircraft_fuel;
   #print '<tr bgcolor=#8080F0><td>&nbsp;'.$FUEL_ORDER{'$aircraft_fuel_type'}.'</td><td>&nbsp;</td></tr>';
  } #  
 } #   
} #  

} #   

print '<tr><td> </td><td>   ()</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

@AirShowFuelTypeList = split(/\|/,$AirShowFuelType);
foreach $aircraft_fuel_type (@AirShowFuelTypeList) {
  if ($FUEL_ORDER{$aircraft_fuel_type} !=0){
print <<"OUT_HTML";
<tr><td>$aircraft_fuel_type</td><td>$FUEL_ORDER{$aircraft_fuel_type}</td></tr>
OUT_HTML
  }
}
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';
print '<tr><td> :</td><td>'.$total_aircrafts.'</td></tr>';
print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';


print <<"OUT_HTML";
</table>

<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR>
</body></html>
OUT_HTML
}


##############################################################
#                                 #
##############################################################

sub SummaryForm {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$LAirshowSummaryList
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>


OUT_HTML

$total_aircrafts=0;

foreach $FileNameDB (@filesDB) {
  $FilePath=$File.'/'.$FileNameDB;

#  print $FilePath."\n";  #   

  open(PRICE,$FilePath) || &send_error_ReadFile;
  while($named=<PRICE>){
   &GetSplitData;
   #$CorrectString = `ENDofSTR` -    
  }
  close(PRICE);

###        
 if ($DELDATA_1 ne "Yes" ) {
  push(@XRegion, $lstRegion);
  push(@XQuantity, $quantity);
  push(@XAircraft_YN, $how);
  push(@XAircraftType, $aircraft_type);
  push(@XAircraftModel, $aircraft_model);
 } #   
}  #   


print '</table>';

print '<BR><table>';


###         

#print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';

#!!#          
if ($AirShowRegion!=0) {
 @AirShowRegionList = split(/\|/,$AirShowRegionType);
}


   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
   print '<tr><td valign=top>';
   print '</td><td valign=top>- ';
   print '</td><td valign=top> ';
   print '</td><td valign=top> () ';
   print '</td></tr>';
   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';

#######################################

$TotalPeoples=0;
$TotalRegAircrafts=0;
foreach $Xpair (@AirShowRegionList) {
 $iz=0;
 $Regprint=0;
 foreach $Xreg (@XRegion) {
  if (($Xpair eq $Xreg) && ($XAircraft_YN[$iz] eq "")) { #      
   $total_aircrafts+=1; #    
   print '<tr><td valign=top>';
   if ($Regprint == 0) {
    print $Xpair;
    $TotalRegAircrafts++;
   } else {
    print "&nbsp;";
   }
   $Regprint=1;
   print '</td><td valign=top>'.$XQuantity[$iz];
   print '</td><td valign=top>'.$XAircraftType[$iz];
   print '</td><td valign=top>'.$XAircraftModel[$iz];
   print '</td></tr>';
   $TotalPeoples+=$XQuantity[$iz];
  }
  $iz++;
 }
   if ($Regprint != 0) {
   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
   }
}

#######################################
$TotalRegPersons=0;
foreach $Xpair (@AirShowRegionList) {
 $iz=0;
 $RegQuant=0;
 foreach $Xreg (@XRegion) {
  if (($Xpair eq $Xreg) && ($XAircraft_YN[$iz] ne "")) { #       !!!
   $RegQuant+=$XQuantity[$iz];
  }
 $iz++;
 }
 if ($RegQuant != 0) {
  print '<tr><td valign=top>'.$Xpair;
  print '</td><td valign=top>'.$RegQuant;
  print '</td><td valign=top>&nbsp;';
  print '</td><td valign=top>&nbsp;';
  print '</td></tr>';
  print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';
  $TotalPeoples+=$RegQuant;
  $TotalRegPersons++;
 }
 $RegQuant=0;
}
#######################################


   print '<tr><td valign=top> <B>'.$TotalRegAircrafts.'</B>   <BR>     <B>'.$TotalRegPersons.'</B> .</td><td valign=top> : <B>'.$TotalPeoples.'</B></td><td valign=top>&nbsp;</td><td valign=top> : <B>'.$total_aircrafts.'</B></td></tr>';

   print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>';

print <<"OUT_HTML";
</table>

<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML
}






##############################################################
#                        #
##############################################################


sub FullDataFormPrintTab1 {
&image_resizeJS;

print <<"OUT_HTML";
<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=SendMessageForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function SendEmail1(form,FormName,UserID) {
//alert("  !");
strAddr="$DomainNameCGI/$ScriptStatFileName?action=AssignCallSignForm;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+UserID;
return GB_showFullScreen(FormName, strAddr);
}

function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
                if(aircraft_typeL.value == " ") {
//                  alert('  !');
		  return false;
                }

		var now = new Date();
		document.ask.submit();
	}
}

function SendExi(form) {
document.cookie="REAA_accstatA=c;";
document.cookie="REAA_accpassA=c;";
 alert(" !");
}

</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>
<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptStatFileName?action=Aircrafts;year=$Command{'year'};airfield=$Command{'airfield'}">

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
  $NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
<tr><td>&nbsp;<br></td><td>&nbsp;</td></tr>

<tr><td>
OUT_HTML
#'$REAA_accpass'$REAA_accstat'

print '</td><td>';
if ($StatPASS eq "Ok") {
 print '<INPUT TYPE=BUTTON OnClick="SendExi(this.ask);" VALUE=" ">';
}
print '</td></tr>';
print <<"OUT_HTML";

<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>
OUT_HTML

$imgResize_counter=0;


if ($how eq "") {
if ($DELDATA_1 ne "Yes" ) {

 print '<tr><td valign=top>';

print <<"OUT_HTML";
<table>

OUT_HTML
if (($StatPASS eq "Ok") || ($OfflineNoPass == 1)) {
 print "<tr><td valign=top><font size=-1>  : </td><td valign=top><font size=-1>$edtFName</td></tr>";
 print "<tr><td valign=top><font size=-1> : </td><td valign=top><font size=-1>$birdthday</td></tr>";
 print "<tr><td valign=top><font size=-1> : </td><td valign=top><font size=-1>$aircraft_commanderPasspN</td></tr>";
 print "<tr><td valign=top><font size=-1>   : </td><td valign=top><font size=-1>$aircraft_commanderPasspData</td></tr>";
 print "<tr><td valign=top><font size=-1>   : </td><td valign=top><font size=-1>$aircraft_commanderFamilyPhone</td></tr>";
 print "<tr><td valign=top><font size=-1>   : </td><td valign=top><font size=-1>$aircraft_commanderFamilyName</td></tr>";
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$phone</td></tr>";
 print "<tr><td valign=top><font size=-1>E-Mail: </td><td valign=top><font size=-1>$mailaddr</td></tr>";
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$CompanY</td></tr>";
 print "<tr><td valign=top><font size=-1> : </td><td valign=top><font size=-1>$aircraft_commanderAirportData</td></tr>";

# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
# print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1></td></tr>";
 print "<tr><td valign=top><font size=-1>--------------</td><td valign=top><font size=-1>--------------</td></tr>";

}

if ($AirShowRegion!=0) {
 print "<tr><td valign=top><font size=-1>: </td><td valign=top><font size=-1>$lstRegion</td></tr>";
}
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>   () : </td><td valign=top><font size=-1>$aircraft_type - $aircraft_model</td></tr>
<tr><td valign=top><font size=-1>    : </td><td valign=top><font size=-1>$aircraft_seats</td></tr>
OUT_HTML
 if ($aircraft_MaxWeight !=0) { print "<tr><td valign=top><font size=-1>    (): </td><td valign=top><font size=-1>$aircraft_MaxWeight</td></tr>"; }
 if ($aircraft_TakeoffLanding !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuRunway: </td><td valign=top><font size=-1>$aircraft_TakeoffLanding</td></tr>"; }
 if ($aircraft_HeadWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuHeadWind: </td><td valign=top><font size=-1>$aircraft_HeadWind</td></tr>"; }
 if ($aircraft_TailWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuTailWind: </td><td valign=top><font size=-1>$aircraft_TailWind</td></tr>"; }
 if ($aircraft_CrossWind !=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuCrossWind: </td><td valign=top><font size=-1>$aircraft_CrossWind</td></tr>"; }
 if ($aircraft_CruiseSpeed !=0) { print "<tr><td valign=top><font size=-1>   (.) (/): </td><td valign=top><font size=-1>$aircraft_CruiseSpeed</td></tr>"; }
  if ($AirShowENGINE!=0) {
print <<"OUT_HTML";
<tr><td valign=top><font size=-1>$AirShowMenuENG_Type: </td><td valign=top><font size=-1>$aircraft_ENGType</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Name: </td><td valign=top><font size=-1>$aircraft_ENGName</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Quant: </td><td valign=top><font size=-1>$aircraft_ENGQuant</td></tr>
<tr><td valign=top><font size=-1>$AirShowMenuENG_Power: </td><td valign=top><font size=-1>$aircraft_ENGPower</td></tr>
OUT_HTML
  }
 if ($aircraft_WingsWidth !=0) { print "<tr><td valign=top><font size=-1>   (): </td><td valign=top><font size=-1>$aircraft_WingsWidth</td></tr>"; }
 if ($aircraft_GPS !=0) { print "<tr><td valign=top><font size=-1>    GPS : </td><td valign=top><font size=-1>$aircraft_GPS</td></tr>"; }
print <<"OUT_HTML";
 <tr><td valign=top><font size=-1>   ( ): </td><td valign=top><font size=-1>$aircraft_radio</td></tr>
OUT_HTML
 if ($AirShowFuel!=0) { print "<tr><td valign=top><font size=-1>$AirShowMenuFUELType: </td><td valign=top><font size=-1>".$aircraft_fuel_type."</td></tr>"; }
print <<"OUT_HTML";
</table></center>

OUT_HTML

 print '</td><td valign=top>';

  $aircraft_model1 = $aircraft_model;
#  $aircraft_model1 =~ s/\"/\\\"/g;
  $aircraft_model1 =~ s/\"/ /g;
  $aircraft_model1 =~ s/\'/ /g;

 if ($FileSaved ne "") { #   
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
#  if ($EMAIL_OK == 1) {
   print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';
#  }
 } else {
  $imgResize_counter++;
  ($FileNameDB_X, $FileNameDB_Y) = split(/\./, $FileNameDB);
  print '<CENTER><a href="'.$NoImageImg.'" onclick="return GB_showFullScreen('."'".$aircraft_type." - ".$aircraft_model1."'".', this.href)">';
  print '<IMG SRC="'.$NoImageImg.'" border=0 name="attach_img_resize_'.$imgResize_counter.'" alt="'.$FileSaved.'" title="'.$FileSaved.'" style="display:none"></A>';
#  if ($EMAIL_OK == 1) {
    print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE="E-Mail ">';
#  }
 }
# if ($CallSign eq "Set") {
   print '<BR><BR><INPUT TYPE=BUTTON OnClick="SendEmail1(this.form,'."'".$aircraft_type." - ".$aircraft_model1."'".",'".$FileNameDB_X."'".');" VALUE=" ">';
   if ($CALLSign ne "") { print "<BR><BR> : \"<FONT COLOR=#A00000><B>$CALLSign</B></FONT>\" ";}
# }
 print '</CENTER>';

 print "<table>";
 if ($AirShowRegNum !=0) { print "<tr><td valign=top><font size=-1>   . : </td><td valign=top><font size=-1>".$aircraft_regtype." - ".$aircraft_number."</td></tr>"; }
# if ($SAirShowAirworthiness !=0) { 
  print "<tr><td valign=top><font size=-1>       : </td><td valign=top><font size=-1>".$aircraft_airwortness." - ".$aircraft_airwortness_dat."</td></tr>"; 
# }
  print "<tr><td valign=top><font size=-1>,   : </td><td valign=top><font size=-1>".$aircraft_PPL."</td></tr>"; 
  print "<tr><td valign=top><font size=-1>  : </td><td valign=top><font size=-1>".$aircraft_PPL_num."</td></tr>"; 
  print "<tr><td valign=top><font size=-1>   : </td><td valign=top><font size=-1>".$aircraft_PPL_date."</td></tr>"; 
  print "<tr><td valign=top><font size=-1>   : </td><td valign=top><font size=-1>".$aircraft_medical."</td></tr>"; 
  print "<tr><td valign=top><font size=-1>  (): </td><td valign=top><font size=-1>".$aircraft_expirienceAll."</td></tr>"; 
  print "<tr><td valign=top><font size=-1>    (): </td><td valign=top><font size=-1>".$aircraft_expirienceYear."</td></tr>"; 
  print "<tr><td valign=top><font size=-1>     (): </td><td valign=top><font size=-1>".$aircraft_expirience."</td></tr>"; 
  print "<tr><td valign=top><font size=-1>  : </td><td valign=top><font size=-1>".$aircraft_flights."</td></tr>"; 

 print "</table>";

print '</td></tr>';

} #   
} #  


print '<tr bgcolor=#8080F0><td>&nbsp;</td><td>&nbsp;</td></tr>';


print <<"OUT_HTML";
</table>
<!--
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>
-->
<BR><BR>


OUT_HTML

	my ($resize_js,$resize_num);


#<img src="http://www.reaa.ru/yabbfiles/Attachments/DSC08904_1.jpg" name="attach_img_resize_11" alt="DSC08904_1.jpg" title="DSC08904_1.jpg" border="0" style="display:none" />
#   

#attach_img_resize_'.$imgResize_counter

        if ($imgResize_counter > 0) {
	 for ($i1 = 1; $i1 <= $imgResize_counter; $i1++) {
           $resize_js .="'attach_img_resize_".$i1."'";
           if ($imgResize_counter != $i1) {$resize_js .=",";}
	 }
	}

#	var img_resize_names = new Array ('avatar_img_resize_1','attach_img_resize_2','attach_img_resize_3','avatar_img_resize_4','attach_img_resize_5','attach_img_resize_6','avatar_img_resize_7','attach_img_resize_8','attach_img_resize_9','avatar_img_resize_10','attach_img_resize_11','avatar_img_resize_12','avatar_img_resize_13','avatar_img_resize_14','avatar_img_resize_15','avatar_img_resize_16','signat_img_resize_17','avatar_img_resize_18','avatar_img_resize_19','avatar_img_resize_20','avatar_img_resize_21','avatar_img_resize_22','avatar_img_resize_23','avatar_img_resize_24','avatar_img_resize_25','avatar_img_resize_26','avatar_img_resize_27','avatar_img_resize_28','attach_img_resize_29','avatar_img_resize_30','avatar_img_resize_31','avatar_img_resize_32','attach_img_resize_33','attach_img_resize_34','avatar_img_resize_35','attach_img_resize_36','attach_img_resize_37','avatar_img_resize_38','attach_img_resize_39','attach_img_resize_40','avatar_img_resize_41','avatar_img_resize_42','avatar_img_resize_43');
#    

print <<"OUT_HTML";
<script language="JavaScript1.2" type="text/javascript">
<!--
	// resize image start
	var resize_time = 6;
	var img_resize_names = new Array ($resize_js);

	var attach_img_w    = $max_attach_img_width;
	var attach_img_h    = $max_attach_img_height;
	var fix_attach_size = $fix_attach_img_size;

	noimgdir   = 'http://www.reaa.ru';  //#!!#
	noimgtitle = ' ';

	resize_images();
	// resize image end
// -->
</script>


</body></html>
OUT_HTML

}


sub send_error_ReadFile {
 print "<br>     : $FileNameDB<br>";

}



##############################################################
#           IMAGE RESIZE                                     #
##############################################################

sub image_resizeJS {

print <<"OUT_HTML";

<script language="JavaScript1.2" type="text/javascript">
<!--
// for image resizing
var noimgdir, noimgtitle;
function resize_images() {
	var tmp_array = new Array ();
	for (var i = 0; i < img_resize_names.length; i++) {
		var tmp_image_name = img_resize_names[i];

		var maxwidth  = 0;
		var maxheight = 0;
		var type = (tmp_image_name.split("_", 1))[0];
			maxwidth  = attach_img_w;
			maxheight = attach_img_h;

		if (fix_attach_size) {
			if (maxwidth)  document.images[tmp_image_name].width  = maxwidth;
			if (maxheight) document.images[tmp_image_name].height = maxheight;
			document.images[tmp_image_name].style.display = 'inline';
			continue;
		}

		if (document.images[tmp_image_name].complete == false) {
			tmp_array[tmp_array.length] = tmp_image_name;
			// The following is needed since Opera does not load/show
			// style.display='none' images if they are not already in chache.
			if (/Opera/i.test(navigator.userAgent)) {
				document.images[tmp_image_name].width  = document.images[tmp_image_name].width  || 0;
				document.images[tmp_image_name].height = document.images[tmp_image_name].height || 0;
				document.images[tmp_image_name].style.display = 'inline';
			}
			continue;
		}

		var tmp_image = new Image;
		tmp_image.src = document.images[tmp_image_name].src;

		var tmpwidth  = document.images[tmp_image_name].width  || tmp_image.width;
		var tmpheight = document.images[tmp_image_name].height || tmp_image.height;

		if (!tmpwidth && !tmpheight) {
			tmp_array[tmp_array.length] = tmp_image_name;
			continue;
		}

		if (maxwidth != 0 && tmpwidth > maxwidth) {
			tmpheight = tmpheight * maxwidth / tmpwidth;
			tmpwidth  = maxwidth;
		}

		if (maxheight != 0 && tmpheight > maxheight) {
			tmpwidth  = tmpwidth * maxheight / tmpheight;
			tmpheight = maxheight;
		}

		document.images[tmp_image_name].width  = tmpwidth;
		document.images[tmp_image_name].height = tmpheight;
		document.images[tmp_image_name].style.display = 'inline';
	}

	if (tmp_array.length > 0 && resize_time < 3500) {
		img_resize_names = tmp_array;
		if (resize_time == 2900) {
			for (var i = 0; i < img_resize_names.length; i++) {
				var tmp_image_name = img_resize_names[i];
				document.images[tmp_image_name].src = noimgdir + "/noimg.gif";
				document.images[tmp_image_name].title = noimgtitle;
			}
		}
		setTimeout("resize_time++; resize_images();", 100);

	// To prevent window from jumping to other place because
	// of image resize after window is set to the ancor this is needed:
	} else if (location.hash) {
		location.href = location.hash;
	}
}

// -->
</script>

OUT_HTML

}





