#!"C:\perl\bin\perl.exe"

# !/usr/bin/perl
###############################################################################
# register.cgi                                                                #
###############################################################################
# Register: Airshow Registration & Statistics Forms                           #
# Open-Source Community Software for General Aviation Airshows & Fly Ins      #
# Version:        Registry 1.0                                                #
# Released:       February 23, 2009                                           #
# Distributed by: http://www.reaa.ru                                          #
# =========================================================================== #
# Copyright (c) 2006-2009 REAA (www.reaa.ru) - All Rights Reserved.           #
# Software by: The REAA Development Team                                      #
#              with assistance from the REAA community.                       #
# Sponsored by:                                                               #
###############################################################################

$A_=chr(10);
$B_=chr(13);
$C_=chr(32);



if ($ENV{REQUEST_METHOD} eq 'POST') {
	if ($ENV{CONTENT_TYPE} =~ /multipart\/form-data/) {
		require CGI;
		use CGI::Carp "fatalsToBrowser";          # Output errors to browser
		use CGI qw(:standard);                    # Saves loads of work
		# A possible attack is for the remote user to force CGI.pm to accept
		# a huge file upload. CGI.pm will accept the upload and store it in
		# a temporary directory even if your script doesn't expect to receive
		# an uploaded file. CGI.pm will delete the file automatically when it
		# terminates, but in the meantime the remote user may have filled up
		# the server's disk space, causing problems for other programs.
		# The best way to avoid denial of service attacks is to limit the
		# amount of memory, CPU time and disk space that CGI scripts can use.
		# If $CGI::POST_MAX is set to a non-negative integer, this variable
		# puts a ceiling on the size of POSTings, in bytes. If CGI.pm detects
		# a POST that is greater than the ceiling, it will immediately exit
		# with an error message like this:
		# "413 Request entity too large"
		# This value will affect both ordinary POSTs and multipart POSTs,
		# meaning that it limits the maximum size of file uploads as well.
		$CGI::POST_MAX = 1000000;
		# * adds volume, if a upload limit is set, to not get error if the other
		# uploaded data is larger. Change this values if you get error messages.
		$CGI_query = new CGI; # $CGI_query must be a global variable
		my ($name, @value);
		foreach $name ($CGI_query->param()) {
#			next if $name =~ /^file(\d+|_avatar)$/; # files are directly called in Profile.pl, Post.pl and ModifyMessages.pl
			@value = $CGI_query->param($name);
			$FORM{$name} = join(', ', @value); # multiple values are joined
		}
	} else {
# Reading data as in YaBB
#		read(STDIN, my $input, $ENV{CONTENT_LENGTH});
#		&split_string(\$input, \%FORM);


#     -.
		# Get the input
		read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

		# Split the name-value pairs
		@pairs = split(/&/, $buffer);

		foreach $pair (@pairs) {
		   ($name, $value) = split(/=/, $pair);

		   # Un-Webify plus signs and %-encoding
		   $value =~ tr/+/ /;
		   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

		   $FORM{$name} = $value;
		}



	}
}






#     

$command = "$ENV{'QUERY_STRING'}";


@fields = split(/;/,$command);

   foreach $pair (@fields) {
      ($name, $value) = split(/=/, $pair);

      # Un-Webify plus signs and %-encoding
      $value =~ tr/+/ /;
      $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

      $Command{$name} = $value;
   }


# $Command{'action'}   -  
# $Command{'year'}     -  
# $Command{'airfield'} - 


$SaveImageUrl=$Command{'airfield'}."-".$Command{'year'};


$SettingsFile=$Command{'airfield'}."-".$Command{'year'}.".pl";

require $SettingsFile; #   

$LanguageFile=$AirshowImgDir."/".$SaveImageUrl."/Language/Russian/Register.lng";

require $LanguageFile; #   


if ($ENV{REQUEST_METHOD} eq 'POST') {
	if ($ENV{CONTENT_TYPE} =~ /multipart\/form-data/) {
		$CGI::POST_MAX = int(1024 * $MaxUploadFotoLimit);
		$CGI_query = new CGI; # $CGI_query must be a global variable
	}
}







$DELDATA=$FORM{'DELDATA'};

$how= $FORM{'how'};
$mailaddr= $FORM{'mailaddr'};
$mailpassw= $FORM{'mailpassw'};
$lstRegion= $FORM{'lstRegion'};
$edtFName= $FORM{'edtFName'};
$EMAIL_OK= $FORM{'EMAIL_OK'};
$CompanY= $FORM{'CompanY'};
$phone= $FORM{'phone'};
$birdthday = $FORM{'birdthday'};
$quantity = $FORM{'quantity'};


$how=~ s/\|/:/g;
$mailaddr=~ s/\|/:/g;
$mailpassw=~ s/\|/:/g;
$lstRegion=~ s/\|/:/g;
$edtFName=~ s/\|/:/g;
$CompanY=~ s/\|/:/g;
$phone=~ s/\|/:/g;
$birdthday =~ s/\|/:/g;
$quantity =~ s/\|/:/g;


$mailaddr=~ s/\</\(/g;
$mailpassw=~ s/\</\(/g;
$lstRegion=~ s/\</\(/g;
$edtFName=~ s/\</\(/g;
$CompanY=~ s/\</\(/g;
$phone=~ s/\</\(/g;
$birdthday =~ s/\</\(/g;

$mailaddr=~ s/\>/\)/g;
$mailpassw=~ s/\>/\)/g;
$lstRegion=~ s/\>/\)/g;
$edtFName=~ s/\>/\)/g;
$CompanY=~ s/\>/\)/g;
$phone=~ s/\>/\)/g;
$birdthday =~ s/\>/\)/g;


$UpdateFormConfirm = $FORM{'UpdateForm'};
$FotoFileName = $FORM{'FotoFileName'};
$FileSaved_OLD = $FORM{'FileSaved_OLD'};
$aircraft_FotoUpdate = $FORM{'aircraft_FotoUpdate'};
$aircraft_model = $FORM{'aircraft_model'};
$aircraft_type = $FORM{'aircraft_type'};
$aircraft_manufactured = $FORM{'aircraft_manufactured'};
$aircraft_number = $FORM{'aircraft_number'};
$aircraft_numberDATE = $FORM{'aircraft_numberDATE'};
$aircraft_regtype = $FORM{'aircraft_regtype'};
$aircraft_airwortness = $FORM{'aircraft_airwortness'};
$aircraft_airwortness_dat = $FORM{'aircraft_airwortness_dat'};
$aircraft_techcom = $FORM{'aircraft_techcom'};
$aircraft_seats = $FORM{'aircraft_seats'};
$aircraft_WingsWidth = $FORM{'aircraft_WingsWidth'};
$aircraft_MaxWeight = $FORM{'aircraft_MaxWeight'};
$aircraft_CruiseSpeed = $FORM{'aircraft_CruiseSpeed'};
$aircraft_TakeoffLanding = $FORM{'aircraft_TakeoffLanding'};
$aircraft_RunwaySurface = $FORM{'aircraft_RunwaySurface'};
$aircraft_GPS = $FORM{'aircraft_GPS'};
$aircraft_PPL = $FORM{'aircraft_PPL'};
$aircraft_PPL_num = $FORM{'aircraft_PPL_num'};
$aircraft_PPL_date = $FORM{'aircraft_PPL_date'};
$aircraft_medical = $FORM{'aircraft_medical'};
$aircraft_expirience = $FORM{'aircraft_expirience'};
$aircraft_expirienceYear = $FORM{'aircraft_expirienceYear'};
$aircraft_expirienceAll = $FORM{'aircraft_expirienceAll'};
$aircraft_fuel_type = $FORM{'aircraft_fuel_type'};
$aircraft_fuel = $FORM{'aircraft_fuel'};
$aircraft_radio = $FORM{'aircraft_radio'};
$aircraft_flights = $FORM{'aircraft_flights'};
$aircraft_commanderPasspN = $FORM{'aircraft_commanderPasspN'};
$aircraft_commanderPasspData = $FORM{'aircraft_commanderPasspData'};
$aircraft_commanderFamilyPhone = $FORM{'aircraft_commanderFamilyPhone'};
$aircraft_commanderFamilyName = $FORM{'aircraft_commanderFamilyName'};
$aircraft_commanderAirportData = $FORM{'aircraft_commanderAirportData'};
$memContent = $FORM{'memContent'};
$volonter = $FORM{'volonter'};
$aircraft_HeadWind = $FORM{'aircraft_HeadWind'};
$aircraft_TailWind = $FORM{'aircraft_TailWind'};
$aircraft_CrossWind = $FORM{'aircraft_CrossWind'};
$aircraft_KPK = $FORM{'aircraft_KPK'};
$aircraft_ENGType = $FORM{'aircraft_ENGType'};
$aircraft_ENGName = $FORM{'aircraft_ENGName'};
$aircraft_ENGQuant = $FORM{'aircraft_ENGQuant'};
$aircraft_ENGPower = $FORM{'aircraft_ENGPower'};

# =~ s/|/:/; #  "|"         ":"      

$FotoFileName =~ s/\|/:/g;
$aircraft_model =~ s/\|/:/g;
$aircraft_type =~ s/\|/:/g;
$aircraft_manufactured =~ s/\|/:/g;
$aircraft_number =~ s/\|/:/g;
$aircraft_numberDATE =~ s/\|/:/g;
$aircraft_regtype =~ s/\|/:/g;
$aircraft_airwortness =~ s/\|/:/g;
$aircraft_airwortness_dat =~ s/\|/:/g;
$aircraft_techcom =~ s/\|/:/g;
$aircraft_seats =~ s/\|/:/g;
$aircraft_WingsWidth =~ s/\|/:/g;
$aircraft_MaxWeight =~ s/\|/:/g;
$aircraft_CruiseSpeed =~ s/\|/:/g;
$aircraft_TakeoffLanding =~ s/\|/:/g;
$aircraft_RunwaySurface =~ s/\|/:/g;
$aircraft_GPS =~ s/\|/:/g;
$aircraft_PPL =~ s/\|/:/g;
$aircraft_PPL_num =~ s/\|/:/g;
$aircraft_PPL_date =~ s/\|/:/g;
$aircraft_medical =~ s/\|/:/g;
$aircraft_expirience =~ s/\|/:/g;
$aircraft_expirienceYear =~ s/\|/:/g;
$aircraft_expirienceAll =~ s/\|/:/g;
$aircraft_fuel_type =~ s/\|/:/g;
$aircraft_fuel =~ s/\|/:/g;
$aircraft_radio =~ s/\|/:/g;
$aircraft_flights =~ s/\|/:/g;
$aircraft_commanderPasspN =~ s/\|/:/g;
$aircraft_commanderPasspData =~ s/\|/:/g;
$aircraft_commanderFamilyPhone =~ s/\|/:/g;
$aircraft_commanderFamilyName =~ s/\|/:/g;
$aircraft_commanderAirportData =~ s/\|/:/g;
$memContent =~ s/\|/:/g;
$volonter =~ s/\|/:/g;
$aircraft_ENGName =~ s/\|/:/g;


$FotoFileName =~ s/\</\(/g;
$aircraft_model =~ s/\</\(/g;
$aircraft_type =~ s/\</\(/g;
$aircraft_manufactured =~ s/\</\(/g;
$aircraft_number =~ s/\</\(/g;
$aircraft_numberDATE =~ s/\</\(/g;
$aircraft_regtype =~ s/\</\(/g;
$aircraft_airwortness =~ s/\</\(/g;
$aircraft_airwortness_dat =~ s/\</\(/g;
$aircraft_techcom =~ s/\</\(/g;
$aircraft_seats =~ s/\</\(/g;
$aircraft_WingsWidth =~ s/\</\(/g;
$aircraft_MaxWeight =~ s/\</\(/g;
$aircraft_CruiseSpeed =~ s/\</\(/g;
$aircraft_TakeoffLanding =~ s/\</\(/g;
$aircraft_RunwaySurface =~ s/\</\(/g;
$aircraft_GPS =~ s/\</\(/g;
$aircraft_PPL =~ s/\</\(/g;
$aircraft_PPL_num =~ s/\</\(/g;
$aircraft_PPL_date =~ s/\</\(/g;
$aircraft_medical =~ s/\</\(/g;
$aircraft_expirience =~ s/\</\(/g;
$aircraft_expirienceYear =~ s/\</\(/g;
$aircraft_expirienceAll =~ s/\</\(/g;
$aircraft_fuel_type =~ s/\</\(/g;
$aircraft_fuel =~ s/\</\(/g;
$aircraft_radio =~ s/\</\(/g;
$aircraft_flights =~ s/\</\(/g;
$aircraft_commanderPasspN =~ s/\</\(/g;
$aircraft_commanderPasspData =~ s/\</\(/g;
$aircraft_commanderFamilyPhone =~ s/\</\(/g;
$aircraft_commanderFamilyName =~ s/\</\(/g;
$aircraft_commanderAirportData =~ s/\</\(/g;
$memContent =~ s/\</\(/g;
$volonter =~ s/\</\(/g;
$aircraft_ENGName =~ s/\</\(/g;

$FotoFileName =~ s/\>/\)/g;
$aircraft_model =~ s/\>/\)/g;
$aircraft_type =~ s/\>/\)/g;
$aircraft_manufactured =~ s/\>/\)/g;
$aircraft_number =~ s/\>/\)/g;
$aircraft_numberDATE =~ s/\>/\)/g;
$aircraft_regtype =~ s/\>/\)/g;
$aircraft_airwortness =~ s/\>/\)/g;
$aircraft_airwortness_dat =~ s/\>/\)/g;
$aircraft_techcom =~ s/\>/\)/g;
$aircraft_seats =~ s/\>/\)/g;
$aircraft_WingsWidth =~ s/\>/\)/g;
$aircraft_MaxWeight =~ s/\>/\)/g;
$aircraft_CruiseSpeed =~ s/\>/\)/g;
$aircraft_TakeoffLanding =~ s/\>/\)/g;
$aircraft_RunwaySurface =~ s/\>/\)/g;
$aircraft_GPS =~ s/\>/\)/g;
$aircraft_PPL =~ s/\>/\)/g;
$aircraft_PPL_num =~ s/\>/\)/g;
$aircraft_PPL_date =~ s/\>/\)/g;
$aircraft_medical =~ s/\>/\)/g;
$aircraft_expirience =~ s/\>/\)/g;
$aircraft_expirienceYear =~ s/\>/\)/g;
$aircraft_expirienceAll =~ s/\>/\)/g;
$aircraft_fuel_type =~ s/\>/\)/g;
$aircraft_fuel =~ s/\>/\)/g;
$aircraft_radio =~ s/\>/\)/g;
$aircraft_flights =~ s/\>/\)/g;
$aircraft_commanderPasspN =~ s/\>/\)/g;
$aircraft_commanderPasspData =~ s/\>/\)/g;
$aircraft_commanderFamilyPhone =~ s/\>/\)/g;
$aircraft_commanderFamilyName =~ s/\>/\)/g;
$aircraft_commanderAirportData =~ s/\>/\)/g;
$memContent =~ s/\>/\)/g;
$volonter =~ s/\>/\)/g;
$aircraft_ENGName =~ s/\>/\)/g;




$LOGI = $FORM{'logi'};
$PASS = $FORM{'pass'};



#$aircraft_WingsWidth
#$aircraft_MaxWeight
#$aircraft_CruiseSpeed
#$aircraft_TakeoffLanding
#$aircraft_GPS
#$aircraft_expirienceYear
#$aircraft_expirienceAll
#$aircraft_commanderPasspN
#$aircraft_commanderPasspData
#$aircraft_commanderFamilyPhone
#$aircraft_commanderFamilyName
#$aircraft_commanderAirportData


#  ,        
if ($quantity eq "") {$quantity="1";}
if ($quantity eq "0") {$quantity="1";}
if ($aircraft_seats eq "") {$aircraft_seats="1";}
if ($aircraft_number eq "") {$aircraft_number="/";}
#             ,     
$memContent1 = $memContent;
$memContent1 =~ s/\r\n/\r/g;
$lstRegion=~ s/\r\n/\n/g;
$how =~ s/\r\n/\n/g;
$phone=~ s/\r\n/\n/g;


##############################################################
#             ( )                #
##############################################################



if ($Command{'action'} eq "Form")      { &RegisterForm; exit; }
if ($Command{'action'} eq "FormSend")  { &RegisterFormSend; exit; }
if ($Command{'action'} eq "Password")  { &RegisterPassword; exit; }
if ($Command{'action'} eq "Update")    { &RegisterUpdate; exit; }
if ($Command{'action'} eq "EmailPass") { &EmailPass; exit; }



&NoAnyForm;

exit;

sub GetSplitData {
 ($date,$time,$IP_Addr,$edtFName,$CompanY,$birdthday,$aircraft_commanderPasspN,$aircraft_commanderPasspData,$lstRegion,$phone,$mailaddr,$mailpassw,$quantity,$how,$aircraft_model,$aircraft_type,$aircraft_number,$aircraft_regtype,$aircraft_airwortness,$aircraft_airwortness_dat,$aircraft_techcom,$aircraft_seats,$aircraft_PPL,$aircraft_PPL_num,$aircraft_PPL_date,$aircraft_medical,$aircraft_expirience,$aircraft_expirienceYear,$aircraft_expirienceAll,$aircraft_fuel_type,$aircraft_fuel,$aircraft_radio,$aircraft_flights,$volonter,$memContent1,$aircraft_WingsWidth,$aircraft_MaxWeight,$aircraft_CruiseSpeed,$aircraft_TakeoffLanding,$aircraft_GPS,$FileSaved,$aircraft_commanderFamilyPhone,$aircraft_commanderFamilyName,$aircraft_commanderAirportData,$aircraft_HeadWind,$aircraft_TailWind,$aircraft_CrossWind,$aircraft_RunwaySurface,$aircraft_KPK,$aircraft_ENGType,$aircraft_ENGName,$aircraft_ENGQuant,$aircraft_ENGPower,$aircraft_manufactured,$aircraft_numberDATE,$RESERVE01,$RESERVE02,$RESERVE03,$RESERVE04,$RESERVE05,$RESERVE06,$RESERVE07,$RESERVE08,$RESERVE09,$RESERVE10,$RESERVE11,$RESERVE12,$CALLSign,$EMAIL_OK,$DELDATA_1,$CorrectString)=split(/\|/,$named);
}


sub PrintHeader {
print "Content-type: text/html\n\n";
print <<"OUT_HTML";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- saved from url=http://www.reaa.ru -->
<HTML><HEAD><TITLE>  $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">
OUT_HTML
}


##############################################################
#                   #
##############################################################

sub NoAnyForm {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
   !!!
<BR>
$NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>
</table>
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML
}



##############################################################
#                            #
##############################################################

sub EmailPass {
&PrintHeader;
print <<"OUT_HTML";
<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
      $NameOfAirshow
<BR>
</B></FONT>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>

<tr><td>
</td><td>
<FONT SIZE=4><B>

OUT_HTML
$File=$AirshowImgDir."/".$SaveImageUrl;
$FilePath=$File.'/'.$Command{'UserID'}.'.db';
open(PRICE,$FilePath) || &send_error_ReadFileDB001;
while($named=<PRICE>){
&GetSplitData;
}
close(PRICE);

# $mailaddr'$mailpassw' - ,   


if ($ErrRead !=1) {
 &SendMailPassword;
}
if (($ErrSend !=1) && ($ErrRead !=1)) {
 print "<BR>   '$Command{'UserID'}'    E-Mail .</B></FONT>";
}
print <<"OUT_HTML";
</td></tr>
</table>

<BR><BR></body></html>
OUT_HTML
}

sub send_error_ReadFileDB001 {
 print "<br>      : $Command{'UserID'}<BR>   !<BR>";
 $ErrRead=1;

}


##############################################################


sub SendMailPassword {
$IP_Addr = "$ENV{'REMOTE_ADDR'}";
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time);
$year=$year+1900;
$mon=$mon+1;
if ($mday < 10) {$mday="0".$mday;}
if ($mon < 10) {$mon="0".$mon;}
$time_stamp=$mday."/".$mon."/".$year." day/mon/year   ".$hour.":".$min.".".$sec." hour:min.sec";

$mailaddrFinal = $mailaddr;
$AddrPr="\"$edtFName\" <$mailaddrFinal>";


open(MAIL, "| /usr/sbin/sendmail $mailaddrFinal") || &ErrSendEmail1; # die "   "; #-f \"$edtFName\"<$edtEMail> velocity_home\@mail.ru
print MAIL "To: $mailaddrFinal\n";
print MAIL "From: $MailFrom\n";
print MAIL "X-Mailer: REAA Website\n";
print MAIL 'Subject:       '.$NameOfAirshow."\n";
print MAIL "Content-Type: text/plain\; charset=windows-1251\n\n";
print MAIL "\n\n";
print MAIL $MAILTEXT1.$edtFName."!\n\n";
print MAIL "====================================\n";
print MAIL "   .\n\n";
print MAIL "  -\"".$mailpassw."\"\n\n";
print MAIL "====================================\n";
print MAIL "\n ,  .\n\n";
print MAIL "  - $mday/$mon/$year  $hour:$min:$sec \n";
print MAIL "====================================\n";
close(MAIL);
}

sub ErrSendEmail1 { 
 print "  !!!<BR><BR>";
 $ErrSend=1;
}


##############################################################
#                             #
##############################################################

sub RegisterPassword {


if($AirShowRegFormMode == 0) {
&PrintHeader;
print <<"OUT_HTML";
<FONT FACE="Arial Cyr, Arial, Helv, Helvetica">
<CENTER>
<BR><BR><BR>
<H1><B>   .</B></H1>
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A><BR><BR>
</BODY></HTML>
OUT_HTML
########################################################3
exit;
}



if($AirShowRegFormMode == 1) {
&PrintHeader;
print <<"OUT_HTML";
<FONT FACE="Arial Cyr, Arial, Helv, Helvetica">
<CENTER>
<BR><BR><BR>
<H1><B> .</B></H1>
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A><BR><BR>
</BODY></HTML>
OUT_HTML
########################################################3
exit;
}



&PrintHeader;
print <<"OUT_HTML";

<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />

<SCRIPT language=javascript>
function SendEmail(form) {
//alert("  !");
	var frm = document.forms['ask'];
	with ( frm )
	{
         if(logi.value == "") {
          alert('  !');
	  return false;
         }
         strAddr="$DomainNameCGI/$ScriptFileName?action=EmailPass;year=$Command{'year'};airfield=$Command{'airfield'};UserID="+logi.value;
        }

FormName=" ";
return GB_showFullScreen(FormName, strAddr);
}

</SCRIPT>

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>
<SCRIPT language=javascript>

aircraft="";

function checkDiv(value) {
        aircraft=value;
	var form = document.getElementById('ask');;
	var divs = form.getElementsByTagName('DIV');
	var pos = 0;
	for (i = 0; i < divs.length; i++)
	{
		if ( divs[i].id != value ) {divs[i].style.display = 'none';}
		else 
		{
			divs[i].style.display = 'block';
			pos = i;
		}
	}

	

//	if ( divs[1].id == value ) 
//	{
//		form.how_phone.value = form.phone.value;
////		for (i = 0; i < form.how_prefix.options.length; i++)
////		{
////			if (form.how_prefix.options[i].value == form.phone_prefix.value) form.how_prefix.options[i].selected = true;
////		}
//	}
}



function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
		var now = new Date();

                if(logi.value == "") {
                  alert('  !');
		  return false;
                }

                if(pass.value == "") {
                  alert('  !');
		  return false;
                }


		document.ask.submit();
	}
}
</SCRIPT>

<FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptFileName?action=Update;year=$Command{'year'};airfield=$Command{'airfield'}">

<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
 ,   .
<BR>
$NameOfAirshow
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>


<tr><td>
:
</td><td>
<INPUT style="WIDTH: 350px" maxLength=80 name=logi format="logi:: ::opt::20">
</td></tr>

<tr><td>
:
</td><td>
<INPUT style="WIDTH: 350px" maxLength=80 name=pass type=password format="pass:: ::opt::20">
</td></tr>

<tr><td>

</td><td>
<INPUT type=submit value= name=mailtoholder>
</td></tr>


<tr><td valign=top>
<br>:
</td><td valign=top>
<br>   E-Mail<BR>
<FONT SIZE=-1 COLOR=#A00000>  <BR></FONT>
<INPUT TYPE=BUTTON OnClick="SendEmail(this.ask);" VALUE=" ">
</td></tr>


</table>
</FORM>

<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A>

<BR><BR></body></html>
OUT_HTML
}


sub send_error_ReadFile {
 print "<br><B>    !</B><br>";
 print '<BR><BR><A HREF="'.$ScriptFileName.'?action=Password;year='.$Command{'year'}.';airfield='.$Command{'airfield'}.'">.</A><BR><BR></body></html>';
 exit; #        !
}

sub send_error_DeletedFile {
 print "<br><B>    !</B><br>";
 print '<BR><BR><A HREF="'.$ScriptFileName.'?action=Form;year='.$Command{'year'}.';airfield='.$Command{'airfield'}.'"> </A>      .<BR><BR><A HREF="'.$ReturnUrl.'">   '.$NameOfAirshow.'.</A><BR><BR></body></html>';
 exit; #        !
}

##############################################################
#                                            #
##############################################################

sub RegisterUpdate {
# $LOGI = $FORM{'logi'}; # ,      
# $PASS = $FORM{'pass'}; #    




&PrintHeader;
print <<"OUT_HTML";

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">
<CENTER>

OUT_HTML

 if ($OfflineNoPass == 1) {
  $LOGI=$Command{'UserID'};
 }
$FilePath=$AirshowImgDir."/".$SaveImageUrl.'/'.$LOGI.".db";

#print $FilePath."\n"; #    

open(PRICE,$FilePath) || &send_error_ReadFile;
while($named=<PRICE>){
($date,$time,$IP_Addr,$edtFName,$CompanY,$birdthday,$aircraft_commanderPasspN,$aircraft_commanderPasspData,$lstRegion,$phone,$mailaddr,$mailpassw,$quantity,$how,$aircraft_model,$aircraft_type,$aircraft_number,$aircraft_regtype,$aircraft_airwortness,$aircraft_airwortness_dat,$aircraft_techcom,$aircraft_seats,$aircraft_PPL,$aircraft_PPL_num,$aircraft_PPL_date,$aircraft_medical,$aircraft_expirience,$aircraft_expirienceYear,$aircraft_expirienceAll,$aircraft_fuel_type,$aircraft_fuel,$aircraft_radio,$aircraft_flights,$volonter,$memContent1,$aircraft_WingsWidth,$aircraft_MaxWeight,$aircraft_CruiseSpeed,$aircraft_TakeoffLanding,$aircraft_GPS,$FileSaved,$aircraft_commanderFamilyPhone,$aircraft_commanderFamilyName,$aircraft_commanderAirportData,$aircraft_HeadWind,$aircraft_TailWind,$aircraft_CrossWind,$aircraft_RunwaySurface,$aircraft_KPK,$aircraft_ENGType,$aircraft_ENGName,$aircraft_ENGQuant,$aircraft_ENGPower,$aircraft_manufactured,$aircraft_numberDATE,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$RESERV01,$EMAIL_OK,$DELDATA_1,$CorrectString)=split(/\|/,$named);
#$CorrectString = `ENDofSTR` -    
}
close(PRICE);

if ($PASS ne $mailpassw ) {
 if ($OfflineNoPass != 1) {
  &send_error_ReadFile;
 }
}

#####      !!!

if ($DELDATA_1 eq "Yes" ) {&send_error_DeletedFile;}




print <<"OUT_HTML";

<SCRIPT language=javascript>
var sendedform = 0;

aircraft="";

function checkDiv(value) {
        aircraft=value;
	var form = document.getElementById('ask');;
	var divs = form.getElementsByTagName('DIV');
	var pos = 0;
	for (i = 0; i < divs.length; i++)
	{
		if ( divs[i].id != value ) {divs[i].style.display = 'none';}
		else 
		{
			divs[i].style.display = 'block';
			pos = i;
		}
	}

	

//	if ( divs[1].id == value ) 
//	{
//		form.how_phone.value = form.phone.value;
////		for (i = 0; i < form.how_prefix.options.length; i++)
////		{
////			if (form.how_prefix.options[i].value == form.phone_prefix.value) form.how_prefix.options[i].selected = true;
////		}
//	}
}



function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
		var now = new Date();

                if(DELDATA.checked == true ) {
 	         var confirmvalue = confirm("      ?");
	         if(!confirmvalue) {return false;} else {DELDATA.value = "Yes";}
                }

                if(EMAIL_OK.checked == true ) {
	          EMAIL_OK.value = "1";
                } else {
                  EMAIL_OK.value = "0";
                }

                if(lstRegion.value == " ") {
                  alert(' !');
		  return false;
                }

                if(lstRegion.value == "----------------------------") {
                  alert(' !');
		  return false;
                }

                if(edtFName.value == "") {
                  alert('  !');
		  return false;
                }

OUT_HTML
if ($AirShowBirthday!=0) {
print <<"OUT_HTML";
                if(birdthday.value == "") {
                  alert('   !');
		  return false;
                }
OUT_HTML
}
print <<"OUT_HTML";

                if(mailaddr.value == "") {
                  alert('  e-mail!');
		  return false;
                }

                if(mailpassw.value == "") {
                  alert('  !');
		  return false;
                }

OUT_HTML
if ($AirShowAirFormMode!=0) {
print <<"OUT_HTML";

               if(aircraft != "") {
//                  alert('"'+how.value+'"');


                if(aircraft_type.value == " ") {
                  alert('  !');
		  return false;
                }

                if(aircraft_model.value == "") {
                  alert('  () !');
		  return false;
                }

                if(aircraft_regtype.value == " ") {
                  alert('  !');
		  return false;
                }

                if(aircraft_techcom.value == " ") {
                  alert('   . !');
		  return false;
                }

                if(aircraft_PPL.value == " ") {
                  alert(' ,   !');
		  return false;
                }

                if(aircraft_fuel_type.value == " ") {
                  alert('   !');
		  return false;
                }

                if(aircraft_radio.value == " ") {
                  alert('    !');
		  return false;
                }

                if(aircraft_flights.value == " ") {
                  alert(',     !');
		  return false;
                }

                if(aircraft_fuel.value == "") {
                  aircraft_fuel.value = "0";
                }

               }
OUT_HTML
}
print <<"OUT_HTML";
                if (sendedform == 0) {
		  document.ask.submit();
                  sendedform = 1;
		} else {
                  alert('   !');
		}
	}
}


function openwindow(addR) {
  wintyp="width=900,height=700,scrollbars=1,resizable=1,toolbar=0,status=1,directories=0,menubar=0,location=1";
  LOC=addR;   // "http://www.windows.ru";
  helpWin=open(LOC,"ProfileWindow",wintyp);
  if (navigator.appName=="Netscape") helpWin.focus();
}

</SCRIPT>

<script type="text/javascript">
    var GB_ROOT_DIR = "$DomainName/greybox/";
</script>

<script type="text/javascript" src="$DomainName/greybox/AJS.js"></script>
<script type="text/javascript" src="$DomainName/greybox/AJS_fx.js"></script>
<script type="text/javascript" src="$DomainName/greybox/gb_scripts.js"></script>
<link href="$DomainName/greybox/gb_styles.css" rel="stylesheet" type="text/css" />


<FONT FACE="Arial Cyr, Arial, Helv, Helvetica">
<CENTER>

$AttentionText
<FONT COLOR=#0000FF>

<TABLE class=document>
  <TBODY>
        <TR>
          <TD style="PADDING-RIGHT: 50px" vAlign=top width=400px>
          <CENTER>
          <IMG SRC="$AirShowLogo" border=0>
          </TD>
          <TD vAlign=top width=400px>
          <CENTER><FONT SIZE=+2><B>
          <br>
          $AirshowFormName
          <br><br>
          </B></FONT></CENTER>
          </TD>
        </TR>


        <TR>

          <TD style="PADDING-RIGHT: 50px" vAlign=top width=400px>

            <FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptFileName?action=FormSend;year=$Command{'year'};airfield=$Command{'airfield'}">
            <INPUT type=hidden name=Form value='SSS'>
            <INPUT type=hidden name=UpdateForm value='Yes'>
            <INPUT type=hidden name=logi value='$LOGI'>
            <INPUT type=hidden name=pass value='$PASS'>
            <INPUT type=hidden name=FileSaved_OLD value='$FileSaved'>
            <INPUT type=hidden name=Email>

OUT_HTML
if ($AirShowRegion!=0) {
@AirShowRegionList = split(/\|/,$AirShowRegionType);
print <<"OUT_HTML";
            <IMG height=13 src="$MandatoryImg" width=16>
            $RegForm_txt{'1'}<BR>
            <SELECT style="WIDTH: 350px" name=lstRegion>
OUT_HTML
   $i=0;
   foreach $pair (@AirShowRegionList) {
     print '                <OPTION value="'.$AirShowRegionList[$i].'"';
     if ($AirShowRegionList[$i] eq $lstRegion) {print ' selected';}
     print '>'.$AirShowRegionList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	    </SELECT><BR><BR>
OUT_HTML
}
print <<"OUT_HTML";


	    <IMG height=13 src="$MandatoryImg" width=16> 

            $RegForm_txt{'2'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=100 name=edtFName value='$edtFName'> 
            <BR><BR>
OUT_HTML
if ($AirShowCOMPANY !=0) {
print <<"OUT_HTML";

            $RegForm_txt{'3'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=100 name=CompanY value='$CompanY'>
            <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowBirthday!=0) {
print <<"OUT_HTML";
	    <IMG height=13 src="$MandatoryImg" width=16> 
            $RegForm_txt{'4'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=10 name=birdthday value='$birdthday'> 
            <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";
            $RegForm_txt{'5'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=80 name=phone value='$phone'>
            <BR><BR>
	    <IMG height=13 src="$MandatoryImg" width=16>
            $RegForm_txt{'6'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=60 name=mailaddr value='$mailaddr'>
            <BR><BR>
            <INPUT type=checkbox 
OUT_HTML
if ($EMAIL_OK == 1) {print ' checked="checked"';}
print <<"OUT_HTML";
name=EMAIL_OK
OUT_HTML
if ($EMAIL_OK == 1) {print ' value="1"';} else {print ' value="0"';}
print <<"OUT_HTML";
> $RegForm_txt{'7'}<BR>
            $RegForm_txt{'6'}<BR>
	    <IMG height=13 src="$MandatoryImg" width=16>
            $RegForm_txt{'8'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=10 name=mailpassw type=password value='$mailpassw'>
            <BR><BR>

OUT_HTML
if ($AirShowQuantity!=0) {
print <<"OUT_HTML";
            $RegForm_txt{'9'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=2 type="text" name=quantity value='$quantity' size="4" onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;">
	    <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowKPK!=0) {
@AirShowKPKList = split(/\|/,$AirShowKPKType);
print <<"OUT_HTML";
              $RegForm_txt{'10'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_KPK>
OUT_HTML
   $i=0;
   foreach $pair (@AirShowKPKList) {
     print '                <OPTION value="'.$AirShowKPKList[$i].'"';
     if ($AirShowKPKList[$i] eq $aircraft_KPK) {print ' selected';}
     print '>'.$AirShowKPKList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowVolonter!=0) {
@AirShowVolonterList = split(/\|/,$AirShowVolonterType);
print <<"OUT_HTML";

              $RegForm_txt{'11'}<BR>
              $RegForm_txt{'12'}
	      <SELECT style="WIDTH: 350px" name=volonter>
OUT_HTML
   
   $i=0;
   foreach $pair (@AirShowVolonterList) {
     print '                <OPTION value="'.$AirShowVolonterList[$i].'"';
     if ($AirShowVolonterList[$i] eq $volonter) {print ' selected';}
     print '>'.$AirShowVolonterList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	    <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

	    $RegForm_txt{'13'}<BR>
	    <TEXTAREA style="WIDTH: 350px; HEIGHT: 110px" name=memContent maxlength="1000">$memContent1</TEXTAREA>
	    <BR><BR>

	    <FONT SIZE=-1>
	    $RegForm_txt{'62'} <IMG height=13 src="$MandatoryImg" width=16> $RegForm_txt{'63'}
            <BR><BR>
	    </FONT>
            $MessageAtt1
            $MessageAtt2
            $MessageAtt3
            <INPUT type=submit value= name=mailtoholder>&nbsp;&nbsp;&nbsp;&nbsp;<INPUT type=checkbox name=DELDATA value='No'> $RegForm_txt{'64'}
            <BR><BR><A HREF="$ReturnUrl">$RegForm_txt{'65'} $NameOfAirshow.</A><BR><BR>	    
<!-- -->

</td><td vAlign=top width=400px>


OUT_HTML
if ($AirShowAirFormMode==0) {
print <<"OUT_HTML";
	    <INPUT type=hidden value="" name=how>
OUT_HTML
}
print <<"OUT_HTML";


OUT_HTML
if ($AirShowAirFormMode==1) {
print <<"OUT_HTML";
	    <INPUT type=hidden value=""  name=how>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowAirFormMode==2) {
print $RegForm_txt{'14'}.'<BR>';
print '	    <INPUT onclick="checkDiv(\'\');"';
if ($how eq "") {print ' checked="checked"';}
print ' type=radio value="" name=how ><FONT COLOR=700000><B></B></FONT><BR>';
print '     <INPUT onclick="checkDiv(\'\');"';
if ($how eq "") {print ' checked="checked"';}
print ' type=radio value="" name=how><FONT COLOR=700000><B></B></FONT><BR>';
}

if ($AirShowAirFormMode!=0) {
 &AircraftFormTypeFilled;
} else {
 if ($AirShowPhotoLoad!=0) {
print <<"OUT_HTML";
<!--
              <TR><TD width="90%">
  	      <IMG height=13 src="$MandatoryImg" width=16> 
-->
              $RegForm_txt{'15'}<BR>
              $RegForm_txt{'16'}
              <input type="file" name="FotoFileName" id="FotoFileName" style="WIDTH: 350px" size="100" >  <!--  onchange="selectNewattach($y);" -->
<!--
	      </TD></TR>
-->
              <BR>
              $RegForm_txt{'60'}
OUT_HTML
if ($FileSaved ne "") {
#print <<"OUT_HTML";
#  <a href=# OnClick="openwindow('$DomainName/$AirshowImgDir/$SaveImageUrl/$FileSaved')">(  )</A>
#OUT_HTML
#print "<a href=# OnClick=\"openwindow('$DomainName/$AirshowImgDir/$SaveImageUrl/$FileSaved')\">(  )</A>";

print "<a href=\"$DomainName/$AirshowImgDir/$SaveImageUrl/$FileSaved\" OnClick=\"return GB_showFullScreen('$aircraft_type - $aircraft_model', this.href)\">$RegForm_txt{'61'}</A>";
}
print <<"OUT_HTML";
<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_FotoUpdate >
		<OPTION value=" " selected> </OPTION> 
		<OPTION value=" "> </OPTION> 
	      </SELECT>
	      <BR><BR>

OUT_HTML
 }

 if ($AirShowAircrModelLoad!=0) {
print <<"OUT_HTML";
<!--
              <TR><TD width="90%">
  	      <IMG height=13 src="$MandatoryImg" width=16> 
-->
              <BR>$RegForm_txt{'17'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=100 name=aircraft_model value='$aircraft_model'>
<!--
	      </TD></TR>
-->
OUT_HTML
 }

}




print <<"OUT_HTML";
	      <BR><BR>
                $MessageAtt1R
                $MessageAtt2R
                $MessageAtt3R

		<INPUT type=hidden name=edtLName><INPUT type=hidden name=callBackSoonestTime>
		<INPUT type=hidden name=callBackLatestTime>
		<INPUT type=hidden name=site>
		<INPUT type=hidden name=theme>
		<INPUT type=hidden name=theDay>
		<INPUT type=hidden name=cname>
		<INPUT type=hidden name=prefix>
		<INPUT type=hidden name=cbno>
		<INPUT type=hidden name=txtProblem>
	</FORM>
    </TD></TR>
</TBODY></TABLE>
</DIV>
</BODY></HTML>
OUT_HTML
}



##########################!!#

sub AircraftFormTypeFilled {

print <<"OUT_HTML";
<!--
            <DIV id="" style="DISPLAY: none; PADDING-LEFT: 0px">
-->
            <BR>
	    $MessageAtt4

            <TABLE width="100%">
              <TBODY>


              <TR><TD width="90%">
  	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'15'}<BR>
              $RegForm_txt{'16'}
              <input type="file" name="FotoFileName" id="FotoFileName" style="WIDTH: 350px" size="100" >  <!--  onchange="selectNewattach($y);" -->
	      </TD></TR>

<!--
    print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" border=0></CENTER>';
#!!#

-->

              <TR><TD width="90%">
              $RegForm_txt{'60'}
OUT_HTML
if ($FileSaved ne "") {
#print <<"OUT_HTML";
#  <a href=# OnClick="openwindow('$DomainName/$AirshowImgDir/$SaveImageUrl/$FileSaved')">(  )</A>
#OUT_HTML
#print "<a href=# OnClick=\"openwindow('$DomainName/$AirshowImgDir/$SaveImageUrl/$FileSaved')\">(  )</A>";

print "<a href=\"$DomainName/$AirshowImgDir/$SaveImageUrl/$FileSaved\" OnClick=\"return GB_showFullScreen('$aircraft_type - $aircraft_model', this.href)\">$RegForm_txt{'61'}</A>";
}
print <<"OUT_HTML";
<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_FotoUpdate >
		<OPTION value=" " selected> </OPTION> 
		<OPTION value=" "> </OPTION> 
	      </SELECT>
	      <BR><BR>
	      </TD></TR>


              <TR><TD width="90%">
  	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'17'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=100 name=aircraft_model value='$aircraft_model' >
	      </TD></TR>

OUT_HTML
if ($AirShowAircraft!=0) {
@AirShowAircraftList = split(/\|/,$AirShowAircraftType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'18'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_type >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowAircraftList) {
     print '                <OPTION value="'.$AirShowAircraftList[$i].'"';
     if ($AirShowAircraftList[$i] eq $aircraft_type) {print ' selected';}
     print '>'.$AirShowAircraftList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>

OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'19'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_manufactured value='$aircraft_manufactured' onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" format="any::  ::opt::100">
	      </TD></TR>

OUT_HTML
if ($AirShowRegNum!=0) {
@AirShowRegNumList = split(/\|/,$AirShowRegNumType);
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'20'}<BR>
              $RegForm_txt{'21'}
	      <INPUT style="WIDTH: 350px" maxLength=20 name=aircraft_number value='$aircraft_number' >
	      </TD></TR>

              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'22'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_regtype >

OUT_HTML
   $i=0;
   foreach $pair (@AirShowRegNumList) {
     print '                <OPTION value="'.$AirShowRegNumList[$i].'"';
     if ($AirShowRegNumList[$i] eq $aircraft_regtype) {print ' selected';}
     print '>'.$AirShowRegNumList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'23'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_numberDATE value='$aircraft_numberDATE' >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'24'}<BR>
              $RegForm_txt{'25'}
	      <INPUT style="WIDTH: 350px" maxLength=20 name=aircraft_airwortness value='$aircraft_airwortness' >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'26'}<BR>
              $RegForm_txt{'27'}
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_airwortness_dat value='$aircraft_airwortness_dat' >
	      </TD></TR>

OUT_HTML
if ($AirShowTechcom!=0) {
@AirShowTechcomList = split(/\|/,$AirShowTechcomDate);
print <<"OUT_HTML";

              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'28'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_techcom >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowTechcomList) {
     print '                <OPTION value="'.$AirShowTechcomList[$i].'"';
     if ($AirShowTechcomList[$i] eq $aircraft_techcom) {print ' selected';}
     print '>'.$AirShowTechcomList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'29'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_seats value='$aircraft_seats' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

OUT_HTML
if ($AirShowENGINE!=0) {
@AirShowENGINETypeList = split(/\|/,$AirShowENGINEType);
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'30'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_ENGType >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowENGINETypeList) {
     print '                <OPTION value="'.$AirShowENGINETypeList[$i].'"';
     if ($AirShowENGINETypeList[$i] eq $aircraft_ENGType) {print ' selected';}
     print '>'.$AirShowENGINETypeList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'31'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=20 name=aircraft_ENGName value='$aircraft_ENGName' type=text >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'32'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=1 name=aircraft_ENGQuant value='$aircraft_ENGQuant' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'33'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_ENGPower value='$aircraft_ENGPower' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'34'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_WingsWidth value='$aircraft_WingsWidth' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'35'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_MaxWeight value='$aircraft_MaxWeight' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'36'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_CruiseSpeed value='$aircraft_CruiseSpeed' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'37'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_TakeoffLanding value='$aircraft_TakeoffLanding' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

OUT_HTML
if ($AirShowRunwaySurface!=0) {
@AirShowRunwaySurfaceTypeList = split(/\|/,$AirShowRunwaySurfaceType);
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'38'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_RunwaySurface >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowRunwaySurfaceTypeList) {
     print '                <OPTION value="'.$AirShowRunwaySurfaceTypeList[$i].'"';
     if ($AirShowRunwaySurfaceTypeList[$i] eq $aircraft_RunwaySurface) {print ' selected';}
     print '>'.$AirShowRunwaySurfaceTypeList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'39'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_HeadWind value='$aircraft_HeadWind' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'40'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_TailWind value='$aircraft_TailWind' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'41'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_CrossWind value='$aircraft_CrossWind' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>


OUT_HTML
if ($AirShowGPS!=0) {
@AirShowGPSTypeList = split(/\|/,$AirShowGPSType);
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'42'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_GPS >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowGPSTypeList) {
     print '                <OPTION value="'.$AirShowGPSTypeList[$i].'"';
     if ($AirShowGPSTypeList[$i] eq $aircraft_GPS) {print ' selected';}
     print '>'.$AirShowGPSTypeList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";


OUT_HTML
if ($AirShowPilotLicense!=0) {
@AirShowPilotLicenseTypeList = split(/\|/,$AirShowPilotLicenseType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'43'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_PPL >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowPilotLicenseTypeList) {
     print '                <OPTION value="'.$AirShowPilotLicenseTypeList[$i].'"';
     if ($AirShowPilotLicenseTypeList[$i] eq $aircraft_PPL) {print ' selected';}
     print '>'.$AirShowPilotLicenseTypeList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}


if ($AirShowPilotLicense!=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'44'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_PPL_num value='$aircraft_PPL_num' >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'45'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_PPL_date value='$aircraft_PPL_date' >
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";



OUT_HTML
if ($AirShowMedical!=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'46'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_medical value='$aircraft_medical' >
	      </TD></TR>
OUT_HTML
}

if ($AirShowExpirience!=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'47'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=6 name=aircraft_expirienceAll value='$aircraft_expirienceAll' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'48'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=6 name=aircraft_expirienceYear value='$aircraft_expirienceYear' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'49'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=6 name=aircraft_expirience value='$aircraft_expirience' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>
OUT_HTML
}

if ($AirShowFuel!=0) {
@AirShowFuelTypeList = split(/\|/,$AirShowFuelType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'50'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_fuel_type >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowFuelTypeList) {
     print '                <OPTION value="'.$AirShowFuelTypeList[$i].'"';
     if ($AirShowFuelTypeList[$i] eq $aircraft_fuel_type) {print ' selected';}
     print '>'.$AirShowFuelTypeList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>

OUT_HTML
if ($AirShowFuelRefil!=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'51'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_fuel value='$aircraft_fuel' type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
}
print <<"OUT_HTML";

<!--
#!!#
#$how,
-->


OUT_HTML
if ($AirShowFrequency!=0) {
@AirShowFrequencyTypeList = split(/\|/,$AirShowFrequencyType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'52'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_radio >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowFrequencyTypeList) {
     print '                <OPTION value="'.$AirShowFrequencyTypeList[$i].'"';
     if ($AirShowFrequencyTypeList[$i] eq $aircraft_radio) {print ' selected';}
     print '>'.$AirShowFrequencyTypeList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowFlight!=0) {
@AirShowFlightTypeList = split(/\|/,$AirShowFlightType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'53'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_flights >
OUT_HTML
   $i=0;
   foreach $pair (@AirShowFlightTypeList) {
     print '                <OPTION value="'.$AirShowFlightTypeList[$i].'"';
     if ($AirShowFlightTypeList[$i] eq $aircraft_flights) {print ' selected';}
     print '>'.$AirShowFlightTypeList[$i].'</OPTION>'; 
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}

if ($AirShowPilotPassport !=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'54'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=15 name=aircraft_commanderPasspN value='$aircraft_commanderPasspN' type=text >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'55'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=60 name=aircraft_commanderPasspData value='$aircraft_commanderPasspData' type=text >
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'56'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=40 name=aircraft_commanderFamilyPhone value='$aircraft_commanderFamilyPhone' type=text >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'57'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=40 name=aircraft_commanderFamilyName value='$aircraft_commanderFamilyName' type=text >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'58'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=40 name=aircraft_commanderAirportData value='$aircraft_commanderAirportData' type=text >
	      </TD></TR>

	    </TBODY></TABLE>
<!--
	    </DIV>
-->
OUT_HTML
}

##########################!!#

sub split_string {
		my ($string, $hash, $altdelim) = @_;

		if ($altdelim && $$string =~ m~;~) { @pairs = split(/;/, $$string); }
		else { @pairs = split(/&/, $$string); }
		foreach $pair (@pairs) {
			my ($name, $value) = split(/=/, $pair);
			$name  =~ tr/+/ /;
			$name  =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ tr/+/ /;
			$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			if (exists($hash->{$name})) {
				$hash->{$name} .= ", $value";
			} else {
				$hash->{$name} = $value;
			}
		}
}


##############################################################
#                                  #
##############################################################

sub RegisterFormSend {
$IP_Addr = "$ENV{'REMOTE_ADDR'}";
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time);
$year=$year+1900;
$mon=$mon+1;
if ($mday < 10) {$mday="0".$mday;}
if ($mon < 10) {$mon="0".$mon;}
$time_stamp=$mday."/".$mon."/".$year." day/mon/year   ".$hour.":".$min.".".$sec." hour:min.sec";


if($AirShowRegFormMode == 0) {
&PrintHeader;
print <<"OUT_HTML";
<FONT FACE="Arial Cyr, Arial, Helv, Helvetica">
<CENTER>
<BR><BR><BR>
<H1><B>   .</B></H1>
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A><BR><BR>
</BODY></HTML>
OUT_HTML
########################################################3
exit;
}



if($AirShowRegFormMode == 1) {
&PrintHeader;
print <<"OUT_HTML";
<FONT FACE="Arial Cyr, Arial, Helv, Helvetica">
<CENTER>
<BR><BR><BR>
<H1><B> .</B></H1>
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A><BR><BR>
</BODY></HTML>
OUT_HTML
########################################################3
exit;
}


print "Content-type: text/html\n\n";
print <<"OUT_HTML";

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- saved from url=http://www.reaa.ru -->
<HTML><HEAD><TITLE>  $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content="airplane aircraft avia aviator aviation composite experimental         " name=keywords>

<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 10px; VISIBILITY: visible; WIDTH: 95%; POSITION: absolute; TOP: 2px; BACKGROUND-COLOR: #ffffff">

<br><br>
<FONT FACE="Arial Cyr, Helv, Arial, Helvetica">

<CENTER>
<table>
<tr><td>
<CENTER>
<IMG SRC="$AirShowLogo" border=0>
</CENTER>
</td><td>
<CENTER>
<FONT SIZE=4><B>
$AirshowFormName
<BR>
$AirShowDate
</B></FONT>
</CENTER>
</td></tr>

<tr><td>$RegForm_txt{'2'}: </td><td>$edtFName</td></tr>
OUT_HTML
if($AirShowCOMPANY !=0) {
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'3'}: </td><td>$CompanY</td></tr>
OUT_HTML
}

if ($AirShowPressType !=0) {
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'10'}: </td><td>$aircraft_KPK</td></tr>
OUT_HTML
}

if (($AirShowAircrModelLoad!=0) && ($aircraft_model ne "") && ($how eq "") ) {
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'17'}</td><td>$aircraft_model</td></tr>
OUT_HTML
}

print <<"OUT_HTML";

OUT_HTML
if ($AirShowBirthday!=0) {
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'4'}: </td><td>$birdthday</td></tr>
OUT_HTML
}
print <<"OUT_HTML";

<tr><td>$RegForm_txt{'1'}: </td><td>$lstRegion</td></tr>
<tr><td>$RegForm_txt{'5'}: </td><td>$phone</td></tr>
<tr><td>$RegForm_txt{'6'}:</td><td>$mailaddr</td></tr>

OUT_HTML
if($how ne "") {
print <<"OUT_HTML";
<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td>$RegForm_txt{'59'}</td><td></td></tr>
OUT_HTML
if ($AirShowPilotPassport !=0) {
 print "<tr><td>$RegForm_txt{'54'}: </td><td>$aircraft_commanderPasspN</td></tr>";
 print "<tr><td>$RegForm_txt{'55'}: </td><td>$aircraft_commanderPasspData</td></tr>";
}
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'56'}: </td><td>$aircraft_commanderFamilyPhone</td></tr>
<tr><td>$RegForm_txt{'57'}: </td><td>$aircraft_commanderFamilyName</td></tr>
<tr><td>$RegForm_txt{'58'}: </td><td>$aircraft_commanderAirportData</td></tr>
<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
OUT_HTML
}
if ($AirShowQuantity!=0) {
 print "<tr><td>$RegForm_txt{'9'}: </td><td>$quantity</td></tr>";
}
if ($AirShowVolonter!=0) { print "<tr><td>$RegForm_txt{'11'}: </td><td>".$volonter."</td></tr>"; }

if ($AirShowKPK !=0) { print "<tr><td>$RegForm_txt{'10'}: </td><td>$aircraft_KPK</td></tr>"; }
if($how ne "") {
if ($AirShowTechcom !=0) { print "<tr><td>$RegForm_txt{'28'}: </td><td>$aircraft_techcom</td></tr>"; }
if ($AirShowPilotLicense !=0) { 
 print "<tr><td>$RegForm_txt{'43'}: </td><td>".$aircraft_PPL."</td></tr>"; 
 print "<tr><td>$RegForm_txt{'44'}: </td><td>$aircraft_PPL_num</td></tr>";
 print "<tr><td>$RegForm_txt{'45'}: </td><td>$aircraft_PPL_date</td></tr>";
}

if ($AirShowMedical!=0) {
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'46'}: </td><td>$aircraft_medical</td></tr>
OUT_HTML
}
if ($AirShowExpirience!=0) {
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'49'}: </td><td>$aircraft_expirience</td></tr>
<tr><td>$RegForm_txt{'48'}: </td><td>$aircraft_expirienceYear</td></tr>
<tr><td>$RegForm_txt{'47'}: </td><td>$aircraft_expirienceAll</td></tr>
OUT_HTML
}
if ($AirShowFlight!=0) {
 print "<tr><td>$RegForm_txt{'53'}: </td><td>$aircraft_flights</td></tr>";
}
print <<"OUT_HTML";

OUT_HTML

} else {

print <<"OUT_HTML";

<!--   

-->

OUT_HTML
}
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'13'}:</td><td>$memContent</td></tr>
</table>

OUT_HTML


if(($how ne "") || (($AirShowPhotoLoad == 1) && ($how eq ""))) {  #   .        
 $FileSaved="";
 &UploadFileForm;
 if ($UpdateFormConfirm eq 'No') { #    !!!
  if ($FileSaved ne "") {  #   
    print "<BR><BR><CENTER>";
    print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" border=0></CENTER>';
  }
 } else {
  #" "  " "
  if ($aircraft_FotoUpdate ne " ") {
    if ($FileSaved ne "") {  #   
      print "<BR><BR><CENTER>";
      print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved.'" border=0></CENTER>';
    }
  } else {
    if ($FileSaved_OLD ne "") {  #   
      print "<BR><BR><CENTER>";
      print '<IMG SRC="'.$DomainName.'/'.$AirshowImgDir.'/'.$SaveImageUrl.'/'.$FileSaved_OLD.'" border=0></CENTER>';
    }
  }
 }

}

if ($how ne "") {
print <<"OUT_HTML";
<br><br>
<center><table>
<tr><td>$RegForm_txt{'18'}: </td><td>$aircraft_type</td></tr>
<tr><td>$RegForm_txt{'17'}: </td><td>$aircraft_model</td></tr>
<tr><td>$RegForm_txt{'29'}: </td><td>$aircraft_seats</td></tr>
<tr><td>$RegForm_txt{'35'}: </td><td>$aircraft_MaxWeight</td></tr>
<tr><td>$RegForm_txt{'37'}: </td><td>$aircraft_TakeoffLanding</td></tr>
OUT_HTML
if ($AirShowRunwaySurface!=0) {
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'38'}: </td><td>$aircraft_RunwaySurface</td></tr>
OUT_HTML
}
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'39'}: </td><td>$aircraft_HeadWind</td></tr>
<tr><td>$RegForm_txt{'40'}: </td><td>$aircraft_TailWind</td></tr>
<tr><td>$RegForm_txt{'41'}: </td><td>$aircraft_CrossWind</td></tr>
<tr><td>$RegForm_txt{'36'}: </td><td>$aircraft_CruiseSpeed</td></tr>
OUT_HTML
  if ($AirShowENGINE!=0) {
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'30'}: </td><td>$aircraft_ENGType</td></tr>
<tr><td>$RegForm_txt{'31'}: </td><td>$aircraft_ENGName</td></tr>
<tr><td>$RegForm_txt{'32'}: </td><td>$aircraft_ENGQuant</td></tr>
<tr><td>$RegForm_txt{'33'}: </td><td>$aircraft_ENGPower</td></tr>
OUT_HTML
  }
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'34'}: </td><td>$aircraft_WingsWidth</td></tr>
<tr><td>$RegForm_txt{'42'}: </td><td>$aircraft_GPS</td></tr>
OUT_HTML
if ($AirShowRegNum !=0) { 
print <<"OUT_HTML";
<tr><td>$RegForm_txt{'22'}  $RegForm_txt{'20'}: </td><td>$aircraft_regtype - $aircraft_number</td></tr>
<tr><td>$RegForm_txt{'23'}: </td><td>$aircraft_numberDATE</td></tr>
OUT_HTML
}
print <<"OUT_HTML";

<tr><td>$RegForm_txt{'19'}: </td><td>$aircraft_manufactured</td></tr>
<tr><td>$RegForm_txt{'24'}  $RegForm_txt{'26'}: </td><td>$aircraft_airwortness - $aircraft_airwortness_dat</td></tr>
<tr><td>$RegForm_txt{'52'}: </td><td>$aircraft_radio</td></tr>
OUT_HTML
if ($AirShowFuel!=0) { 
  if ($AirShowFuelRefil!=0) {
   print "<tr><td>$RegForm_txt{'50'}  $RegForm_txt{'51'}: </td><td>".$aircraft_fuel_type." -  ".$aircraft_fuel." .</td></tr>"; 
  } else {
   print "<tr><td>$RegForm_txt{'50'}: </td><td>".$aircraft_fuel_type."</td></tr>"; 
  }
}
print <<"OUT_HTML";

</table></center>
OUT_HTML

}


print <<"OUT_HTML";
<BR><BR><B>

OUT_HTML
# $mailaddr  #                 

if ($UpdateFormConfirm eq 'No') { #    !!!

#$fixname =~ s/(.+)(\..+?)$/$1/;



@fields01 = split(/\@/,$mailaddr);
$fixmailaddr=$fields01[0];

			$fixmailaddr =~ s/.+\\([^\\]+)$|.+\/([^\/]+)$/$1/;

# print "'$fixfile'"; #    

			######## Transliteration Russian file names for win-1251 encoding ##############
			@Engl = ('A','B','V','G','D','E','JO','ZH','Z','I','J','K','L','M','N','O','P','R','S','T','U','F','H','C','CH','SH','SHH','_','Y','_','JE','JU','JA','a','b','v','g','d','e','jo','zh','z','i','j','k','l','m','n','o','p','r','s','t','u','f','h','c','ch','sh','shh','_','y','_','je','ju','ja');
                        @Rus  = ('','','','','','','', '', '','','','','','','','','','','','','','','','','', '', '',  '','','','', '', '', '','','','','','','', '', '','','','','','','','','','','','','','','','','', '', '',  '','','','', '', '');
                        $TranslRE=0;
                        foreach $TranslR (@Rus) {
                         $fixmailaddr =~ s/$TranslR/$Engl[$TranslRE]/g;
                         $TranslRE++;
                        }
                        ######## END Transliteration #############


			$fixmailaddr =~ s/[^0-9A-Za-z\+\-\.:_]/_/g; # replace all inappropriate with the "_" character.

			# replace . with _ in the filename
			$fixmailaddr1 = $fixmailaddr;
			$fixmailaddr1 =~ s/\./-/g;

# $fixmailaddr1 # User Login for database changing
$fixmailaddr2=$fixmailaddr1.".db"; # file name for saving in database

$fullDBDir=$AirshowImgDir."/".$SaveImageUrl;



#$SaveFileDir=$uploaddir.'/'.$AirshowImgDir.'/'.$SaveImageUrl;
#print "'".$fixmailaddr2."'<br>";

$overwrite="";
			if (!$overwrite) { $fixmailaddr2 = &check_existence($fullDBDir, $fixmailaddr2); }
			elsif ($overwrite == 2 && -e "$fullDBDir/$fixfile") {
				foreach (@filelist) { unlink("$fullDBDir/$_"); }
				&fatal_error("file_overwrite");
			}

$fullDBaddr=$AirshowImgDir."/".$SaveImageUrl.'/'.$fixmailaddr2;  #     ,     !
                                                                 # $fixmailaddr2 -      

#print "'".$fixmailaddr2."'<br>";
#print "'".$fullDBaddr."'<br>";



$errWRDB=0;
open(PRICE,">$fullDBaddr")|| &send_errorWR;
print PRICE $mday."/".$mon."/".$year."|".$hour.":".$min.":".$sec."|".$IP_Addr."|".$edtFName."|".$CompanY."|".$birdthday."|".$aircraft_commanderPasspN."|".$aircraft_commanderPasspData."|".$lstRegion."|".$phone."|".$mailaddr."|".$mailpassw."|".$quantity."|".$how."|".$aircraft_model."|".$aircraft_type."|".$aircraft_number."|".$aircraft_regtype."|".$aircraft_airwortness."|".$aircraft_airwortness_dat."|".$aircraft_techcom."|".$aircraft_seats."|".$aircraft_PPL."|".$aircraft_PPL_num."|".$aircraft_PPL_date."|".$aircraft_medical."|".$aircraft_expirience."|".$aircraft_expirienceYear."|".$aircraft_expirienceAll."|".$aircraft_fuel_type."|".$aircraft_fuel."|".$aircraft_radio."|".$aircraft_flights."|".$volonter."|".$memContent1."|".$aircraft_WingsWidth."|".$aircraft_MaxWeight."|".$aircraft_CruiseSpeed."|".$aircraft_TakeoffLanding."|".$aircraft_GPS."|".$FileSaved."|".$aircraft_commanderFamilyPhone."|".$aircraft_commanderFamilyName."|".$aircraft_commanderAirportData."|".$aircraft_HeadWind."|".$aircraft_TailWind."|".$aircraft_CrossWind."|".$aircraft_RunwaySurface."|".$aircraft_KPK."|".$aircraft_ENGType."|".$aircraft_ENGName."|".$aircraft_ENGQuant."|".$aircraft_ENGPower."|".$aircraft_manufactured."|".$aircraft_numberDATE."||||||||||||||".$EMAIL_OK."|"."|ENDofSTR\n";
close(PRICE);

} else { #   !!!

#!!#
#   ,             !!!

$fullDBaddr=$AirshowImgDir."/".$SaveImageUrl.'/'.$LOGI.'.db';
$fixmailaddr2=$LOGI.'.db';

#   

  open(PRICE,$fullDBaddr) || &send_error_ReadFile; #!!#    (  )
  while($named=<PRICE>){
   ($date_1,$time_1,$IP_Addr_1,$edtFName_1,$CompanY_1,$birdthday_1,$aircraft_commanderPasspN_1,$aircraft_commanderPasspData_1,$lstRegion_1,$phone_1,$mailaddr_1,$mailpassw_1,$quantity_1,$how_1,$aircraft_model_1,$aircraft_type_1,$aircraft_number_1,$aircraft_regtype_1,$aircraft_airwortness_1,$aircraft_airwortness_dat_1,$aircraft_techcom_1,$aircraft_seats_1,$aircraft_PPL_1,$aircraft_PPL_num_1,$aircraft_PPL_date_1,$aircraft_medical_1,$aircraft_expirience_1,$aircraft_expirienceYear_1,$aircraft_expirienceAll_1,$aircraft_fuel_type_1,$aircraft_fuel_1,$aircraft_radio_1,$aircraft_flights_1,$volonter_1,$memContent1_1,$aircraft_WingsWidth_1,$aircraft_MaxWeight_1,$aircraft_CruiseSpeed_1,$aircraft_TakeoffLanding_1,$aircraft_GPS_1,$FileSaved_1,$aircraft_commanderFamilyPhone_1,$aircraft_commanderFamilyName_1,$aircraft_commanderAirportData_1,$aircraft_HeadWind_1,$aircraft_TailWind_1,$aircraft_CrossWind_1,$aircraft_RunwaySurface_1,$aircraft_KPK_1,$aircraft_ENGType_1,$aircraft_ENGName_1,$aircraft_ENGQuant_1,$aircraft_ENGPower_1,$aircraft_manufactured_1,$aircraft_numberDATE_1,$RESERV01_1,$RESERV02_1,$RESERV03_1,$RESERV04_1,$RESERV05_1,$RESERV06_1,$RESERV07_1,$RESERV08_1,$RESERV09_1,$RESERV10_1,$RESERV11_1,$RESERV12_1,$RESERV13_1,$RESERV14_1,$RESERV15_1,$CorrectString_1)=split(/\|/,$named);
   #$CorrectString = `ENDofSTR` -    
  }
  close(PRICE);

if (($mailpassw_1 eq $PASS) || ($OfflineNoPass == 1)) { #  !!!

#" "  " "
if ($aircraft_FotoUpdate eq " ") {$FileSaved=$FileSaved_1;}


 $errWRDB=0;
 open(PRICE,">>$fullDBaddr")|| &send_errorWR;
 print PRICE $mday."/".$mon."/".$year."|".$hour.":".$min.":".$sec."|".$IP_Addr."|".$edtFName."|".$CompanY."|".$birdthday."|".$aircraft_commanderPasspN."|".$aircraft_commanderPasspData."|".$lstRegion."|".$phone."|".$mailaddr."|".$mailpassw."|".$quantity."|".$how."|".$aircraft_model."|".$aircraft_type."|".$aircraft_number."|".$aircraft_regtype."|".$aircraft_airwortness."|".$aircraft_airwortness_dat."|".$aircraft_techcom."|".$aircraft_seats."|".$aircraft_PPL."|".$aircraft_PPL_num."|".$aircraft_PPL_date."|".$aircraft_medical."|".$aircraft_expirience."|".$aircraft_expirienceYear."|".$aircraft_expirienceAll."|".$aircraft_fuel_type."|".$aircraft_fuel."|".$aircraft_radio."|".$aircraft_flights."|".$volonter."|".$memContent1."|".$aircraft_WingsWidth."|".$aircraft_MaxWeight."|".$aircraft_CruiseSpeed."|".$aircraft_TakeoffLanding."|".$aircraft_GPS."|".$FileSaved."|".$aircraft_commanderFamilyPhone."|".$aircraft_commanderFamilyName."|".$aircraft_commanderAirportData."|".$aircraft_HeadWind."|".$aircraft_TailWind."|".$aircraft_CrossWind."|".$aircraft_RunwaySurface."|".$aircraft_KPK."|".$aircraft_ENGType."|".$aircraft_ENGName."|".$aircraft_ENGQuant."|".$aircraft_ENGPower."|".$aircraft_manufactured."|".$aircraft_numberDATE."|".$RESERV01_1."|".$RESERV02_1."|".$RESERV03_1."|".$RESERV04_1."|".$RESERV05_1."|".$RESERV06_1."|".$RESERV07_1."|".$RESERV08_1."|".$RESERV09_1."|".$RESERV10_1."|".$RESERV11_1."|".$RESERV12_1."|".$RESERV13_1."|".$EMAIL_OK."|".$DELDATA."|ENDofSTR\n";
 close(PRICE);

} else {   #   !!!!!!!!!!!!!!!!!!

}


} #   


if ($errWRDB==0) {   # NO Error writing DB

($fixmailaddrN, $fixmailaddrE) = split(/\./, $fixmailaddr2);

if ($OfflineNoPass != 1) {
 &SendConfirmation;
}

print <<"OUT_HTML";

<br><br>
<HR>
</CENTER>

OUT_HTML
if ($DELDATA ne "Yes") {
print <<"OUT_HTML";
    :<br>
  - '$fixmailaddrN'<br>
  - '$mailpassw'<br>
<font size=-1>     !</font><br>
,        :<br>
<A HREF="$DomainNameCGI/$ScriptFileName?action=Password;year=$Command{'year'};airfield=$Command{'airfield'}">$DomainNameCGI/$ScriptFileName?action=Password;year=$Command{'year'};airfield=$Command{'airfield'}</A>
<HR>
<br>
<font size=-1>
            .      .      e-mail.
</font>
<br><br>
<CENTER>

  . !

OUT_HTML
} else {  #   
print <<"OUT_HTML";
<FONT COLOR=#A00000>
  !!!!<BR>
        !<BR>
</FONT>
OUT_HTML
}


} # NO Error writing DB
print <<"OUT_HTML";

<BR><BR><A HREF="$ReturnUrl">$RegForm_txt{'65'} $NameOfAirshow.</A>
</B>
<BR><BR>



</body></html>

OUT_HTML




########################################################3
}





sub send_errorWR {
 print $ErrSaveDB;
 $errWRDB=1;
}





sub SendConfirmation {


$from1 = '"$edtFName" <$mailaddr>';
$edtEMail =~ s/\@/\\@/;
#$from = "\"$edtFName\" <$mailaddr>";
$mailaddrFinal = $mailaddr;


$AddrPr="\"$edtFName\" <$mailaddrFinal>";
#print $AddrPr ;


#print $MailFrom;

open(MAIL, "| /usr/sbin/sendmail $mailaddrFinal") || print "  !!!";  # die "   "; #-f \"$edtFName\"<$edtEMail> velocity_home\@mail.ru
print MAIL "To: $mailaddrFinal\n";
print MAIL "From: $MailFrom\n";
print MAIL "X-Mailer: REAA Website\n";
print MAIL 'Subject:   '.$NameOfAirshow."\n";
print MAIL "Content-Type: text/plain\; charset=windows-1251\n\n";
print MAIL "\n\n";


$lstRegion=~ s/\r\n/\n/g;
$how =~ s/\r\n/\n/g;
$phone=~ s/\r\n/\n/g;

print MAIL $MAILTEXT."\n";
print MAIL "$RegForm_txt{'2'} - $edtFName\n";
if($AirShowCOMPANY !=0) {
print MAIL "$RegForm_txt{'3'} - $CompanY\n";
}

if ($AirShowPressType !=0) {
print MAIL "$RegForm_txt{'10'} - $aircraft_KPK\n";
}

if ( ($AirShowAircrModelLoad!=0) && ($aircraft_model ne "") && ($how eq "") ) {
print MAIL "$RegForm_txt{'17'} - $aircraft_model\n";
}


if ($AirShowBirthday!=0) {
 print MAIL "$RegForm_txt{'4'} - $birdthday\n";
}
print MAIL "$RegForm_txt{'1'} - $lstRegion\n";
print MAIL "$RegForm_txt{'5'} - $phone\n";
print MAIL "$RegForm_txt{'6'} - $mailaddr\n";
if ($AirShowQuantity!=0) {
print MAIL "$RegForm_txt{'9'} - $quantity\n";
}

print MAIL "====================================\n";

if($how ne "") {

  print MAIL "$RegForm_txt{'18'} - $aircraft_type\n";
  print MAIL "$RegForm_txt{'17'} - $aircraft_model\n";
  print MAIL "$RegForm_txt{'22'}  $RegForm_txt{'20'} - $aircraft_regtype, $aircraft_number \n";
  print MAIL "$RegForm_txt{'23'} - $aircraft_numberDATE\n";
  print MAIL "$RegForm_txt{'19'} - $aircraft_manufactured\n";
  print MAIL "$RegForm_txt{'24'}  $RegForm_txt{'26'} - $aircraft_airwortness, $aircraft_airwortness_dat\n";
  print MAIL "$RegForm_txt{'29'} - $aircraft_seats\n";
  print MAIL "$RegForm_txt{'35'} - $aircraft_MaxWeight\n";
  print MAIL "$RegForm_txt{'37'} - $aircraft_TakeoffLanding\n";
  if ($AirShowRunwaySurface!=0) {
   print MAIL "$RegForm_txt{'38'} - $aircraft_RunwaySurface\n";
  }
  print MAIL "$RegForm_txt{'39'} - $aircraft_HeadWind\n";
  print MAIL "$RegForm_txt{'40'} - $aircraft_TailWind\n";
  print MAIL "$RegForm_txt{'41'} - $aircraft_CrossWind\n";
  print MAIL "$RegForm_txt{'36'} - $aircraft_CruiseSpeed\n";
  if ($AirShowENGINE!=0) {
  print MAIL "$RegForm_txt{'30'} - $aircraft_ENGType\n";
  print MAIL "$RegForm_txt{'31'} - $aircraft_ENGName\n";
  print MAIL "$RegForm_txt{'32'} - $aircraft_ENGQuant\n";
  print MAIL "$RegForm_txt{'33'} - $aircraft_ENGPower\n";
  }
  print MAIL "$RegForm_txt{'34'} - $aircraft_WingsWidth\n";
  print MAIL "$RegForm_txt{'42'} - $aircraft_GPS\n";

  if ($AirShowFuel!=0) { 
   if ($AirShowFuelRefil!=0) {
    print MAIL "$RegForm_txt{'50'}  $RegForm_txt{'51'} - $aircraft_fuel_type, $aircraft_fuel ()\n";
   } else {
    print MAIL "$RegForm_txt{'50'} - $aircraft_fuel_type\n";
   }
  }

  print MAIL "$RegForm_txt{'52'} - $aircraft_radio\n";
  if ($AirShowTechcom !=0) {
    print MAIL "$RegForm_txt{'28'} - $aircraft_techcom\n";
  }
  if ($AirShowKPK !=0) {
    print MAIL "$RegForm_txt{'10'} - $aircraft_KPK\n";
  }
  if ($FileSaved ne "") {  #   
   print MAIL "      - $DomainName/$AirshowImgDir/$SaveImageUrl/$FileSaved\n";
  }
  print MAIL "\n";

  if ($AirShowPilotLicense !=0) { 
    print MAIL "$RegForm_txt{'43'} - $aircraft_PPL\n";
    print MAIL "$RegForm_txt{'44'}  $RegForm_txt{'45'} - $aircraft_PPL_num, $aircraft_PPL_date\n";
  }
  if ($AirShowMedical!=0) {
    print MAIL "$RegForm_txt{'46'} - $aircraft_medical\n";
  }

  if ($AirShowExpirience!=0) {
    print MAIL "$RegForm_txt{'49'} - $aircraft_expirience\n";
    print MAIL "$RegForm_txt{'48'} - $aircraft_expirienceYear\n";
    print MAIL "$RegForm_txt{'47'} - $aircraft_expirienceAll\n";
  }

  if ($AirShowFlight!=0) {
    print MAIL "$RegForm_txt{'53'} - $aircraft_flights\n";
  }

print MAIL "====================================\n";
  print MAIL "   - \n";
  if ($AirShowPilotPassport !=0) {
   print MAIL "$RegForm_txt{'54'}: $aircraft_commanderPasspN\n";
   print MAIL "$RegForm_txt{'55'}: $aircraft_commanderPasspData\n";
  }
  print MAIL "$RegForm_txt{'56'}: $aircraft_commanderFamilyPhone\n";
  print MAIL "$RegForm_txt{'57'}: $aircraft_commanderFamilyName\n";
  print MAIL "$RegForm_txt{'58'}: $aircraft_commanderAirportData\n";
print MAIL "====================================\n";


} else {
  print MAIL "$RegForm_txt{'67'}\n";
}

print MAIL "    - $IP_Addr ";
print MAIL " $mday/$mon/$year  $hour:$min:$sec \n";

print MAIL "====================================\n";

if ($AirShowVolonter!=0) {
 if($volonter ne "" && $volonter ne " ") {
   print MAIL "$RegForm_txt{'11'} - $volonter\n";
 print MAIL "====================================\n";
 }
}

$message = $memContent;
$message =~ s/\r\n/\n/g;
print MAIL "$message\n\n";


if ($DELDATA ne "Yes") {
 print MAIL "====================================\n";
 print MAIL "    :\n";
 print MAIL "  - '$fixmailaddrN'\n";
 print MAIL "  - '$mailpassw'\n";
 print MAIL "     !\n";
 print MAIL "    \n       .\n";
 print MAIL "     .\n";
 print MAIL ",        :\n";
 print MAIL "$DomainNameCGI/$ScriptFileName?action=Password;year=$Command{'year'};airfield=$Command{'airfield'}";
 print MAIL "\n====================================\n";
} else {  #   
 print MAIL "====================================\n";
 print MAIL "  !!!!\n";
 print MAIL "         !\n";
 print MAIL "====================================\n";
}

close(MAIL);

########################################################3


}













##############################################################
#                                  #
##############################################################
sub RegisterForm {

$IP_Addr = "$ENV{'REMOTE_ADDR'}";
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time);
$year=$year+1900;
$mon=$mon+1;
if ($mday < 10) {$mday="0".$mday;}
if ($mon < 10) {$mon="0".$mon;}
$time_stamp=$mday."/".$mon."/".$year." day/mon/year   ".$hour.":".$min.".".$sec." hour:min.sec";


if($AirShowRegFormMode == 0) {
&PrintHeader;
print <<"OUT_HTML";
<FONT FACE="Arial Cyr, Arial, Helv, Helvetica">
<CENTER>
<BR><BR><BR>
<H1><B>   .</B></H1>
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A><BR><BR>
</BODY></HTML>
OUT_HTML
########################################################3
exit;
}



if($AirShowRegFormMode == 1) {
&PrintHeader;
print <<"OUT_HTML";
<FONT FACE="Arial Cyr, Arial, Helv, Helvetica">
<CENTER>
<BR><BR><BR>
<H1><B> .</B></H1>
<BR><BR><A HREF="$ReturnUrl">   $NameOfAirshow.</A><BR><BR>
</BODY></HTML>
OUT_HTML
########################################################3
exit;
}



print "Content-type: text/html\n\n";
print <<"OUT_HTML";

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- saved from url=(0031)http://www.reaa.ru -->
<HTML><HEAD><TITLE>   $NameOfAirshow</TITLE>
<META content=noindex,follow name=Robts>
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<META http-equiv=expires content="Mon, 01 Jan 1990 00:00:00 GMT">
<META http-equiv=content-language content=ru>
<META http-equiv=Cache-Control content=no-cache>
<META content=" " name=keywords>
<META content="MSHTML 6.00.2900.2963" name=GENERATOR></HEAD>
<BODY text=#0000FF bgColor=#ffffff leftMargin=0 topMargin=0 marginwidth="0" marginheight="0">
<DIV id=idBody style="LEFT: 0px; VISIBILITY: visible; WIDTH: 100%; POSITION: absolute; TOP: 15px; BACKGROUND-COLOR: #ffffff">
<SCRIPT language=javascript>
var sendedform = 0;

aircraft="";

function checkDiv(value) {

        aircraft=value;
	var form = document.getElementById('ask');;
	var divs = form.getElementsByTagName('DIV');
	var pos = 0;
	for (i = 0; i < divs.length; i++)
	{
		if ( divs[i].id != value ) {divs[i].style.display = 'none';}
		else 
		{
			divs[i].style.display = 'block';
			pos = i;
		}
	}

	

//	if ( divs[1].id == value ) 
//	{
//		form.how_phone.value = form.phone.value;
////		for (i = 0; i < form.how_prefix.options.length; i++)
////		{
////			if (form.how_prefix.options[i].value == form.phone_prefix.value) form.how_prefix.options[i].selected = true;
////		}
//	}
}



function onSubm(form) {	
	var frm = document.forms['ask'];
	with ( frm )
	{
		var now = new Date();

                if(EMAIL_OK.checked == true ) {
	          EMAIL_OK.value = "1";
                } else {
                  EMAIL_OK.value = "0";
                }

                if(lstRegion.value == " ") {
                  alert(' !');
		  return false;
                }

                if(lstRegion.value == "----------------------------") {
                  alert(' !');
		  return false;
                }

                if(edtFName.value == "") {
                  alert('  !');
		  return false;
                }

OUT_HTML
if ($AirShowBirthday!=0) {
print <<"OUT_HTML";
                if(birdthday.value == "") {
                  alert('   !');
		  return false;
                }
OUT_HTML
}
print <<"OUT_HTML";

                if(mailaddr.value == "") {
                  alert('  e-mail!');
		  return false;
                }

                if(mailpassw.value == "") {
                  alert('  !');
		  return false;
                }

OUT_HTML
if ($AirShowAirFormMode!=0) {
print <<"OUT_HTML";
               if(aircraft != "") {
//                  alert('"'+how.value+'"');


                if(aircraft_type.value == " ") {
                  alert('  !');
		  return false;
                }

                if(aircraft_model.value == "") {
                  alert('  () !');
		  return false;
                }

                if(aircraft_regtype.value == " ") {
                  alert('  !');
		  return false;
                }

                if(aircraft_techcom.value == " ") {
                  alert('   . !');
		  return false;
                }

                if(aircraft_PPL.value == " ") {
                  alert(' ,   !');
		  return false;
                }

                if(aircraft_fuel_type.value == " ") {
                  alert('   !');
		  return false;
                }

                if(aircraft_radio.value == " ") {
                  alert('    !');
		  return false;
                }

                if(aircraft_flights.value == " ") {
                  alert(',     !');
		  return false;
                }

                if(aircraft_fuel.value == "") {
                  aircraft_fuel.value = "0";
                }

               }
OUT_HTML
}
print <<"OUT_HTML";

                if (sendedform == 0) {
		  document.ask.submit();
                  sendedform = 1;
		} else {
                  alert('   !');
		}
	}
}
</SCRIPT>

<FONT FACE="Arial Cyr, Arial, Helv, Helvetica">
<CENTER>

$AttentionText
<FONT COLOR=#0000FF>

<TABLE class=document>
  <TBODY>
        <TR>
          <TD style="PADDING-RIGHT: 50px" vAlign=top width=400px>
          <CENTER>
          <IMG SRC="$AirShowLogo" border=0>
          </TD>
          <TD vAlign=top width=400px>
          <CENTER><FONT SIZE=+2><B>
          <br>
          $AirshowFormName
          <br><br>
          </B></FONT></CENTER>
          </TD>
        </TR>


        <TR>

          <TD style="PADDING-RIGHT: 50px" vAlign=top width=400px>

            <FORM id=ask name=ask onsubmit="onSubm(this); return false;" enctype="multipart/form-data" target=_self method="POST" action="$ScriptFileName?action=FormSend;year=$Command{'year'};airfield=$Command{'airfield'}">
            <INPUT type=hidden value=SSS name=Form>
            <INPUT type=hidden value='No' name=UpdateForm>
            <INPUT type=hidden name=Email>

OUT_HTML
if ($AirShowRegion!=0) {
@AirShowRegionList = split(/\|/,$AirShowRegionType);
print <<"OUT_HTML";
            <IMG height=13 src="$MandatoryImg" width=16>
            $RegForm_txt{'1'}<BR>
            <SELECT style="WIDTH: 350px" name=lstRegion >
OUT_HTML
   print '                <OPTION value="'.$AirShowRegionList[0].'" selected>'.$AirShowRegionList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowRegionList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowRegionList[$i].'">'.$AirShowRegionList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	    </SELECT><BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

	    <IMG height=13 src="$MandatoryImg" width=16> 

            $RegForm_txt{'2'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=100 name=edtFName > 
            <BR><BR>
OUT_HTML
if ($AirShowCOMPANY !=0) {
print <<"OUT_HTML";
            $RegForm_txt{'3'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=100 name=CompanY > 
            <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowBirthday!=0) {
print <<"OUT_HTML";
	    <IMG height=13 src="$MandatoryImg" width=16> 
            $RegForm_txt{'4'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=10 name=birdthday > 
            <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

            $RegForm_txt{'5'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=80 name=phone >
            <BR><BR>
	    <IMG height=13 src="$MandatoryImg" width=16>
            $RegForm_txt{'6'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=60 name=mailaddr >
            <BR><BR>
            <INPUT type=checkbox 
OUT_HTML
if ($EMAIL_OK == 1) {print ' checked="checked"';}
print <<"OUT_HTML";
name=EMAIL_OK
OUT_HTML
if ($EMAIL_OK == 1) {print ' value="1"';} else {print ' value="0"';}

print <<"OUT_HTML";
> $RegForm_txt{'7'}<BR>
            $RegForm_txt{'66'}<BR>
	    <IMG height=13 src="$MandatoryImg" width=16>
            $RegForm_txt{'8'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=10 name=mailpassw type=password >
            <BR><BR>


OUT_HTML
if ($AirShowQuantity!=0) {
print <<"OUT_HTML";
            $RegForm_txt{'9'}<BR>
	    <INPUT style="WIDTH: 350px" maxLength=2 type="text" name=quantity size="4" onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	    <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowKPK!=0) {
@AirShowKPKList = split(/\|/,$AirShowKPKType);
print <<"OUT_HTML";
              $RegForm_txt{'10'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_KPK format="any::    ">
OUT_HTML
   print '                <OPTION value="'.$AirShowKPKList[0].'" selected>'.$AirShowKPKList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowKPKList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowKPKList[$i].'">'.$AirShowKPKList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowVolonter!=0) {
@AirShowVolonterList = split(/\|/,$AirShowVolonterType);
print <<"OUT_HTML";

              $RegForm_txt{'11'}<BR>
              $RegForm_txt{'12'}
	      <SELECT style="WIDTH: 350px" name=volonter format="any::     ">
OUT_HTML
   print '                <OPTION value="'.$AirShowVolonterList[0].'" selected>'.$AirShowVolonterList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowVolonterList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowVolonterList[$i].'">'.$AirShowVolonterList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	    <BR><BR>
OUT_HTML
}
print <<"OUT_HTML";

	    $RegForm_txt{'13'}<BR>
	    <TEXTAREA style="WIDTH: 350px; HEIGHT: 110px" name=memContent maxlength="1000"></TEXTAREA>
	    <BR><BR>

	    <FONT SIZE=-1>
	    $RegForm_txt{'62'} <IMG height=13 src="$MandatoryImg" width=16> $RegForm_txt{'63'}
            <BR><BR>
	    </FONT>
            $MessageAtt1
            $MessageAtt2
            $MessageAtt3
            <INPUT type=submit value= name=mailtoholder>
            <BR><BR><A HREF="$ReturnUrl">$RegForm_txt{'65'} $NameOfAirshow.</A><BR><BR>	    
<!-- -->

</td><td vAlign=top width=400px>

OUT_HTML
if ($AirShowAirFormMode==0) {
print <<"OUT_HTML";
	    <INPUT type=hidden value="" name=how>
OUT_HTML
}
print <<"OUT_HTML";


OUT_HTML
if ($AirShowAirFormMode==1) {
print <<"OUT_HTML";
	    <INPUT type=hidden value=""  name=how>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowAirFormMode==2) {
print <<"OUT_HTML";
	    $RegForm_txt{'14'}<BR>
	    <INPUT onclick="checkDiv('');" checked="checked" type=radio value="" name=how >
	    <FONT COLOR=700000><B></B></FONT><BR>
	    <INPUT onclick="checkDiv('');" type=radio value="" name=how >
	    <FONT COLOR=700000><B></B></FONT><BR><BR>
OUT_HTML
}

if ($AirShowAirFormMode!=0) {
 &AircraftFormTypeNotFilled;
} else {
 if ($AirShowPhotoLoad!=0) {
print <<"OUT_HTML";
<!--
              <TR><TD width="90%">
  	      <IMG height=13 src="$MandatoryImg" width=16> 
-->
              $RegForm_txt{'15'}<BR>
              $RegForm_txt{'16'}
              <input type="file" name="FotoFileName" id="FotoFileName" style="WIDTH: 350px" size="100" >  <!--  onchange="selectNewattach($y);" -->
<!--
	      </TD></TR>
-->
OUT_HTML
 }

 if ($AirShowAircrModelLoad!=0) {
print <<"OUT_HTML";
<!--
              <TR><TD width="90%">
  	      <IMG height=13 src="$MandatoryImg" width=16> 
-->
              <BR>$RegForm_txt{'17'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=100 name=aircraft_model >
<!--
	      </TD></TR>
-->
OUT_HTML
 }

}
print <<"OUT_HTML";
	      <BR><BR>


                $MessageAtt1R
                $MessageAtt2R
                $MessageAtt3R
		<INPUT type=hidden name=edtLName><INPUT type=hidden name=callBackSoonestTime>
		<INPUT type=hidden name=callBackLatestTime>
		<INPUT type=hidden name=site>
		<INPUT type=hidden name=theme>
		<INPUT type=hidden name=theDay>
		<INPUT type=hidden name=cname>
		<INPUT type=hidden name=prefix>
		<INPUT type=hidden name=cbno>
		<INPUT type=hidden name=txtProblem>


	</FORM>
    </TD></TR>
</TBODY></TABLE>

</DIV>
</BODY></HTML>

OUT_HTML
########################################################3
}


################!!#

sub AircraftFormTypeNotFilled {

print <<"OUT_HTML";

<!--
            <DIV id="" style="DISPLAY: none; PADDING-LEFT: 0px">
-->

	    $MessageAtt4


            <TABLE width="100%">
              <TBODY>


              <TR><TD width="90%">
  	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'15'}<BR>
              $RegForm_txt{'16'}
              <input type="file" name="FotoFileName" id="FotoFileName" style="WIDTH: 350px" size="100" >  <!--  onchange="selectNewattach($y);" -->
	      </TD></TR>


              <TR><TD width="90%">
  	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'17'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=100 name=aircraft_model >
	      </TD></TR>

OUT_HTML
if ($AirShowAircraft!=0) {
@AirShowAircraftList = split(/\|/,$AirShowAircraftType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'18'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_type >
OUT_HTML
   print '                <OPTION value="'.$AirShowAircraftList[0].'" selected>'.$AirShowAircraftList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowAircraftList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowAircraftList[$i].'">'.$AirShowAircraftList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>

OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'19'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_manufactured value='$aircraft_manufactured' onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

OUT_HTML
if ($AirShowRegNum!=0) {
@AirShowRegNumList = split(/\|/,$AirShowRegNumType);
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'20'}<BR>
              $RegForm_txt{'21'}
	      <INPUT style="WIDTH: 350px" maxLength=20 name=aircraft_number >
	      </TD></TR>

              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'22'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_regtype >
OUT_HTML
   print '                <OPTION value="'.$AirShowRegNumList[0].'" selected>'.$AirShowRegNumList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowRegNumList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowRegNumList[$i].'">'.$AirShowRegNumList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'23'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_numberDATE >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'24'}<BR>
              $RegForm_txt{'25'}
	      <INPUT style="WIDTH: 350px" maxLength=20 name=aircraft_airwortness >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'26'}<BR>
              $RegForm_txt{'27'}
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_airwortness_dat >
	      </TD></TR>

OUT_HTML
if ($AirShowTechcom!=0) {
@AirShowTechcomList = split(/\|/,$AirShowTechcomDate);
print <<"OUT_HTML";

              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'28'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_techcom >
OUT_HTML
   print '                <OPTION value="'.$AirShowTechcomList[0].'" selected>'.$AirShowTechcomList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowTechcomList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowTechcomList[$i].'">'.$AirShowTechcomList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'29'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_seats type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>




OUT_HTML
if ($AirShowENGINE!=0) {
@AirShowENGINETypeList = split(/\|/,$AirShowENGINEType);
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'30'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_ENGType >
OUT_HTML
   print '                <OPTION value="'.$AirShowENGINETypeList[0].'" selected>'.$AirShowENGINETypeList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowENGINETypeList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowENGINETypeList[$i].'">'.$AirShowENGINETypeList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'31'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=20 name=aircraft_ENGName type=text >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'32'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=1 name=aircraft_ENGQuant type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'33'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_ENGPower type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'34'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_WingsWidth type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'35'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_MaxWeight type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'36'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_CruiseSpeed type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'37'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_TakeoffLanding type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

OUT_HTML
if ($AirShowRunwaySurface!=0) {
@AirShowRunwaySurfaceTypeList = split(/\|/,$AirShowRunwaySurfaceType);
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'38'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_RunwaySurface >
OUT_HTML
   print '                <OPTION value="'.$AirShowRunwaySurfaceTypeList[0].'" selected>'.$AirShowRunwaySurfaceTypeList[0].'</OPTION>'; 
   $i=0;
   foreach $pair (@AirShowRunwaySurfaceTypeList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowRunwaySurfaceTypeList[$i].'">'.$AirShowRunwaySurfaceTypeList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'39'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_HeadWind type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'40'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_TailWind type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'41'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=2 name=aircraft_CrossWind type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>


OUT_HTML
if ($AirShowGPS!=0) {
@AirShowGPSTypeList = split(/\|/,$AirShowGPSType);
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'42'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_GPS >
OUT_HTML
   print '                <OPTION value="'.$AirShowGPSTypeList[0].'" selected>'.$AirShowGPSTypeList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowGPSTypeList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowGPSTypeList[$i].'">'.$AirShowGPSTypeList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowPilotLicense!=0) {
@AirShowPilotLicenseTypeList = split(/\|/,$AirShowPilotLicenseType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'43'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_PPL >
OUT_HTML
   print '                <OPTION value="'.$AirShowPilotLicenseTypeList[0].'" selected>'.$AirShowPilotLicenseTypeList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowPilotLicenseTypeList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowPilotLicenseTypeList[$i].'">'.$AirShowPilotLicenseTypeList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}


if ($AirShowPilotLicense!=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'44'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_PPL_num >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'45'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_PPL_date >
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowMedical!=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'46'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=10 name=aircraft_medical >
	      </TD></TR>
OUT_HTML
}

if ($AirShowExpirience!=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'47'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=6 name=aircraft_expirienceAll type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'48'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=6 name=aircraft_expirienceYear type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'49'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=6 name=aircraft_expirience type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>
OUT_HTML
}

if ($AirShowFuel!=0) {
@AirShowFuelTypeList = split(/\|/,$AirShowFuelType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'50'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_fuel_type >
OUT_HTML
   print '                <OPTION value="'.$AirShowFuelTypeList[0].'" selected>'.$AirShowFuelTypeList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowFuelTypeList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowFuelTypeList[$i].'">'.$AirShowFuelTypeList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>

OUT_HTML
if ($AirShowFuelRefil!=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'51'}<BR>
	      <INPUT style="WIDTH: 350px" maxLength=4 name=aircraft_fuel type=text onKeyPress ="if ((event.keyCode < 48) || (event.keyCode > 57)) event.returnValue = false;" >
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowFrequency!=0) {
@AirShowFrequencyTypeList = split(/\|/,$AirShowFrequencyType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'52'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_radio >
OUT_HTML
   print '                <OPTION value="'.$AirShowFrequencyTypeList[0].'" selected>'.$AirShowFrequencyTypeList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowFrequencyTypeList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowFrequencyTypeList[$i].'">'.$AirShowFrequencyTypeList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

OUT_HTML
if ($AirShowFlight!=0) {
@AirShowFlightTypeList = split(/\|/,$AirShowFlightType);
print <<"OUT_HTML";
              <TR><TD width="90%">
	      <IMG height=13 src="$MandatoryImg" width=16> 
              $RegForm_txt{'53'}<BR>
	      <SELECT style="WIDTH: 350px" name=aircraft_flights >
OUT_HTML
   print '                <OPTION value="'.$AirShowFlightTypeList[0].'" selected>'.$AirShowFlightTypeList[0].'</OPTION>';
   $i=0;
   foreach $pair (@AirShowFlightTypeList) {
    if ($i != 0) {
     print '                <OPTION value="'.$AirShowFlightTypeList[$i].'">'.$AirShowFlightTypeList[$i].'</OPTION>'; 
    }
    $i++;
   }
print <<"OUT_HTML";
	      </SELECT>
	      <BR><BR>
	      </TD></TR>
OUT_HTML
}

if ($AirShowPilotPassport !=0) {
print <<"OUT_HTML";
              <TR><TD width="90%">
              $RegForm_txt{'54'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=15 name=aircraft_commanderPasspN type=text >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'55'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=60 name=aircraft_commanderPasspData type=text >
	      </TD></TR>
OUT_HTML
}
print <<"OUT_HTML";

              <TR><TD width="90%">
              $RegForm_txt{'56'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=40 name=aircraft_commanderFamilyPhone type=text >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'57'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=40 name=aircraft_commanderFamilyName type=text >
	      </TD></TR>

              <TR><TD width="90%">
              $RegForm_txt{'58'}<BR>
              $RegForm_txt{'59'}
	      <INPUT style="WIDTH: 350px" maxLength=40 name=aircraft_commanderAirportData type=text >
	      </TD></TR>

	    </TBODY></TABLE>
<!--
	    </DIV>
-->
OUT_HTML
}


#######################!!#


#changed sub for improve perfomance, code from Zoo
sub check_existence {
	my ($dir, $filename) = @_;

	$filename =~ /(\S+?)(\.\S+$)/;
	my $origname = $1;
	my $filext = $2;
	my $numdelim = "_";
	my $filenumb = 0;
	while ( -e "$dir/$filename") {
			$filenumb = sprintf("%03d", ++$filenumb);
			$filename = qq~$origname$numdelim$filenumb$filext~;
	}
	return ($filename);
}



sub fatal_error {
#	my $verbose = $!;
#	&LoadLanguage('Error');
#	# Gets filename and line where fatal_error was called.
#	# Need to go further back to get correct subroutine name,
#	# otherwise will print fatal_error as current subroutine!
#	(undef, $e_filename, $e_line) = caller(0);
#	(undef, undef, undef, $e_subroutine) = caller(1);
#	(undef, $e_subroutine) = split(/::/, $e_subroutine);
#	my($e,$t,$v) =@_;
#	if ($t || $e) { $ot = "$maintxt{'error_description'}: $error_txt{$e} $t"; }
#	if (($debug == 1 || ($debug == 2 && $iamadmin)) && ($e_filename || $e_line || $e_subroutine)) { $l = "<br />$maintxt{'error_location'}: $e_filename<br />$maintxt{'error_line'}: $e_line<br />$maintxt{'error_subroutine'}: $e_subroutine"; }
#	if ($v) { $v = "<br />$maintxt{'error_verbose'}: $verbose"; }
# 
#	if ($elenable) {
#		&fatal_error_logging("$ot$l$v");
#	}
#	# Commented the line below out to prevent recursion when errors occur
#	# in the loadIMs routine. It looks OK without loading them, anyway.
#	#if(!$iamguest){&LoadIMs; }
#	if ($e =~ /no_access|members_only|no_perm/) {
#		$headerstatus = "403 Forbidden";
#	} elsif ($e =~ /cannot_open|no.+_found/) {
#		$headerstatus = "404 Not Found";
#	}
#
#	$yymain .= qq~
#<table border="0" width="80%" cellspacing="1" class="bordercolor" align="center" cellpadding="4">
#  <tr>
#    <td class="titlebg"><span class="text1"><b>$error_txt{'error_occurred'}</b></span></td>
#  </tr><tr>
#    <td class="windowbg"><br /><span class="text1">$ot$l$v</span><br /><br /></td>
#  </tr>
#</table>
#<center><br /><a href="javascript:history.go(-1)">$maintxt{'193'}</a></center>
#~;
#	$yytitle = "$error_txt{'error_occurred'}";
#	&template;
}



sub UploadFileForm {

#" "  " "
if ($aircraft_FotoUpdate ne " ") {


	my ($file,$fixfile,@filelist,%filesizekb);

#$y      file$y = file1  file2


#    
#	if ($CGI_query && $CGI_query->cgi_error()) { &fatal_error("denial_of_service", $CGI_query->cgi_error()); }


		$file = $CGI_query->upload("FotoFileName") if $CGI_query;
# print "'$file'"; #       ,  
		if ($file) {
			$fixfile = $file;
			$fixfile =~ s/.+\\([^\\]+)$|.+\/([^\/]+)$/$1/;

# print "'$fixfile'"; #  

			######## Transliteration Russian file names for win-1251 encoding ##############
			@Engl = ('A','B','V','G','D','E','JO','ZH','Z','I','J','K','L','M','N','O','P','R','S','T','U','F','H','C','CH','SH','SHH','_','Y','_','JE','JU','JA','a','b','v','g','d','e','jo','zh','z','i','j','k','l','m','n','o','p','r','s','t','u','f','h','c','ch','sh','shh','_','y','_','je','ju','ja');
                        @Rus  = ('','','','','','','', '', '','','','','','','','','','','','','','','','','', '', '',  '','','','', '', '', '','','','','','','', '', '','','','','','','','','','','','','','','','','', '', '',  '','','','', '', '');
                        $TranslRE=0;
                        foreach $TranslR (@Rus) {
                         $fixfile =~ s/$TranslR/$Engl[$TranslRE]/g;
                         $TranslRE++;
                        }
                        ######## END Transliteration #############


			$fixfile =~ s/[^0-9A-Za-z\+\-\.:_]/_/g; # replace all inappropriate with the "_" character.

			# replace . with _ in the filename except for the extension
			my $fixname = $fixfile;
			$fixname =~ s/(.+)(\..+?)$/$1/;
			my $fixext = $2;

# print "'$fixfile'"; #      

$SaveFileDir=$uploaddir.'/'.$AirshowImgDir.'/'.$SaveImageUrl;

#			my $spamdetected = &spamcheck("$fixname");
#			if (!$iamadmin && !$iamgmod && !$iammod){
#				if ($spamdetected == 1) {
#					${$uid.$username}{'spamcount'}++;
#					${$uid.$username}{'spamtime'} = $date;
#					&UserAccount($username,"update");
#					$spam_hits_left_count = $post_speed_count - ${$uid.$username}{'spamcount'};
#					foreach (@filelist) { unlink("$SaveFileDir/$_"); }
#					&fatal_error("tsc_alert");
#				}
#			}


			$fixext  =~ s/\.(pl|pm|cgi|php)/._$1/i;
			$fixname =~ s/\./_/g;
			$fixfile = qq~$fixname$fixext~;


# print "'$fixext'"; #  
# print "'$fixname'"; #    

			if (!$overwrite) { $fixfile = &check_existence($SaveFileDir, $fixfile); }
			elsif ($overwrite == 2 && -e "$SaveFileDir/$fixfile") {
				foreach (@filelist) { unlink("$SaveFileDir/$_"); }
				&fatal_error("file_overwrite");
			}



# Check extension
#			my $match = 0;
#			if (!$checkext) { $match = 1; }
#			else {
#				foreach $ext (@ext) {
#					if (grep /$ext$/i, $fixfile) { $match = 1; last; }
#				}
#			}
#			if ($match) {
#				unless ($allowattach && (($allowguestattach == 0 && $username ne 'Guest') || $allowguestattach == 1)) {
#					foreach (@filelist) { unlink("$SaveFileDir/$_"); }
#					&fatal_error("no_perm_att");
#				}
#			} else {
#				foreach (@filelist) { unlink("$SaveFileDir/$_"); }
#				&Preview("$fixfile $fatxt{'20'} @ext");
#			}



# Check file size limit
			my ($size,$buffer,$filesize,$file_buffer);
			while ($size = read($file, $buffer, 512)) { $filesize += $size; $file_buffer .= $buffer; }
#			if ($limit && $filesize > (1024 * $limit)) {
#				foreach (@filelist) { unlink("$SaveFileDir/$_"); }
#				&Preview("$fatxt{'21'} $fixfile (" . int($filesize / 1024) . " KB) $fatxt{'21b'} " . $limit);
#			}


# Check dir limit
#			if ($dirlimit) {
#				my $dirsize = &dirsize($SaveFileDir);
#				if ($filesize > ((1024 * $dirlimit) - $dirsize)) {
#					foreach (@filelist) { unlink("$SaveFileDir/$_"); }
#					&Preview("$fatxt{'22'} $fixfile (" . (int($filesize / 1024) - $dirlimit + int($dirsize / 1024)) . " KB) $fatxt{'22b'}");
#				}
#			}

# print "'$SaveFileDir/$fixfile'"; #      


			# create a new file on the server using the formatted ( new instance ) filename
			if (open(NEWFILE, ">$SaveFileDir/$fixfile")) {
				binmode NEWFILE; # needed for operating systems (OS) Windows, ignored by Linux
				print NEWFILE $file_buffer; # write new file on HD
				close(NEWFILE);
                                $FileSaved=$fixfile;
			} else { # return the server's error message if the new file could not be created
				foreach (@filelist) { unlink("$SaveFileDir/$_"); }
				&fatal_error("file_not_open","$SaveFileDir");
#print "Error saving image file";
			}

			# check if file has actually been uploaded, by checking the file has a size
#			$filesizekb{$fixfile} = -s "$SaveFileDir/$fixfile";
#			unless ($filesizekb{$fixfile}) {
#				foreach (qw("@filelist" $fixfile)) { unlink("$SaveFileDir/$_"); }
#				&fatal_error("file_not_uploaded",$fixfile);
#			}
#			$filesizekb{$fixfile} = int($filesizekb{$fixfile} / 1024);

#			if ($fixfile =~ /\.(jpg|gif|png|jpeg)$/i) {
#				my $okatt = 1;
#				if ($fixfile =~ /gif$/i) {
#					my $header;
#					fopen(ATTFILE, "$SaveFileDir/$fixfile");
#					read(ATTFILE, $header, 10);
#					my $giftest;
#					($giftest, undef, undef, undef, undef, undef) = unpack("a3a3C4", $header);
#					fclose(ATTFILE);
#					if ($giftest ne "GIF") { $okatt = 0; }
#				}
#				fopen(ATTFILE, "$SaveFileDir/$fixfile");
#				while ( read(ATTFILE, $buffer, 1024) ) {
#					if ($buffer =~ /<(html|script|body)/ig) { $okatt = 0; last; }
#				}
#				fclose(ATTFILE);
#				if(!$okatt) { # delete the file as it contains illegal code
#					foreach (qw("@filelist" $fixfile)) { unlink("$SaveFileDir/$_"); }
#					&fatal_error("file_not_uploaded","$fixfile <= illegal code inside image file!");
#				}
#			}

#			push(@filelist, $fixfile);

		}

} else { #     

 $FileSaved="";

}

}


#################################################33

